2003-11-07  Naba Kumar  <naba@gnome.org>

	* anjuta.spec.in: Revived docs package and combined all docs into
	one package.
	* configure.in: Bumped version to 1.1.98 rc2
	* NEWS: Updated.
	* anjuta.spec.in: Fixed scrollkeepr-update command.
	* anjuta.spce.in: Fixed file permissions.

2003-11-06  Naba Kumar  <naba@gnome.org>

	* src/mainmenu_callback.[c,h], src/main_menubar_def.h: Added help
	menus to activate anjuta helps.
	
	* manuals/C/anjuta-faqs/anjuta-faqs.sgml (removed),
	manuals/C/anjuta-faqs/anjuta-faqs.xml (added),
	manuals/C/anjuta-faqs/legal.xml (added),
	manuals/C/anjuta-faqs/Makefile.am,
	manuals/C/anjuta-faqs/anjuta-faqs-C.omf,
	manuals/C/anjuta-faqs/.cvsignore,
	manuals/C/anjuta-tutorial/anjuta-tutorial.sgml (removed),
	manuals/C/anjuta-tutorial/anjuta-tutorial.xml (added),
	manuals/C/anjuta-tutorial/legal.xml (added),
	manuals/C/anjuta-tutorial/Makefile.am,
	manuals/C/anjuta-tutorial/anjuta-tutorial-C.omf,
	manuals/C/anjuta-tutorial/.cvsignore,
	manuals/C/anjuta-manual/*.sgml (removed),
	manuals/C/anjuta-manual/*.xml (added),
	manuals/C/anjuta-manual/Makefile.am,
	manuals/C/anjuta-manual/anjuta-manual-C.omf,
	manuals/C/anjuta-manual/.cvsignore,
	manuals/C/topic.dat (removed), manuals/C/Makefile.am,
	manuals/ja/anjuta-faqs/anjuta-faqs.sgml (removed),
	manuals/ja/anjuta-faqs/anjuta-faqs-ja_JP.eucJP.omf (removed),
	manuals/ja/anjuta-faqs/anjuta-faqs-ja_JP.UTF-8.omf (added),
	manuals/ja/anjuta-faqs/anjuta-faqs.xml (added),
	manuals/ja/anjuta-faqs/legal.xml (added),
	manuals/ja/anjuta-faqs/Makefile.am,
	manuals/ja/anjuta-faqs/anjuta-faqs-C.omf,
	manuals/ja/anjuta-faqs/.cvsignore,
	manuals/ja/anjuta-manual/*.sgml (removed),
	manuals/ja/anjuta-manual/anjuta-manual-ja_JP.eucJP.omf (removed),
	manuals/ja/anjuta-manual/anjuta-manual-ja_JP.UTF-8.omf (added),
	manuals/ja/anjuta-manual/*.xml (added),
	manuals/ja/anjuta-manual/Makefile.am,
	manuals/ja/anjuta-manual/anjuta-manual-C.omf,
	manuals/ja/anjuta-manual/.cvsignore,
	manuals/ja/topic.dat (removed), manuals/ja/Makefile.am,
	manuals/sgmldocs.make (removed),
	manuals/xmldocs.make (added), manuals/omf.make (added),
	manuals/Makefile.am, configure.in, Makefile.am: Converted old sgml
	documentations to newer docbook xml documentations. Converted 
	Japanesh docs to UTF8 docs. Fixed installations. Update cvsignores.
	Enabled manulas installations.
	
	* gdl/.cvsignore, scintilla/.cvsignore, .cvsigore: Updated.

2003-11-05  Naba Kumar  <naba@gnome.org>

	* data/gdb.init: Sets host's charset to ascii to solve debugger
	freeze up due to uninitialized strings in target program.

	* src/mainmenu_callbacks.c, src/watch_cbs.c, src/message-manager.[cc,h]:
	Fixed a crash bug with 'Add expression in watch'. Bug #822017
	
	* NEWS: Updated.
	
	Patch from: Bosik Pavol  <Pavol.Bosik@siemens.com>
	src/launcher.c: Turns off echo in spawned pty to fix debugger.

2003-11-04  Naba Kumar  <naba@gnome.org>

	* scintilla/Makefile.am, widgets/Makefile.am: Fixed distribution
	problems.
	
	Patch from: Jean-Noel Guiheneuf <jnoel@saudionline.com.sa
	* src/aneditor.cxx, src/aneditor.h, src/controls.c, src/main_menubar.c,
	src/main_menubar.h, src/main_menubar_def.h, src/mainmenu_callbacks.c,
	src/mainmenu_callbacks.h: Added emacs style c/c++ custom indentation
	in file headers.
	
	* src/search-replace.c: Fixed infinite loop bug.
	* start-with.c: Fixed a crash bug with "Open last project".
	
	Patch from: Karl-Heinz Brünen  <k.bruenen@eprosoft.de
	* scintilla/Makefile.am: Fixed compiler option.
	
2003-10-16  Naba Kumar  <naba@gnome.org>

	Patch from: Jean-Noel Guiheneuf <jnoel@saudionline.com.sa
	* src/text_editor.c: Fixed autoformat.
	
2003-10-15  Naba Kumar  <naba@gnome.org>

	* src/anjuta_cbs.c: Used ALT+number for editor tab browsing, instead
	of CTRL+number.
	
2003-10-09  Naba Kumar  <naba@gnome.org>

	* src/cvs_gui.c: Fixed a UI bug (hides the unwanted frame).
	
2003-10-08  Naba Kumar  <naba@gnome.org>

	* src/source.c: Fixed a GETTEXT typo error.
	* anjuta.glade: Made 'Sorted in order you open them' default option
	for editor tabs.

	Patch from: Jean-Noel Guiheneuf  <jnoel@saudionline.com.sa>
	* anjuta.glade, data/properties/anjuta.properties:
	Fixed the freeze of the "Preferences" combos at the first Anjuta
	init is generated by:
		- a not complete translation of preferences.c file
		- a difference between 2 names in anjuta.glade and
		anjuta.properties (arrows --> Arrows , bottom --> Bottom)
		- the same name given to 3 combos (anjuta.glade).
		
	* src/find_text.c: If the "whole document" mode is selected,
	a new search will select the next occurrence (Bug #764954).
	It is now possible to use the shortcuts to search next or previous
	occurrence even if the search dialog has the focus.	Bug #790318
	
	* src/main_menubar_def.h: "Select code block" shortcut; the new
	shortcut is now Alt+L instead of Alt+B (already used by _Build menu).
	(Bug #811016).

	Patch from: Richard Lee  <r.h.lee@comcast.net>
	* tagmanager/include/tm_tag.h, tagmanager/tm_tag.c,
	tagmanager/tm_workspace.c: The following is a patch to fix a
	seemingly random occurence where Anjuta would crash when a
	certain key was pressed.

2003-09-29  Naba Kumar  <naba@gnome.org>

	* src/find_in_files.c: Ignores binary by default. Disabled the option
	of NOCVS search, because launcher does not use sh and hence can not
	pipe.
	
	* src/project_dbase.c, src/session.[h,c]: Fixed to save the
	"clean before build" state in project session and not in account session,
	otherwise the state gets reflected to other projects causing annoyance.
	
	* src/compiler_options.c: Fixed a bug where compiler options were always
	claimed 'modified'.

	* src/build_project.c, data/properties/anjuta.properties,
	src/commands.[h]: Fixed a bad bug where clean-before-build
	doesn't work.
	
	* scintilla/patches/research-cvs-nolog.diff,
	scintilla/patches/scintilla-ac-gtk2-port.diff,
	scintilla/patches/scintilla-ac-sort-fix.diff,
	scintilla-optimization.diff: Removed, because they are already in
	scintilla CVS.
	
	* scintilla/*/*: Update scintilla to current CVS (just after 1.55 release,
	2003-09-29).

	* scintilla/LexMPT.cxx, scintilla/LexMetapost.cxx, scintilla/LexTeX.cxx,
	scintilla/LexYAML.cxx: Added new scintilla lexers.
	
	* TODO, NEWS: Updated.

	Patch from: Jean-Noel Guiheneuf  <jnoel@saudionline.com.sa>
	* src/utilities.c: Fixed typo bugs.

2003-09-26  Naba Kumar  <naba@gnome.org>

	* src/anjuta.c: Only connects to kernel SIGCHLD signal.
	* src/find_replace.c, src/find_text.c, src/mainmenu_callbacks.c,
	src/text_editor.[c,h], src/toolbar_callbacks.c: Added wrap in
	text_editor_find() and Fixed I-Search wrapping.
	* src/debugger.c: Fixed to pass a newline after a debugger
	command (which was broken since the launcher was refactored.
	(Pointed out by Bosik Pavol  <Pavol.Bosik@siemens.com>)

2003-09-25  Naba Kumar  <naba@gnome.org>

	* src/toolbar_callbacks.c: Fixed start of incremental search.
	
	Patch from: Jean-Noel Guiheneuf  <jnoel@saudionline.com.sa>
	* src/controls.c, src/main_menubar.c, src/main_menubar.h,
	src/main_menubar_def.h, src/mainmenu_callbacks.c,
	src/toolbar_callbacks.c, src/toolbar.c: Added reverse search
	menu and implementation.

2003-09-24  Pavol Bosik  <bosikp@frcatel.fri.utc.sk>

	Reviewed by 2003-09-24  Naba Kumar  <naba@gnome.org>
  	* src/debug_tree.c, src/debug_tree.h: Fixed color of modified
	variables in Locals window.

2003-09-24  Frederic RUAUDEL <grumz@users.sourceforge.net>

	Reviewed by 2003-09-24  Naba Kumar  <naba@gnome.org>
	* src/utilities.[ch] : Fix a tooltip bug in 
	anjuta_util_toolbar_append_stock(), the label appeared instead of
	the tooltip text. Remove label from arguments of the function
	because label is included in the stock icon data.
	* src/toolbar.c : Fix call to anjuta_util_toolbar_append_stock().
	* src/text_editor_gui.c : Fix call to anjuta_util_toolbar_append_stock().
	* FIXME: translation file should be updated because of label text removal.

2003-09-24  Naba Kumar  <naba@gnome.org>

	* scintilla/PlatGTK.cxx: Fixed font setting in widget style.
	
	* src/launcher.[c,h], plugins/patch/patch-plugin.c, src/anjuta-tools.c,
	src/build_file.c, src/cvs.c, src/find_in_files.c, src/gnome_project.c,
	src/project-import.c, src/anjuta.c: Implemented buffered outputs for
	stdout and stderr. Also buffered output and check-for-password
	can be enabled/disabled. Added proper UTF8 handling. Fixed pty input
	with password prompts. Checkes for password prompts from all outputs.
	
	* src/utilities.[h,c]: Defined anjuta_util_convert_to_utf8() function
	which takes a string (which could be utf8 also) and converts into
	utf8 string.
	
	* src/main.c: Connects kernel signals after gnome_program_init().
	
	Patch from: Jean-Noel Guiheneuf  <jnoel@saudionline.com.sa>
	* src/message-manager.c: Fixed bug #787026 by converting the strings
	to proper UTF8.
	
2003-09-22  Naba Kumar  <naba@gnome.org>

	* src/scintilla/patches/scintilla-ac-gtk2-port.diff,
	scintilla/PlatGTK.cxx: Ported autocomplete window to gtk2 by removing
	GtkCList and using GtkTreeView instead. Added the patch.
	* src/scintilla/patches/scintilla-ac-sort-fix.diff,
	scintilla/PlatGTK.cxx: Fixes sorting bug in AC.
	
2003-09-19  Naba Kumar  <naba@gnome.org>

	* printing/print.c: Proper UTF8 printing support.
	* src/main.c: moved kernel signal connects at the
	end of application initialization.
	
2003-09-18  Naba Kumar  <naba@gnome.org>

	* scintilla/*/*, src/scintilla/Makefile.am, src/Makefile.am,
	(new) lexers.make, (new) lexers: Update scintilla to latest
	scintilla CVS (2003-09-18), added new lexers, automated
	lexers makefiles sections and scintilla	update. Added
	patches. Optimized pango rendering. Fixed a crash bug
	in scintilla.
	
	* (new) scintilla/patches/research-cvs-nolog.diff: Added
	patch to remove cvs log command from RESearch.cxx file.
	* scintilla/patches/scintilla-pango-always.diff:
	Fixed file name.
	* scintilla/RESearch.cxx: Removed spurious cvs log command
	and logs.
	* (new) scintilla/test-scintilla.cxx: A test file for scintilla.
	
	Patch from: Bosik Pavol <Pavol.Bosik@siemens.com>
	* src/dnd.c: Fixed a crash bug with DND.
	
2003-09-15  Naba Kumar  <naba@gnome.org>

	* src/text_editor.[c,h], src/anjuta.c, src/breakpoints.c,
	src/goto_line.c, src/mainmenu_callbacks.c, src/text_editor_cbs.c,
	src/toolbar_callbacks.c: Added an additional parameter to
	text_editor_goto_line() funtion which decides if the line should
	be made visible (if it's under fold).
	
	* src/style-editor.c: Fixed a compiler warning.
	* src/message-manager.cc: Calls parent method correctly.

	* src/preferences.h: Fixed prent class.
	
	Patch from: Jean-Noel Guiheneuf  <jnoel@saudionline.com.sa>
	* src/project_dbase.c: Fixed bug #713210.
	
2003-09-14  Hasbullah Bin Pit <sebol@ikhlas.com>
                                                                                
        * configure.in: Added 'ms' (Malay) to ALL_LINGUAS.

2003-09-11  Naba Kumar  <naba@gnome.org>

	Patch from: Jean-Noel Guiheneuf  <jnoel@saudionline.com.sa>
	* src/style-editor.c: Fixed bug #769130 (Crash on font
	selection dialog).
	
	* src/message-manger.[h,cc]: Made AnMessageManager
	derived from GtkFrame and removed deprecated code.
	
	* src/breakpoints.c, src/search-replace.c, src/source.c: Fixed
	compiler warnings.
	
2003-09-09  Naba Kumar  <naba@gnome.org>

	* src/Makefile.am: Addded rules for built sources.
	
2003-09-08  Naba Kumar  <naba@gnome.org>

	* (new) src/anjuta-marshalers.list: Added marshalers definition
	file.
	
	* src/source.c: Fixed bug #762043 and makes sure, CFLAGS
	and CXXFLAGS are not overwriten by automake's default.
	* src/style-editor.c: Added 'operators' in the style editor.
	
	Patch from Masahito Omote <utyuuzin@users.sourceforge.net>
	and Jesus Gonzalez  <jgonzlz@terra.es> (combined).
	* src/message-manager-private.cc, src/message-manager.cc:
	Converts message going into message into UTF-8 endoding.
	* src/main.c: Uses UTF-8 codeset for localization.
	
2003-09-08  Franco Catrin L.  <fcatrin@tuxpan.cl>

	* src/anjuta.desktop.in.in: Added Encoding attribute (required).
	
2003-09-08  Naba Kumar  <naba@gnome.org>

	* TODO: Updated.
	
	Patch from Jean-Noel Guiheneuf  <jnoel@saudionline.com.sa>
	* src/find_in_files.c, src/find_replace.c, src/search_replace.c:
	Fixed bug #798717, Find - Find&Replace - Find in files bug;
	The combo entries were updated if the same data with a different
	case exist in the combo list. The combo entries are now case sensitive. 
	Search&Replace bug; First search ,max actions = 0 ==> now max
	actions = 100.
	
2003-09-08  Naba Kumar  <naba@gnome.org>

	* TODO: Updated.
	* src/utilities.[c,h]: a function takes contant args.
	* src/anjuta.[c,h]: Fixed child registering/unregistering routine.
	Now the child terminated signal is emitted properly.
	* src/Makefile.am: Used $(top_srcdir) for referring to 
	scintilla objects.
	* (new) src/anjuta-marshalers.list, src/Makefile.am: Added marshalers
	definitions file which will generate anjuta-marshalers.[c,h] files.
	* src/.cvsignore: Updated.
	* src/build_project.c: Changed su command to preserve quotes.
	* src/anjuta-tools.c, tagmanager/tm_project.c,
	tagmanager/tm_workspace.c: Use standard tmp file.
	* configure.in: Cleaned up. Provide -g -O0 flags for final build also
	so that users could report bugs easily.
	* configure.in, anjuta.spec.in: Removed libzvt references/dependency.
	
	* tagmanager/tm_workspace.c, tm_file_entry.c, widgets/gnomefilelist.c,
	printing/print.c, plugins/sample1/plugin-sample1.c, src/an_file_view.c,
	src/an_symbol_view.c, src/utilities.[c,h], src/anjuta-encodings.c,
	src/attach_process.c, src/breakpoints.c, src/commands.c,
	src/compiler_options.c, src/configurer.c, src/cvs_gui.c,
	src/cvs_cbs.c, src/debug_tree.c, src/debugger.c, src/executer.c,
	src/find_in_files.c, src/find_in_files_cbs.c, src/mainmenu_callbacks.c,
	src/memory.c, src/message-manager-private.c, src/preferences.c,
	src/project_config.c, src/project_dbase.c, src/source.h, src/src_paths.c,
	src/search-replace.[c,h], stack_trace.c, text_editor.c,
	src/text_editor_cbs.c, src/toolbars.c, src/watch.c, src/watch_gui.c,
	src/source.c, src/anjuta.c, src/glade_iface.c, src/style_editor.c:
	Fixed compile warnings and cleanup.
	
	* src/launcher.[c,h], src/anjuta-tools.c, src/build_file.c,
	src/build_project.c, src/clean_project.c, src/compile.c, src/configurer.c,
	src/cvs.c, src/find_in_files.c, src/gnome_project.c, src/project_import.c: 
	Removed libzvt usage and implemented child spawing differently. Launcher is
	now proper GObject, which can be created multiple times (and can be
	operated in parallel).

	* src/appwizard_cbs.c: Fixed bug #740881 (crash on project wizard).
	* src/project_import_gui.c, src/project_import_cbs.c,
	src/project_import.[c,h], mainmenu_callbacks.c: Fixed bug #766070
	(crash on project import). Removed deprecared codes.
	
2003-09-03 Johannes Schmid <clubfan@users.sourceforge.net>
	
	* src/cvs.c: Fixed cvs output bug.

2003-09-03  Naba Kumar  <naba@gnome.org>

	Patch from: Jean-Noel Guiheneuf  <jnoel@saudionline.com.sa>
	* src/aneditor.cxx, src/breakpoints.c, src/breakpoints.h,
	src/mainmenu_callbacks.c, src/text_editor.c, src/text_editor.h,
	src/text_editor_cbs.c: Implements --
		If the debugger is started
			A double click in the margin add or remove a breakpoint
			A single click activate or deactivate the breakpoint
		else
			A double click in the margin add or remove a bookmark

2003-09-03 Johannes Schmid <clubfan@users.sourceforge.net>
	
	Reviewed by Naba Kumar  <naba@gnome.org>
	* src/cvs_gui.[c/h], mainmenu_callbacks.c:
	User is now able to choose a branch on cvs update for project.
	Cleaned up variable names.

2003-09-03  Naba Kumar  <naba@gnome.org>

	* (new) scintilla/LexEScript.cxx, scintilla/LexLout.cxx,
	src/Makefile.am: Added lexers.
	* scintilla/*/*: Updated...
	* src/an_symbol_view.c: Fixed a crash bug.
	* src/compiler_options.c, src/project_dbase.c: Fixed compile
	and build bugs.
	* src/main_menubar.[c,h]: Removed 'page setup' menu item.
	* src/source.c: Fixed project generation bug with gettext code.
	* tagmanager/tm_project.c: Fixed a crash bug.
	* src/compiler_options.c, src/project_dbase.c: Fixed build failure
	bug when there is no project open. Bug #____.
	* src/source.c: Fixed a bug with build failure with non-gnome
	project with glade-generated source (eg. gtk2). Bug #____.
	* NEWS: Updated...

2003-08-22  Naba Kumar  <naba@gnome.org>

	Patch from: Rob Bradford  <rob@debianplanet.org>
	* data/Makefile.am: Fixed to install properly during
	package building.
	
	Patch from: Etay Meiri  <etay-m@bezeqint.net>
	* src/debug-tree.c: Fixed a crash bug.
	* src/compiler_options.c: Takes care of linking the missing pieces;
	C flags, libs, optimization options, debug and profile.

	Patch from: Enver ALTIN  <ealtin@casdb.com>
	* src/anjuta_cbs.c, src/find_replace.c: Trivial dialog HIG fixes.
	
2003-08-22  Johannes Schmid <clubfan@users.sourceforge.net>

	Reviewed by Naba Kumar  <naba@gnome.org>
	* src/project_dbase.c: Fixed bugs #778263 and #778413
	  Adding multiple files to project should work now.

2003-08-22  Pavol Bosik  <bosikp@frcatel.fri.utc.sk>

	Reviewed by Naba Kumar  <naba@gnome.org>
	* src/dnd.c: Fixed Drag&Drop (opening file(s)).
  	* src/debug_tree.c, src/debugger.c: Fixed context menu separator
	for Locals window.

2003-08-08  Abel Cheung  <maddog@linux.org.hk>

	* anjuta.glade, anjuta_dialog_strings.c: Fix typo. (#107513)

2003-08-08  Abel Cheung  <maddog@linux.org.hk>

	* src/text_editor.c: Fix translatable string (#113934).

2003-07-04  Naba Kumar  <naba@gnome.org>

	* src/compiler_options.c, src/project_dbase.c: Fixed build failure
	bug when there is no project open. Bug #____.
	
	* src/source.c: Fixed a bug with build failure with non-gnome
	project with glade-generated source (eg. gtk2). Bug #____.

2003-06-26  Naba Kumar  <naba@gnome.org>

	* src/anjuta.h: Removed reference to windows-dialog.h.
	* src/message-manager-private.[cc,h]: Fixed doulbe click
	activation of messages to properly jump at the destination.
	* src/toolbar_callbacks.c: Fixed search combo pulldown bug.
	* src/toolbar.c: Code clean-ups.
	
	* tagmanager/tm_file_entry.c, tagmanager/tm_project.c,
	tagmanager/tm_symbol.c: Used g_return_if_fail() instead of g_assert().
	
	* src/message-manager-private.[cc,h]: Removed dead codes.
	
	* (new) data/properties/css.properties,
	data/properties/anjuta.properties, data/properties/Makefile.am:
	Added CSS syntax hiliting properties.
	
	* tagmanager/tm_file_entry.c: Fixed a possible bug.
	* src/debugger.c: Clean ups.
	* src/lexer.h: Added CSS lexer definition.
	
	* Makefile.am: Installs destop file properly.
	* configure.in: Bumped version to 1.1.97 (RC1 for 1.2.0 stable).
	* NEWS: Updated for 1.1.97 release.
	* src/main_menubar_def.h: Changed some non working shortcuts.
	
2003-06-24  Naba Kumar  <naba@gnome.org>

	* src/search-replace.c: Shows the dialog properly, even when it is
	hidden behind another window.
	
	* (removed) src/windows-dialog.[c,h], src/Makefile.am, po/POTFILES.in,
	src/anjuta.[c,h], (removed) pixmaps/windows-style-*.png,
	pixmaps/Makefile.am: Removed windows-dialog and setup wizard files
	and code clean up.
	
	* anjuta.glade, anjuta_dialog_strings.c: Removed windows-dialog and
	setup wizard dialogs.
	
	* src/debugger.c: Removed a redundant call to
	debugger_update_controls().
	* src/compiler_options.c, src/launcher.c: code cleanup.
	* src/executer.c: Fixed execution bug with 'Set Program params...".
	
2003-06-23  Naba Kumar  <naba@gnome.org>

	* widgets/e-splash.c: Removed border around the splash image.
	* anjuta.spec: correct libgnomeprintui22 name in depencencies.
	* widgets/gnomefilelist.c: Implemented multiple file selection mode.
	* src/cvs.c: Added a frame around commit log text widget.
	* src/prefereces.[c,h], anjuta.glade, anjuta_dialog_strings.c: Fixed
	crash bug associated with translated combo box list in preferences
	dialog (in different locale other than en_US). Used widget names
	to pass the combo list items.
	* po/POTFILES.in: Updated.
	* src/launcher.c: Creates the zvt terminal at startup (and not
	every time a build is done) -- speeds up buld operations.
	* src/file_history.c: Should be if() conditional instead of
	assertion check.
	* tagmanager/tm_work_object.c, src/utilities.c, src/text_editor.c:
	Disabled useless warnings.
	* src/project_dbase.c: Fixed bonobo 2 project name.
	* src/project_dbase.c, src/source.c: Corrected bonobo2 project name
	and uses correct glade-2 for file generation.
	
2003-06-21  Naba Kumar  <naba@gnome.org>

	* src/aneditor.cxx: Fixed bugs with debug tip dwell start and end.
	And disables autocomple show for numbers (very annoying).
	* src/mainmenu_callbacks.[c,h], src/main_menubar_def.h,
	src/main_menubar.[c,h], src/controls.c, src/toolbar.[c,h],
	src/toolbar_callbacks.[c,h]: Removed unnecessary menuitems
	from view menu and adjust the controls accordingly.
	* src/anjuta.c: Changed 'not implemented' dialog to info dialog with
	only OK button.
	* src/project_dbase.[c,h]: Removed show_local flag processing.
	* src/message-manager.[c,h]: Reorganized messages tabs in more
	sensible order.
	* configure.in, anjuta.spec.in: Fixed gnome-print and zvt dependencies.
	Also added PCRE dependency.
	
2003-06-20  Naba Kumar  <naba@gnome.org>

	* pixmaps/anjuta_splash.png: New splash.
	from Jean Schurger  <yshartk@schurger.org>
	
	* src/controls.c: De-sensitize run-to-cursor when debugger
	is not running.
	* src/cvs_gui.c: Set default reponse for various cvs dialogs.
	
	* src/message-manager-private.cc: Fixed to properly jump at
	the right file:line.
	
	* src/appwiz_page1.c: Fixed to correctly determine the project
	trpe from the wizard.
	
2003-06-20  Naba Kumar  <naba@gnome.org>

	* src/message-manager.cc, mainmenu_callbacks.c: Code cleanup.
	* src/watch_gui.c: Code cleanups.
	* src/debugger.[c,h], src/stack_trace.[c,h],
	(removed) src/stack_trace_cbs.[c,h], (removed) src/stack_trace_gui.h,
	src/Makefile.am: Merged stack_trace[_cbs/_gui] into stack_trace.c,
	Removed direct access to stack_trace private data, Increased debugger
	command size from 256 to 1024 (to be on safer side). Also implemented
	row-activated signle for seting frame and viewing the source.
	* src/debugger.c: Avoids starting program and stopping debugger
	when starting debugger and stopping program, respectively.
	
	* src/debugger.[c,h], src/main_menucallbacks.c, src/controls.c:
	Reverted codes to start debugger automatically
	The file is brought to the state just after the branching 
	(debugger.c == 1.27 and debugger.h == 1.10 rev.), except for 
	some code clean ups.
	
	* src/launcher.[h,c], plugins/patch/patch-plugin.c,
	src/anjuta-tools.c, src/build_file.[c,h], src/build_project.[c,h],
	src/compile.[c,h], src/clean_project.[c,h], src/configurer.[c,h],
	src/cvs.c, src/find_in_files.[c,h], src/gnome_project.[c,h],
	src/project_import.[c,h], src.anjuta.c, src/mainmenu_callbacks.c,:
	src/project_dbase.c: Code clean ups.
	
	* anjuta.glade, anjuta_dialog_strings.c: Fixed a hard coded pref
	(Projects dir) so that correct $HOME/Projects path is set when
	anjuta is run for the first time.
	
2003-06-13  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "ml" for Malayalam in ALL_LINGUAS.

2003-06-13  Naba Kumar  <naba@gnome.org>

	* src/stack_trace_cbs.c: Moved variable declaration at the
	top of the block (bug #737867)
	
	* src/source.c: use target_CFLAGS and target_CXXFLAGS instead of
	just CFLAGS and CXXFLAGS (bug #743617).
	
	* src/create_global_tags.sh: Fixed shell script to properly
	detect installed *-config files.
	
2003-06-12  Naba Kumar  <naba@gnome.org>

	* src/preferences.[c,h]: Added methods for custom widgets in
	preferences: using custom set/get methods for them.
	
	* src/anjuta-encoding.c: Implemented up/down of the encodings
	in the list and property saves correctly.
	
	Patch from Jean-Noel Guiheneuf  <jnoel@saudionline.com.sa>
	* src/aneditor.cxx: Fixes Anjuta looping when a backward search reaches
	the beginning of a file.

	Patch from Jean-Noel Guiheneuf  <jnoel@saudionline.com.sa>
	* src/aneditor.cxx, src/aneditor.h,
	src/controls.c, src/main_menubar.c, src/main_menubar.h,
	src/main_menubar_def.h, src/mainmenu_callbacks.c,
	src/mainmenu_callbacks.h: Allows the operator to select the current
	word or the current line (Request: 680801). It puts also
	sensitive/unsensitive several select/comment menu items.

	* src/breakpoints.c: Presets by default the current line for a
	defined breakpoint.

2003-06-11  Naba Kumar  <naba@gnome.org>

	* src/anjuta.c, src/text_editor.c: Fixed bug #715270. 'Changed' file name
	color (red highlight) now cosistent for inactive tabs also.
	
	* src/main_menubar.c, src/main_menubar_def.h: Fixed bug #715261. Moved
	'Advanced search and replace' in Edit->Search submenu.
	
	* data/properties/tcltk.properties: Fixed bug #731851. Added line
	wrappings '\' where	they were missing.
	
	* src/mainmenu_callbacks.c: Fixed bug #751715. The 'Customize menu'
	message is now more descriptive and details the correct thing to do
	for GNOME2 desktop.
	
2003-06-10  Naba Kumar  <naba@gnome.org>

	* autogen.sh.generic, autogen.sh.gtk, autogen.sh.gtkmm
	autogen.sh.wxwin, macros/autogen.sh, macros2/autogen.sh:
	Removed any reference to particular version of automake/autoconf
	so that they could work with newer versions (Bug #659394).

	* src/anjuta-encodings.c, src/anjuta-encodings.h, anjuta.glade,
	src/anjuta.c: Added coded to add/remove supported encodings.
	
	* src/appwizard.c, src/appwizard.h, src/gnome_project.c,
	src/preferences.c, src/project_dbase.c, src/project_dbase.h,
	src/project_import.c, src/project_type.c, src/project_type.h,
	src/source.c, src/wizard_gui.c: Added a new field called 'deprecated'
	in the projects typtes. Code clean ups. Removed GTK1/GNOME1
	from the project wizard.

2003-06-06  Naba Kumar  <naba@gnome.org>

	Patch from Etay Meiri  <etay-m@bezeqint.net>
	* src/compiler_options.c: Fixed bugs related to clean before
	build patch.
	
	* anjuta.desktop.in.in: Added commandline options.
	* src/cvs.[c,h], anjuta.glade, anjuta_dialogs_strings.c: Separated
	-dP and -A flags of CVS update into different options.
	
2003-06-04  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Removed "ta" from ALL_LINGUAS.

2003-06-02  Naba Kumar  <naba@gnome.org>

	* scintilla/PropSet.h, src/properties.[ch]*: Reversed the patch to
	return NULL for undefined properties and "" for defined but empty
	strings. It was creating many problems where both are assumed to be
	same. And besides, it doesn't matter to differentiate the two (the
	problem with preferences was due to a different bug).

	* src/prefereces.[c,h]: Fixed to handle empty and blank properties
	correctly. Also, s/props_build_in/props_built_in/g.
	
	* widgets/gnomefilelist.[c,h]: Uses gdl theme icons for file
	list.
	
	* src/an_file_view.c: Unrefed pixbufs when done with them.

	* pixmaps/Makefile.am, (added) pixmaps/preferences-encodings.png,
	(removed) file_text.png: Added and removed pixmaps.
	
2003-05-30  Naba Kumar  <naba@gnome.org>

	* anjuta.glade: Fixed encodings preferences dialog
	
2003-05-23  Etay Meiri  <etay-m@bezeqint.net>
	
	Reviewed by Naba Kumar  <naba@gnome.org>
	
	* src/build_project.c src/clean_project/c: perform a clean before
	build, if required. Show the message manager on clean.
	* src/compiler_options.c: save the new options when window is closed
	and flag project to be cleaned before the next build.
	* src/project_dbase.c: added a 'clean before build' flag to project

2003-05-29  Naba Kumar  <naba@gnome.org>

	* anjuta.glade, anjuta_dialogs_strings.c: Added encoding prefs
	dialog.
	
	* [pixmaps/] cfolder.xpm, console.xpm, file_c.png, file_c.xpm,
	file_core.png, file_core.xpm, file_cpp.png, file_cpp.xpm,
	file_exec.png, file_exec.xpm, file_file.png, file_file.xpm,
	file_h.png, file_h.xpm, file_html.png, file_html.xpm,
	file_i18n.png, file_i18n.xpm, file_icon.png, file_icon.xpm,
	file_pix.png, file_pix.xpm, file_text.xpm, file_unknown.png,
	file_unknown.xpm, ledgreen.xpm, ledred.xpm, ofolder.xpm,
	print_color.xpm, print_landscape.xpm, print_layout.xpm,
	print_nocolor.xpm, print_portrait.xpm: Removed unused icons

	* pixmaps/Makefile.am, src/toolbar.c, src/pixmaps.h, src/resources.h:
	Removed unused icons references.

2003-05-27	Enver ALTIN  <ealtin@casdb.com>

	Reviewed by Naba Kumar  <naba@gnome.org>
	
	* src/anjuta-tools.c, src/anjuta_cbs.c, src/breakpoints.c,
	  src/compiler_options.c, src/debugger.c, src/find_replace.c,
	  src/find_text.c, src/mainmenu_callbacks.c, src/preferences.c,
	  src/project_dbase_gui.c, src/src_paths.c, src/text_editor.c,
	  src/toolbar_callbacks.c: HIG compliant dialogs.

	* src/utilities.c: anjuta_button_new_with_stock_image() and
	  anjuta_dialog_add_button() stolen from gedit.

	* src/main_menubar_def.h: Fixed mnemonics.

2003-05-26  Naba Kumar  <naba@gnome.org>

	* src/project_dbase_gui.c: Added header files filter for add file
	dialog box. Disabled project window to be transient window.
	
	* src/message-manager.cc: Disabled message manager window to be
	transient window.
	
	* src/text_editor.c, src/anjuta_cbs.c: Better error reporting when
	a file could not be loaded.
	
	* src/project_dbase.c: Fixed a bug with GUI editor command
	where empty string is returned.
	
	* src/Makefile.am, src/preferences.h, src/text_editor.c
	src/text_editor.h, (new) src/anjuta-encodings.h,
	(new) src/anjuta-encodings.c, data/properties/anjuta.properties:
	Added encoding support and to handle characters encoding correctly
	by auto detecting it during load. Added preferences for selecting
	the encoding during save.

	* src/preferences.c, src/resources.c: Removed debug messages.

	Patch from: Alexander Nedotsukov <bland@mail.ru>
	* src/getline.c: Fixed many fatal bugs for FreeBSD.

2003-05-26  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>
	* src/anjuta.c: Try to sow the splash image more often.

2003-05-20  Naba Kumar  <naba@gnome.org>

	Patch from Jean-Noel Guiheneuf  <jnoel@saudionline.com.sa>
	* src/debug_tree.c: Colorize the modified locals during
	debugging and call memory analyze from the debugger.
	* src/breakpoints.c: The color is now different for the enabled
	and disabled breakpoints. Anjuta now can erase several
	breakpoints defined at the same line. The markers are updated
	according to the enable/disable action.
	
	Patch from Etay Meiri  <etay-m@bezeqint.net>
	* src/launcher.c: Fixes launcher freeze up bug during build.

2003-05-16  Dan Elphick <dre00r@ecs.soton.ac.uk>
 
	Reviewed by Naba Kumar  <naba@gnome.org>
	* scintilla/PropSet.h: Change member variables from private to protected.
	* src/properties.[ch]*: Add new methods GetString and GetExpandedString
	to PropSetFile class, which return a gchar * (and can therefore indicate
	whether properties are empty or do not exist) and make prop_get and
	prop_get_expanded use them.
	* src/project_dbase.c: Fix where project_dbase_module_is_empty assumes
	that the result of of prop_get cannot be an empty string.

2003-05-14	Dan Elphick <dre00r@ecs.soton.ac.uk>

	Reviewed by Naba Kumar  <naba@gnome.org>
	* src/text_editor.[ch], src/anjuta.c, src/anjuta.c, src/anjuta_cbs.c,
	src/build_file.c, src/compile.c, src/mainmenu_callbacks.c,
	src/text_editor_cbs.c: When saving all the files in the project, the
	text editors are now only rehighlighted once instead of once for each
	file saved.

2003-05-16  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>
	* src/main.c, widgets/e-splash.c: Splash screen improvements.
	* src/anjuta.desktop.in.in: Support startup notification.
2003-05-16  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>
	* src/main.c, widgets/e-splash.c: Splash screen improvements.
	* src/anjuta.desktop.in.in: Support startup notification.


2003-05-13  Dan Elphick <dre00r@ecs.soton.ac.uk>

	Reviewed by Naba Kumar  <naba@gnome.org>
	
	* src/executer.[ch]: Only allow one set params dialog at a time. Fix
	memory leak from glade_xml_new call. Removed gxml field from Executer
	struct as only used in create_executer_dialog and then destroyed.
	
	* src/anjuta.c: Fix warning on getting a page that doesn't exist.
	
	* src/configurer.c: Fix warning trying to connect signal to non-existent
	environment entry in configure dialog and fix crash when closing the
	window.
	
	* src/cvs_cbs.c: Fix deprecated use of gnome_date_edit_get_date; use
	gnome_date_edit_get_time instead.
	
	* main_menubar.c, main_menubar_def.h: Removal of show stack menu item
	in view menu required renumbering elsewhere.

2003-05-10  Etay Meiri  <etay-m@bezeqint.net>

	Reviewed by Naba Kumar  <naba@gnome.org>
	
	* src/breakpoints.c: fixed an error when removing breakpoint
	* src/controls.c: 'run to cursor' is sensitive when debugger not active
	* src/debugger.c: changes to the way the debugger is activated
	* src/debugger.h: clean ups

2003-05-13  Naba Kumar  <naba@gnome.org>

	Patch from  Jean-Noel Guiheneuf  <jnoel@saudionline.com.sa>
	* anjuta.glade, anjuta_dialogs_strings.c, src/memory.c,
	src/memory.h: A new version of memory and the interface
	is now integrated in anjuta.glade

2003-05-09  Naba Kumar  <naba@gnome.org>

	* configure.in: Bumped required gtk version to 2.0.8.
	
2003-05-06  Naba Kumar  <naba@gnome.org>

	src/message-manager-private.cc, src/message-manager.cc: Clean ups.

2003-05-07  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>
	* gdl/Makefile.am, printing/Makefile.am: distcheck fixes.

2003-05-06  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>
	* scripts/anjuta_import.sh.in, src/defaults.c, src/project_dbase_gui.c
	, tagmanager/c.c: Support for ProC and RDB files.

2003-05-06  Naba Kumar  <naba@gnome.org>

	* src/aneditor.cxx, src/goto_line.c, src/main_menubar_def.h,
	src/mainmenu_callbacks.c, src/mainmenu_callbacks.h:
	Uncomment (Box & Stream), Select the current function,
	authorize the "Quit" button of the GotoLine window

2003-05-05  Naba Kumar  <naba@gnome.org>

	* src/watch_gui.h: CVS added new file.

	* scintilla/ExterLexer.[cxx,h]: CVS added new files.

	Patch from Etay Meiri <etay-m@bezeqint.net>
	* src/debugger.c, src/debugger.h, src/main_menubar_def.h,
	src/mainmenu_callbacks.c, src/message-manager.cc,
	src/message-manager.h, src/stack_trace.c, src/stack_trace.h,
	src/stack_trace_cbs.c, src/stack_trace_cbs.h, src/stack_trace_gui.c:
	Ported stack trace to GNOME2 and added it in the message manager
	pane.

2003-05-02  Naba Kumar  <naba@gnome.org>

	* src/memory.[h,c], debug_tree.c: Fixed a compiler error/warning.
	
	* src/preferences.[h,c]: Fixed preferences to save only one copy of
	preferences property.
	
	* anjuta.prj: Fixed multiple preferences saved data.
	
	* scintilla/Document.cxx, scintilla/Editor.cxx, scintilla/Editor.h,
	scintilla/LexCPP.cxx, scintilla/Makefile.am, scintilla/PlatGTK.cxx,
	scintilla/PropSet.cxx, scintilla/ScintillaGTK.cxx,
	scintilla/include/Platform.h, scintilla/include/PropSet.h,
	scintilla/include/Scintilla.h, scintilla/include/Scintilla.iface:
	Upgraded scitilla from CVS with faster window repaint
	and more bugfixes.
	
	Patch from  Etay Meiri  <etay-m@bezeqint.net>
	* src/watch.[c,h], src/watch_gui.c, (new) src/watch_gui.h: Fixed bugs
	and code cleanups
	
2003-04-30  Dan Elphick <dre00r@ecs.soton.ac.uk>

	* message-manager-private.[ch]: Make AnMessageWindow keep scrolling 
	the window if messages are appended to the end and the scrollbar is
	at the end.

2003-04-29  Naba Kumar  <naba@gnome.org>

	* configure.in: Removed omf-install from Makefiles list.

2003-04-28  Naba Kumar  <naba@gnome.org>

	* po/POTFILES.in: Remvoded deleted files.
	
	* pixmaps/Makefile.am, pixmaps/windows-style-docked.png,
	pixmaps/windows-style-undocked.png: Added setup wizard's images.

	* src/anjuta-tools.c: Fixed a bug where working dir (when the tool
	is executed as detached) is not set properly.
	
2003-04-25  Naba Kumar  <naba@gnome.org>
	
	* anjuta.prj: Updated.
	* src/anjuta_info.c: Fixed text wrapping and column view.
	* data/welcome.txt.in: Removed unaligned characters.
	
2003-04-24  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>
	* src/main_menubar.c: Disable setup dialog.

2003-04-22  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>
	* src/breakpoints.c; Fixed compilation with older GCC
	* src/preferences.c: Fixed crash with G_DISABLE_CHECKS
	* HACKING: Spelling fixes (Suggested by Stephen Knight)

2003-04-18  Naba Kumar  <naba@gnome.org>

	* anjuta.prj: Updated (includes compiler options).
	
	* src/anjuta.[hc], src/anjuta-tools.c: Removed redundant get_user_params
	function from anjuta.c (it was already available in anjuta-tools.c).
	
2003-04-18  Naba Kumar  <naba@gnome.org>

	* src/about.c, THANKS: Updated
	
	* anjuta.glade, anjuta_dialogs_strings.c: Updated setup-dialog
	
	* src/an_file_view.c, src/project_dbase.c: Restores file-filters
	properly from the project session before updating the file
	view.
	
	* src/main_menubar_def.h, src/mainmenu_callbacks.[ch],
	an_file_view.[ch], main_menubar.[ch], controls.c: Removed windows
	dialog settings (as it will not be required once GDL is in place) and
	added file view filters in the settings sub-menu.

2003-04-17  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>
	* HACKING: Updated
	* configure.in: Disable cast checks on final build.

2003-04-17  Naba Kumar  <naba@gnome.org>

	* src/build_project.c: Fixed a compilation error.

	* src/launcher.c: Removed commnets.
	
	* anjuta.glade, anjuta_dialogs_strings.c: Moved indentation
	properties from editor tab to indentation tab and fixed a property
	label for proper i18n translation. Fixed typos in project config
	dialog (reported by Gaëtan de Menten  <ged@bugfactory.org>). Disabled
	sorting and reordering in compiler options dialog.
	
	* src/compiler_options.c: Implemented _save() function to save the
	options (which was pending).
	
	* src/build_project.c: Destroys install-as-root dialog when it is done.
	
	* src/an_symbol_view.c: Change "event" event to "event-after" so
	that symbol row is selected first before the popup is shown.
	
2003-04-14  Dan Elphick <dre00r@ecs.soton.ac.uk>

	* tagmanager/tm_file_entry.c: Fix to make CVS info appear for first 
	file in CVS/Entries. (Reviewed and applied by Biswa)

2003-04-16  Naba Kumar  <naba@gnome.org>

	* aneditor.cxx: use unicode everytime (fixed unicode related
	bugs).

	* anjuta.prj: Fixed UI editor name (blank to use default) and
	anjuta version.
	
	Patch from Patch from Gaëtan de Menten  <ged@bugfactory.org>
	* anjuta.glade, anjuta_dialogs_strings.c: Reorganized
	Editor preferences page.

2003-04-16  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>
	* src/anjuta.[ch], src/print.c: Fixed warnings
	* scintilla/*, src/aneditor.cxx: Restore LexCPP patch.
	* configure.in: Profiling support with gprof

2003-04-16  Naba Kumar  <naba@gnome.org>

	Patch from Gaëtan de Menten  <ged@bugfactory.org>
	* src/launcher.c: Fixed cvs dialog.
	
2003-04-15  Johannes Schmid <clubfan@users.sourceforge.net>
	
	* src/message-manager-private.cc: Fixed double-click on first line of 
	output to properly select a line.
	* src/project_dbase.[c/h]: Removed parent_node from ProjectFileData
	because still was a deprecatd GtkCTreeNode and always NULL anyway.

2003-04-15  Naba Kumar  <naba@gnome.org>

	* src/message-manager-private.cc: Fixed the glade filename typo.

2003-04-15  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>
	* scintilla/*, data/properties/*: Scintilla CVS merge
	* anjuta.prj: Removed unnecessary files.
	* scintilla/PlatGTK.cxx: Force Pango fonts always
	* src/anjuta-plugins.c, src/anjuta_dirs.c, src/main.c,
	src/mainmenu_callbacks.c src/preferences.c: Use versionsed directory
	for preferences.
	* configure.in: Change version no. for 1.1.1 (alpha release)
	* configure.in: Added '--with-pref-suffix' option.
	* config.guess, config.sub: Removed from CVS.

2003-04-15  Naba Kumar  <naba@gnome.org>

	Patch from Timothee Besset  <ttimo@idsoftware.com>
	* Makefile.am: Fixed a shell script error during intallation.
	
2003-04-14  Johannes Schmid <clubfan@users.sourceforge.net>

	Reviewed by Naba Kumar  <naba@gnome.org>
	* src/message-manager.cc: Added popup-menu to TreeView and fixed
	set_wm_class to use "anjuta" instead of "an.
	* src/message-manager-private.cc: Headers are hidden again.

2003-04-14  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>
	* src/project_dbase_gui.c: Memory corruption fix.
	* anjuta.prj: Updated project file

2003-04-14  Dan Elphick <dre00r@ecs.soton.ac.uk>
	* an_file_view.c: Connect to event-after signal rather than event so that
	selection is updated first and thus context menu is for the right file.
	Reviewed and applied by Biswa.

2003-04-14  Naba Kumar  <naba@gnome.org>

	* anjuta.glade, anjuta_dialogs_strings.c: Updated setup dialog.
	
	* src/auncher.c: More child exit fixes
	from Timothee Besset  <ttimo@idsoftware.com>

2003-04-14  Johannes Schmid <clubfan@users.sourceforge.net>
	
	Reviewed by Naba Kumar  <naba@gnome.org>
	
	* src/message-manager.[c/h], src/message-manager-private[c/h],
		anjuta.[c/h]: Ported message-manager to Gtk2
	
	* plugins/patch/patch-plugin.c, src/anjuta-tools.c,
	src/anjuta_cbs.c, src/build_file.c, src/build_project.c,
	src/clean_project.c, src/compile.c, src/configurer.c,
	src/controls.c, src/cvs.c, src/debugger.c,
	src/find_in_files.c, src/gnome_project.c, src/mainmenu_callbacks.c,
	src/project_import.c, src/search-replace.c: Changed name from
	AnjutaMessageManager to	AnMessageManager to avoid too long type
	and funtion names.

2003-04-11  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>
	* src/launcher.c: Fix build won't stop problem - TTimo
	* TODO: Updated
	* pixmaps/anjuta_splash.c: New splash screen prototype.
	* src/anjuta-tools.c, src/anjuta.[ch], : Forward port from branch.
	* src/compiler_options.c: Mute pkgconfig errors.
	* src/project_config.c. widgets/gnomefilelist.c: Fix leak.

2003-04-10  Naba Kumar  <naba@gnome.org>

	* configurer.[c,h]: Fixed dialog to close properly.
	* src/project_dbase.c, widgets/gnomefilelist.c: Added
	debugging asserts.
	
2003-04-09  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>
	* anjuta.prj: Removed unnecessary files, load with 1.2.0
	* plugins/class-gen/Makefile.am, plugins/patch/Makefile.am,
	plugins/sample1/Makefile.am, src/an_file_view.c, src/anjuta.c,
	src/anjuta.h, src/project_dbase.c: Use default GNOME icons.
	* gdl/*, widgets/*, Makefile.am, configure.in, plugins/*/Makefile.am,
	src/makefile.am: Move gdl to it's own directory.
	* global-tags/create_global_tags.sh: Silently ignore SDL error.

2003-04-09  Naba Kumar  <naba@gnome.org>

	* anjuta.glade: Synced search and replace dialog from the ANJUTA_1_0_0
	branch.

2003-04-09  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>
	* src/anjuta-tools.c: Use CDATA for saving tools data.
	* anjuta.glade, src/search-replace.c: Port from branch.
	* widgets/e-splash.*, src/main.c: Better splash screen.
	* configure.in, widgets/gdl*: Import GDL widgets.
	* ROADMAP: Updated roadmap.
	* src/an_file_view.c: Use GDL icons for file tree.

2003-04-09  Naba Kumar  <naba@gnome.org>

	* anjuta.glade: Added (hidden) initial setup-wizard window.
	
	Patch from: Vitaly  <vvv@rfniias.ru>
	* src/preferences.c: Fixes a bug with libglace widget access with
	translated strings.

	Patch from: Etay Meiri  <etay-m@bezeqint.net>
	* src/debug_tree.c, src/debug_tree.h, src/debugger.c,
	src/debugger.h, src/main_menubar_def.h, src/mainmenu_callbacks.c,
	src/mainmenu_callbacks.h, main_menubar.[c,h], src/toolbar.[c,h],
	src/toolbar_callbacks.[c,h],
	src/memory.c, src/message-manager-private.cc,
	src/message-manager-private.h, src/message-manager.cc,
	src/message-manager.h, src/watch.c, src/watch.h, src/watch_cbs.c
	src/watch_cbs.h, src/watch_gui.c: Ports the watch related stuff
	to HEAD (mostly changing GtkClist to GtkTreeView). Also changed the
	watch window to a subwindow in the notebook

2003-04-03  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>
	* ROADMAP: Updated roadmap.

2003-04-03  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS.

2003-04-01  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>
	* src/fileselection.c, src/goto_line.c: Fixed warnings. Patch by
	Henry Jia
	* ROADMAP: Added roadmap for HEAD.

2003-03-29  Naba Kumar  <naba@gnome.org>

	* src/main_menubar_def.h, mainmenu_callbacks.[c,h], src/anjuta.c
	src/Makefile.am, pixmaps/Makefile.am, anjuta.glade,
	anjuta_dialogs_strings.c, (new) src/start-with.[c,h],
	(new) pixmaps/start-with-wizard.png,
	(new) pixmaps/start-with-import.png,
	(new) pixmaps/start-with-open.png Added Start with dialog which pops
	up on anjuta start-up to give quick access to opening file/project or
	creation wizards.

	* src/main.c: Sets proper data directory for the gnome
	program.

2003-03-27  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>
	* src/text_editor.c: Fixed error/warning indicators.

2003-03-24  Naba Kumar  <naba@gnome.org>

	* README: Correct version.
	
2003-03-24  Michael Tindal <etherscape@paradoxpoint.com>

	* configure.in: Added checks to see if were building on FreeBSD
	systems.  Sets -DFREEBSD if we are, and also attempts to find
	gmake if the host system is FreeBSD.

	* src/getline.c: New file used to provide the getline function,
	which isnt available on a FreeBSD system.  The function is only
	defined	if FREEBSD is defined.

	* src/Makefile.am: Added getline.c to anjuta_SOURCES

	* tagmanager/Makefile.am:  Uses $(GMAKE) rather than make. 
	configure.in sets this to gmake on FreeBSD systems, and make
	on everything else.

2003-03-23  Naba Kumar  <naba@gnome.org>

	* Makefile.am, anjuta.spec.in: Fixed rpm build errors.
	
	* anjuta.spec.in: Fixed spec file for correct file paths and
	corrected rpmbuild.

	* Makefile.am: Substituted rpmbuild for rpm command as RedHat ships
	the rpm build command separately now.
	
	* src/anjuta.c, windows-dialog.c: Added some more window management
	stuffs (not still fully working, though).

	* TODO: Updated.

2003-03-22  Naba Kumar  <naba@gnome.org>

	* anjuta.spec.in: Fixed 'Required' and 'Build' requirements fields.

2003-03-21  Naba Kumar  <naba@gnome.org>

	* README: Removed Andy Piper's name from the active maintainers
	list on his request.
	
	* src/anjuta_cbs.c: Fixed alphabetical ordering of tabs with
	preferences.
	
	* src/anjuta-tools.c: Fixed compiler errors.

	* src/anjuta-tools.c, src/attach_process.c: Fixed more window
	show bugs.
	
	* src/commands.c, src/src_paths.c, src/style-editor.c,
	src/anjuta-tools.c: Added gtk_widget_show() calls for the dialogs
	becuase they are now hidden by default (from glade editing).
	
	* anjuta.glade, anjuta_dialogs_strings.c, src/anjuta.c,
	src/anjuta.h, src/main_menubar.c, src/main_menubar.h,
	src/main_menubar_def.h, src/mainmenu_callbacks.c,
	src/mainmenu_callbacks.h, src/windows-dialog.c: Implemented
	basic windows managements.
	
2003-03-21  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>
	* scintilla/PlatGTK.cxx: Converted right cursor to left cursor
	to hot-spot problems with cursor in XFree86 4.3.0. Patch by
	Enver ALTIN (a.k.a. skyblue)

2003-03-19  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>
	* tagmanager/*: Added ignore-list for symbols. This will make
	parsing more accurate for projects. Doc updates needed.

2003-03-14  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>
	* anjuta.glade, src/search-replace.c: Forward-port S/R (Dan)
	* launcher/Makefile.am: Link to correct libraries
	* src/launcher.c: Do not allow NULL shell

2003-03-14  Etay Meiri <etay-m@bezeqint.net>
	* src/debug_tree.c: Improve debug tree view.

2003-03-10  Dan Elphick <dre00r@ecs.soton.ac.uk>

	* anjuta.glade, anjuta_dialog_strings.c: Change dialog1 titles to
	'Run Configure Script' and 'Execute Program'. Increase minimum width
	of Configure dialog.
	* find_in_files.c, find_in_files_cbs.*: Properly create the file
	list widget by setting a model and adding a column and renderer.
	  Actually store the nocvs toggle button in FindInFiles data structure.
	  Handle selection changes via changed signal rather than row_activated.
	  Use response signal for handling the close and find buttons.
	  Close window when escape is pressed.
	* find_replace.c: Close window when escape is pressed.
	* find_text.c: Close window when escape is pressed in find dialog as
	well as wrap search question, where now Yes is the default button.

2003-03-05  Naba Kumar  <naba@gnome.org>

	Patch from: Dan Elphick  <dre00r@ecs.soton.ac.uk>

	* src/message-manager-private.cc: Fixed a bug with vte conditional
	compilation.
	* anjuta.glade: Hides all windows in glade file.

2003-03-05  Naba Kumar  <naba@gnome.org>

	* src/an_file_view.c: Fixed a compilation warning.
	* src/message-manager-private.cc: Conditional compilation for vte
	API.
	
2003-02-28  Naba Kumar  <naba@gnome.org>

	* configure.in, anjuta.spec.in: Updated dependency packages version.
	* configure.in, (removed) acconfig.h: Eliminated autoheader templates.
	* src/preferences.c: Added debug assertions.
	* anjuta.glade, anjuta_dialogs_strings.c: Added a preferences for
	editor to enable/disable bringing the recent editor tabs first.
	
	* tagmanager/tm_file_entry.c, tagmanager/tm_project.c,
	tagmanager/include/tm_file_entry.h, src/*.[h,c], scintilla/*.[h,cxx],
	scintilla/include/*.h, plugins/class-gen/clsGen.c, printing/print.c:
	Merged with CVS branch ANJUTA_1_0_0 and brought in new search replace
	and	bug fixes. Also code clean ups.
	
	* (new) src/search-replace.[h,c]: New search replace implementation
	from ANJUTA_1_0_0 branch.
	
	* (new) src/windows-dialog.[h,c]: New windows management class
	[work in progress].

2003-02-28  Naba Kumar  <naba@gnome.org>

	* plugins/class-gen/clsGen.c, printing/print.c, src/an_file_view.c,
	src/anjuta-tools.c, src/anjuta.c, src/anjuta.h, src/anjuta_cbs.c,
	src/appwizard.c, src/build_file.c, src/build_project.c,
	src/clean_project.c, src/compile.c, src/configurer.c,
	src/find_in_files.c, src/gnome_project.c, src/mainmenu_callbacks.c,
	src/message-manager-dock.c, src/message-manager-dock.h,
	src/message-manager-private.cc, src/message-manager.cc,
	src/preferences-dialog.c, src/preferences-dialog.h,
	src/preferences.c, src/preferences.h, src/project_dbase.c,
	src/project_dbase_gui.c, src/project_import.c, src/text_editor.c,
	src/text_editor.h, src/text_editor_cbs.c, src/toolbar_callbacks.c
	src/utilities.c, src/utilities.h:
	
	Widgetized Preferences and gave proper function names.

	* src/executer.c: Fixed a session loading bug.
	
2003-02-27  Naba Kumar  <naba@gnome.org>

	* printing/print.c: Fixed printing font bug that failed to load the
	proper fonts.
	
	* src/toolbar.c: Disabled LED flashing (not yet implemented).
	
	* TODO, anjuta.prj: Updated.

2003-02-24  Joe Harnish <bigJoe@linuxmail.org>

	* manuals/C/anjuta-faqs/anjuta-faqs-C.omf,
	manuals/C/anjuta-manual/anjuta-manual-C.omf,
	manuals/C/anjuta-tutorial/anjuta-tutorial-C.omf,
	manuals/ja/anjuta-faqs/anjuta-faqs-ja_JP.eucJP.omf,
	manuals/ja/anjuta-manual/anjuta-manual-ja_JP.eucJP.omf:
	fixed omf errors

2003-02-25  Naba Kumar  <naba@gnome.org>

	* Makefile.am: Excluded omf-install from installation as the docs are
	not ready.
	
	TODO: Updated.
	
	* anjuta.glade, anjuta_dialogs_strings.c, prefrences.h, aneditor.cxx,
	anjuta.properties, users.properties, anjuta-tools.c: Fixed editor
	property names and added new editor properties and code cleanups.
	Also added new project properties.
	
	* src/compiler_options.[h,c]: Added pkg-config packages supports
	and fixed bugs.
	
	* src/glade_iface.h: Cleanups.
	
	* src/launcher.c: Used timer instead of idle to scan.
	
	* src/mainmenu_callbacks.c, src/project_dbase.[h,c],
	src/project_config.[h,c], src/project_import.c: Implemented project
	property to define GUI editor and to handle it.
	
	* src/preferences.c: i18n fixes.
	
	* pixmaps/Makefile.am, pixmaps/file_*.xpm, src/pixmaps.h: Removed
	unused (and old) pixmaps.
	
	* widgets/gnomefilelist.c, pixmaps/file_text.png: Updated icon.
	
2003-02-25  Naba Kumar  <naba@gnome.org>

	* src/message-manager-private.[h,cc], src/preferences.c,
	anjuta.glade, anjuta_dialog_strings.c: Implemented
	gnome terminal profiles for the terminal preferences and moved the
	addition of terminal preferences in the terminal constructor.
	
	* anjuta.prj: Updated.

2003-02-24  Naba Kumar  <naba@gnome.org>

	* (new)src/preferences-dialog.[c,h], preferences.[h,c],src/Makefile.am,
	(new)widgets/cell-renderer-captioned-image.[h,c], widgets/Makefile.am,
	(new)pixmaps/preferences-*.png, pixmaps/Makefile.am, anjuta.glade,
	po/POTFILES.in, anjuta_dialogs_strings.c: Implemented new
	preferences dialog.

	* TODO: Updated.

	* src/message-manager-private.[cc,h]: Fixed VTE terminal for
	text selection and child re-spawning.

	* src/pixmaps.h: Removed unused pixmaps definitions.
	
2003-02-23  Naba Kumar  <naba@gnome.org>

	* src/project_dbase.[h,c], src/project_dbase_gui.c: GNOME2 ported
	the project tree/window.

	* src/an_symbol_view.[h,c], src/an_file_view.[h,c],
	src/project_dbase.[h,c], src/project_dbase_gui.c, src/session.[h,c]:
	Correct the use of a variable and implemented session save/load
	for tree expansion states.
	
	* src/main_menubar_def.h: Fixed shortcuts keys.
	
	* src/anjuta.c, src/gnome_project.c: Code clean ups.
	
	* anjuta.prj: Updated.
	
2003-02-22  Naba Kumar  <naba@gnome.org>

	* src/debug_tree.[c,h]: GNOME2 port from 
	Etay Meiri <etay-m@bezeqint.net>
	
	* src/an_file_view.c, src/resources.[h,c],
	data/properties/bash.properties,
	data/properties/cpp.properties,
	data/properties/html.properties,
	data/properties/make.properties,
	data/properties/others.properties,
	data/properties/perl.properties,
	data/properties/props.properties,
	data/properties/xml.properties: Standarized file icons. Icons are
	defined in respective .properties file and are retrieved as resource
	data.

	* anjuta.glade, anjuta_dialogs_strings.c: Removed <span> tags
	in labels from the commands editor as that would create
	problems for translators.

2003-02-21  Naba Kumar  <naba@gnome.org>

	* .cvsignore, (new)config.guess, (new)config.sub: Added these files
	as they should be part of CVS(?).

	* Makefile.am: Corrected a typo for glade generated strings file.

	* configure.in, po/hi.po: Added new Hindi (hi) translation
	in ALL_LINGUS and added initial Hindi translation.

	* pixmaps/Makefile.am, pixmaps/sv_unknown.xpm, src/pixmaps.h,
	(new)pixmaps/file_*.png: Added gnome2ish file icons and changed
	sv_unknown.xpm to more proper icon.

	* (new)data/properties/php.properties, data/properties/Makefile.am,
	data/properties/anjuta.properties, data/properties/html.properties:
	Fixed PHP syntax hilighting bug by separating php properties into
	different file (because of file size).

	* TODO: Updated.
	
2003-02-20  Naba Kumar <naba@gnome.org>

	* src/breakpoints.c: Fixed breakpoints session saving/loading
	crash bug.
	
	* scintilla/*, scintilla/include/*: Updated to scintilla
	release 1.51
	
2003-02-19  Naba Kumar <naba@gnome.org>

	* src/about.c: Fixed a typo reported by Enver ALTIN <ealtin@casdb.com>
	* TODO: Updated.

	* Makefile.am, src/Makefile.am,
	(removed) src/anjuta.glade, (removed) src/anjuta.gladep,
	(removed) src/anjuta_dialog_strings.c,
	(removed) src/anjuta_dialogs_strings.c,
	(added) anjuta.gladep, (added) anjuta_dialogs_strings.c,
	(added) anjuta.glade: Transfered glade files from src/ directory
	to the top level directory.

	* po/POTFILES.in: Updated.
	
	* (removed) macrocs2/*: Transfered to data/ directory.
	
	* (added) data/macro/*, (added) data/macros2/*, Makefile.am, configure.in,
	data/Makefile.am: Moved macros in data directory. Anjuta no longer
	requires to have macros dir, but the projects generated by anjuta
	require them.
	
	* src/an_file_view.c, src/an_symbol_view.c: Fixed expansion/collapse of
	trees.
	
	* src/defaults.c: Corrected default compiler options.
	
	* src/glade_iface.c, src/gnome_project.c: Fixes gnome2 projects generation
	wizard.
	
	* src/message-manager-private.cc, src/message-manager-private.h,
	src/message-manager.cc: Uses VTE terminal widget for imbedded terminal.
	
	* src/project_dbase.c, src/project_type.c, src/source.c: Proper
	source code generation for gnome2 projects.

2003-02-11  Naba Kumar <naba@gnome.org>

	* src/an_file_view.c, src/an_symbol_view.c: The tree updated now
	restores the expand/collaspe states of the nodes after refresh.
	
	* src/an_file_view.c, src/an_symbol_view.c: Fixed a memory leak.
	
2003-02-11  Naba Kumar <naba@gnome.org>

	* src/style-editor.c: Fixed pango font description handling for fonts.
	* src/anjuta.glade: Removed font size spin button.
	* configure.in, src/anjuta.prj: Corrected version.
	* TODO: update.
	
2003-02-10  Naba Kumar <naba@gnome.org>

	* src/Makefile.am, src/anjuta-tools.c, src/main_menubar.c: Removed
	references of scroll-menu.h and add about.h in Makefile.am.
	
	* widgets/Makefile.am, (removed) widgets/e-shell-about-box.c,
	(removed) widgets/e-shell-about-box.h, (removed) widgets/scroll-menu.c,
	(removed) widgets/scroll-menu.h: Removed unused files.
	
	* Makefile.am: Added proper i18n rules and added intl tools for
	distributions.
	
	* anjuta.prj, configure.in: Changed version to 1.8.0 (reserving 1.2.0
	to the stable release).
	
	* anjuta.spec.in: Removed manuals packaging.
	
	* data/Makefile.am: Removed 'macros' installation (not required for
	gnome2 projects).

2003-02-10  Naba Kumar <naba@gnome.org>

	* po/POTFILES.in: Updated.

	* pixmaps/Makefile.am, pixmaps/anjuta_icon.png, 
	(added) pixmaps/close_project.png, (removed) pixmaps/close_project.xpm,
	(added) pixmaps/open_project.png, (removed) pixmaps/open_project.xpm,
	(added) pixmaps/save_project.png, (removed) pixmaps/save_project.xpm,
	(added) pixmaps/undock.png, (removed) pixmaps/undock.xpm: Better
	icons and images.

	* src/aneditor.cxx, src/pixmaps.h, src/toolbar_callbacks.c,
	src/toolbar_callbacks.h: Fixed scintilla notification signal name
	and fixed to properly handle focus in find entry box.

	* Makefile.am: Added code for RH system menu update.

	* .cvsignore: Updated.

	* NEWS: Updated.

2003-02-03  Naba Kumar <naba@gnome.org>

	* src/anjuta.glade, src/anjuta_dialogs_strings.c: Added edge.column
	editor preferences. and fixes dialogs.

	* printing/print.c, src/text_editor_gui.c, src/main_menu_callbacks.h:
	Fixed linenumbers and header margins when they are disabled and
	removed unused header files.

	* src/attact_process.[h,c], src/debugger.c: Attach to process
	now works.

	* src/help.c: Fixed dialog response.

	* TODO: Updated.

	* data/properties/anjuta.properties: Corrected typo.

	* src/controls.c, src/toolbar.c: Fixed non-working location navigation,
	Change the signal to "changed" in entry from "selection-changed" in
	list.

	* src/an_file_view.c, src/an_symbol_view.c: Fixed keyboard navigation
	short-cuts.

2003-01-31  Naba Kumar <naba@gnome.org>

	* configure.in: Upgraded to use libgnomeprint-2.2
	
	* printing/Makefile.am: Updated
	
	*(removed) printing/print-doc.c, printing/print-doc.h,
	printing/print-util.c, printing/print-util.h: Removed because already
	merged with print.c.
	
	* printing/print.c, printing/print.h: Upgraded to use libgnomeprint-2.2
	and libgnomeprintui-2.2 and fixed rendering problems.
	
	* src/anjuta.glade, src/anjuta_dialogs_strings.c: Removed
	uneccessary print properties, as they are separately taken
	care in gnomeprint.
	
	* po/POTFILES.in: Update.

2003-01-30  Naba Kumar <naba@gnome.org>

	* (new) src/about.[c,h], pixmaps/anjuta_logo1.png: Added new files
	for about dialog box.
	
	* src/Makefile.am, pixmaps/Makefile.am, src/mainmenu_callbacks.c,
	src/pixmaps.h: Modified for the above additions for about dialog.

2003-01-29  Naba Kumar <naba@gnome.org>

	* src/style_editor.[c,h]: Added missing files.
	
2003-01-29  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>
	* scintilla/XPM.[cxx|h]: Added missing files

2003-01-29  Naba Kumar <naba@gnome.org>
	
	* TODO, po/POTFILES.in: Updated.
	
	* anjuta.prj, src/anjuta.glade,
	* src/anjuta_dialogs_strings.c, src/executer.c: Fixed dialog bugs.

2003-01-28  Naba Kumar <naba@gnome.org>
	
	* data/properties/anjuta.properties, src/aneditor.cxx,
	src/anjuta.glade, src/anjuta_dialogs_strings.c: Converted indicators
	properties into text properties (earlier it was int properties).

	* TODO: Updated
	
	* scintilla/AutoComplete.c,xx,
	scintilla/AutoComplete.h,
	scintilla/CallTip.c,xx,
	scintilla/CallTip.h,
	scintilla/Document.c,xx,
	scintilla/Document.h,
	scintilla/Editor.c,xx,
	scintilla/Editor.h,
	scintilla/LexAVE.c,xx,
	scintilla/LexCSS.c,xx,
	scintilla/LexHTML.c,xx,
	scintilla/LexOthers.c,xx,
	scintilla/LexPython.c,xx,
	scintilla/LineMarker.c,xx,
	scintilla/LineMarker.h,
	scintilla/Makefile.am
	scintilla/PlatGTK.c,xx,
	scintilla/PropSet.c,xx,
	scintilla/ScintillaBase.c,xx,
	scintilla/ScintillaBase.h,
	scintilla/ScintillaGTK.c,xx,
	scintilla/ViewStyle.c,xx,
	scintilla/include/Platform.h,
	scintilla/include/SciLexer.h,
	scintilla/include/Scintilla.h,
	scintilla/include/Scintilla.iface: upgraded to scintilla version 1.50
	
	
	src/Makefile.am,
	src/an_file_view.c,
	src/an_symbol_view.c,
	src/anjuta-tools.c,
	src/anjuta.c,
	src/anjuta.glade
	src/anjuta.h,
	src/anjuta_cbs.c,
	src/anjuta_dialogs_strings.c,
	src/anjuta_info.c,
	src/commands.c,
	src/compiler_options.c,
	src/debugger.c,
	src/help.c,
	src/main_menubar.c,
	src/main_menubar.h,
	src/main_menubar_def.h,
	src/mainmenu_callbacks.c,
	src/mainmenu_callbacks.h,
	src/message-manager-private.c,c
	src/message-manager-private.h,
	src/message-manager.c,c
	src/message-manager.h,
	src/pixmaps.h,
	src/preferences.c,
	src/preferences.h,
	src/project_config.c,
	src/project_dbase.c,
	src/project_dbase_gui.c,
	src/project_import_gui.c,
	src/properties.c,xx,
	src/properties.h,
	src/resources.c,
	src/src_paths.c,
	src/text_editor.c,
	src/text_editor_gui.c,
	src/toolbar.c,
	src/utilities.c,
	src/utilities.h,
	anjuta.prj: GNOME2 porting and fixed many porting bugs.
	
2003-01-24  Naba Kumar <naba@gnome.org>

	* src/text_editor_gui.c, src/toolbar.c,
	src/text_editor.c, src/text_editor_cbs.h:
	Used correct notification signal name for scintilla
	(gtk2) and fixed UI.
	
	* src/controls.c: Does not hide tags combo. Simply makes it insensitive
	when not required.
	
	* printing/print-doc.c,
	printing/print.c,,
	src/anjuta-tools.c,
	src/find_replace.c,
	src/goto_line.c,
	src/launcher.c,
	src/mainmenu_callbacks.c,
	src/project_dbase.c,
	src/project_dbase.h,
	src/project_dbase_gui.c: Used GtkDialogs instead of GnomeDialog.
	src/text_editor.c,
	src/text_editor_cbs.h:


2003-01-23  Naba Kumar <naba@gnome.org>

	* src/compiler_options.c, src/pixmaps.h, src/toolbar.c: Fixed to use
	correct stock icons and organized pixmap macros.
	
	Makefile.am: Removed non-generated files.
	
	* pixmaps/{add.xpm, an_tag.xpm, autocomplete.xpm, block_end.xpm,
	block_start.xpm, bookmark_first.xpm, bookmark_last.xpm,
	bookmark_next.xpm, bookmark_prev.xpm, build_stop.xpm,
	close_file.xpm, copy.xpm, cut.xpm, error_next.xpm,
	error_prev.xpm, execute.xpm, find_replace.xpm, find.xpm,
	fv_image.xpm, goto.xpm, graph.xpm, line-arrow.xbm, line-wrap.xbm,
	list_select.xpm, list_unselect.xpm, macro.xpm, new_file.xpm,
	open_file.xpm, paste.xpm, preferences.xpm, prefs_autoformat.xpm,
	prefs_build.xpm, prefs_cvs.xpm, prefs_editor.xpm,
	prefs_general.xpm, prefs_messages.xpm, prefs_print.xpm,
	prefs_styles.xpm, print.xpm, redo.xpm, reload_file.xpm, reload.xpm,
	remove.xpm, save_all.xpm, save_file.xpm, save.xpm, search.xpm,
	stop.xpm, undo.xpm}: Removed because no longer used.

	* pixmaps/{file_core.xpm, file_exec.xpm, file_text.xpm,
	file_unknown.xpm}: Files renamed from fv_*, as it would
	be the right name.

	* pixmaps/Makefile.am: Updated for the above changes.

2003-01-23  Jakub Steiner <jimmac * ximian * com>

	* pixmaps/autocomplete-16.png,
	pixmaps/autocomplete.png,
	pixmaps/block-end-16.png,
	pixmaps/block-end.png,
	pixmaps/block-start-16.png,
	pixmaps/block-start.png,
	pixmaps/bookmark-first-16.png,
	pixmaps/bookmark-first.png,
	pixmaps/bookmark-last-16.png,
	pixmaps/bookmark-last.png,
	pixmaps/bookmark-next-16.png,
	pixmaps/bookmark-next.png,
	pixmaps/bookmark-prev-16.png,
	pixmaps/bookmark-prev.png,
	pixmaps/error-next-16.png,
	pixmaps/error-next.png,
	pixmaps/error-prev-16.png,
	pixmaps/error-prev.png: gnome2-styled icons


2003-01-23  Naba Kumar <naba@gnome.org>

	* anjuta.prj: Updated compiler options.
	* scintilla/ScintillaGTK.cxx: Fixed selection notify.

	* src/aneditor.cxx,
	src/anjuta.c,
	src/anjuta.glade,
	src/anjuta_dialogs_strings.c,
	src/mainmenu_callbacks.c,
	src/mainmenu_callbacks.h,
	src/text_editor.c,
	src/text_editor_cbs.c,
	src/text_editor_gui.c: GNOME2 Porting.

2003-01-22  Naba Kumar <naba@gnome.org>

	* ChangeLog: Corrected dates.
	* src/mainmenu_callbacks.h: Cleaned up function prototypes.
	* src/anjuta.glade, src/anjuta_dialogs_strings.h: Added more
	preferences.

2003-01-22  Naba Kumar <naba@gnome.org>
	
	* plugins/patch/patch-plugin.c: Bug fix.
	
	* src/anjuta-tools.c,
	src/anjuta.c,
	src/anjuta.glade,
	src/anjuta.h,
	src/anjuta_dialogs_strings.c,
	src/breakpoints.c,
	src/cvs_gui.c,
	src/debugger.c,
	src/debugger.h,
	src/executer.c,
	src/glade_iface.c,
	src/main.c,
	src/mainmenu_callbacks.c,
	src/mainmenu_callbacks.h,
	src/preferences.c,
	src/project_dbase.c,
	src/project_dbase_gui.c,
	src/registers.c,
	src/sharedlib.c,
	src/signals.c,
	src/signals_cbs.c,
	src/source.c,
	src/stack_trace.c,
	src/toolbar_callbacks.c,
	src/utilities.c,
	src/utilities.h,
	src/watch.c: Used GtkDialog instead of messagebox. GNOME2 porting.
	
	* src/Makefile.am,
	(removed) src/CORBA-Server.c,
	(removed) src/CORBA-Server.h,
	(removed) src/Gladen-common.c,
	(removed) src/Gladen-stubs.c,
	(removed) src/Gladen.h,
	(removed) src/Prj-common.c,
	(removed) src/Prj-skelimpl.c,
	(removed) src/Prj-skels.c,
	(removed) src/Prj-stubs.c,
	(removed) src/Prj.h,
	(removed) src/glades.c,
	(removed) src/glades.h,
	(removed) src/messagebox.c,
	(removed) src/messagebox.h: Removed because no longer used.

2003-01-21  Naba Kumar <naba@gnome.org>

	* src/anjuta-tools.c,
	src/anjuta.c,
	src/anjuta.glade,
	src/anjuta_dialogs_strings.c,
	src/anjuta_info.c,
	src/anjuta_info.h,
	src/breakpoints.c,
	src/compiler_options.c,
	src/debugger.c,
	src/find_replace.c,
	src/find_replace.h,
	src/find_text.c,
	src/find_text.h,
	src/goto_line.c,
	src/launcher.c,
	src/text_editor.c,
	widgets/gnomefilelist.c: GNOME2 porting.

2003-01-20  Naba Kumar <naba@gnome.org>

	* global-tags/create_global_tags.sh: Uses pkg-config to
	read the modules.
	
	* src/anjuta.c,
	src/anjuta.glade,
	src/anjuta.h,
	src/anjuta_cbs.c,
	src/anjuta_dialogs_strings.c,
	src/breakpoints.c,
	src/breakpoints.h,
	src/compiler_options.c,
	src/compiler_options.h,
	src/fileselection.c,
	src/fileselection.h,
	src/mainmenu_callbacks.c,
	src/project_dbase_gui.c,
	src/session.c,
	src/src_paths.c,
	src/src_paths.h,
	src/text_editor.c,
	src/text_editor_gui.c,
	widgets/gnomefilelist.c,
	widgets/gnomefilelist.h: GNOME2 porting.
	
	* widgets/Makefile.am,
	(removed) widgets/gnomedirlist.c,
	(removed)widgets/gnomedirlist.h: Removed becuase they are not used.
	
	* src/Makefile.am,
	(removed) src/src_paths_cbs.c,
	(removed) src/src_paths_cbs.h,
	(removed) src/src_paths_gui.c,
	(removed) src/compiler_options_cbs.c,
	(removed) src/compiler_options_cbs.h,
	(removed) src/breakpoints_cbs.c,
	(removed) src/breakpoints_cbs.h: Removed because they are now
	combined in singe file

2003-01-16  Naba Kumar <naba@gnome.org>

	* src/anjuta.glade, src/anjuta_dialogs_strings.c,
	src/compiler_options.c, src/compiler_options_cbs.c: Fixed compiler
	options dialog UI and data handling.


2003-01-15  Naba Kumar <naba@gnome.org>

	* src/commands.[c,h], src/anjuta.glade, src/anjuta_dialogs_strings.c:
	Completed command editor porting.
	
	* src/anjuta.c: Removed the use of commands load function
	(not required).

	* src/text_editor_gui.c, src/test_editor.c: Added back widgets refs
	and unrefs.

	* src/anjuta-tools.c: Fixed translatable strings.
	
	* src/find_text.c: Fixed dialog creation from glade.
	
	* src/text_editor_gui.c, src/text_editor.c,
	src/text_editor_cbs.c: Completed port of detached text editor
	to gnome2 plateform.
	
2003-01-14  Naba Kumar <naba@gnome.org>

	* src/anjuta.glade, src/preferences.[h,c],
	src/anjuta_dialogs_strings.c: Added build and editor
	preferences pages and other UIs. Fixed preferense loading and saving.
	
	* src/anjuta.c: Does case-insensitive match for tabs position
	preferences and removed preferences loading (done at _new() call).
	
	* anjuta-tools.c: Debugged tools dialog handling.
	* plugins/class-gen/clsGen.c: Fixed an undefined function.
	
2003-01-13  Naba Kumar <naba@gnome.org>

	* ABOUT-NLS: Update (strange).

	* autogen.sh: Removed blocking code.

	* configure.in: Fixed an autogen bug.
	
2003-01-13  Naba Kumar <naba@gnome.org>

	* (new)src/anjuta.gladep
	(new)src/messagebox.c
	(new)src/messagebox.h: Added files. References to messagesbox.[c,h]
	will be gradually removed (and then the files).
	
	* Makefile.am,
	anjuta.prj,
	printing/print-util.c,
	printing/print.c,
	scintilla/ScintillaGTK.c,xx
	src/Makefile.am,
	src/an_file_view.c,
	src/an_symbol_view.c,
	src/anjuta.c,
	src/anjuta.glade
	src/anjuta.h,
	src/anjuta_dialogs_strings.c,
	src/anjuta_gui.c,
	src/attach_process.c,
	src/attach_process.h,
	src/breakpoints.c,
	src/breakpoints.h,
	src/breakpoints_cbs.c,
	src/commands.c,
	src/commands.h,
	src/compiler_options.c,
	src/compiler_options.h,
	src/compiler_options_cbs.c,
	src/configurer.c,
	src/configurer.h,
	src/controls.c,
	src/cvs_cbs.c,
	src/debug_tree.c,
	src/debug_tree.h,
	src/executer.c,
	src/executer.h,
	src/find_in_files.c,
	src/find_in_files.h,
	src/find_in_files_cbs.c,
	src/find_replace.c,
	src/find_replace.h,
	src/find_text.c,
	src/find_text.h,
	src/goto_line.c,
	src/help.c,
	src/help.h,
	src/launcher.c,
	src/main.c,
	src/main_menubar.c,
	src/mainmenu_callbacks.c,
	src/message-manager.c,c
	src/pixmaps.h,
	src/preferences.c,
	src/project_config.c,
	src/project_config.h,
	src/project_dbase.c,
	src/project_import_cbs.c,
	src/resources.c,
	src/resources.h,
	src/splash.c,
	src/src_paths.c,
	src/src_paths.h,
	src/src_paths_gui.c,
	src/text_editor.c,
	src/text_editor_gui.c,
	src/toolbar.c,
	src/toolbar.h,
	src/utilities.c,
	src/utilities.h,
	src/wizard_gui.c,
	widgets/gnomefilelist.c: GNOME2 Port.

2003-01-10  Naba Kumar  <naba@gnome.org>

	* src/an_file_view.c,
	src/anjuta_gui.c,
	src/appwizard_gui.c,
	src/compiler_options.c,
	src/compiler_options_cbs.c,
	src/cvs_cbs.c,
	src/executer.c,
	src/fileselection.c,
	src/find_in_files.c,
	src/goto_line.c,
	src/main_menubar.c,
	src/memory.c,
	src/message-manager-dock.c,
	src/preferences.c,
	src/project_dbase_gui.c,
	src/project_import_gui.c,
	src/registers_gui.c,
	src/sharedlib_gui.c,
	src/src_paths_gui.c,
	src/text_editor_gui.c,
	src/toolbar.c,
	src/watch_gui.c: GNOME2 porting. Fixed unresolved symbols

2003-01-09  Naba Kumar <naba@gnome.org>

	* scintilla/RESearch.cxx: Removed cvs logging as it was creating
	problems with some comments.

	* anjuta.prj: New project file (updated?)

	* src/Makefile.am: Enabled deprecated API and fixed variables.

	* src/an_file_view.c,
	src/an_symbol_view.c,
	src/anjuta-plugins.c,
	src/anjuta-tools.c,
	src/anjuta.c,
	src/anjuta_gui.c,
	src/appwizard_cbs.c,
	src/attach_process.c,
	src/attach_process_cbs.c,
	src/compiler_options.c,
	src/compiler_options_cbs.c,
	src/launcher.c,
	src/mainmenu_callbacks.c,
	src/message-manager-private.c,c
	src/message-manager-private.h,
	src/message-manager.c,c
	src/message-manager.h,
	src/project_dbase.c,
	src/project_dbase.h,
	src/project_dbase_gui.c,
	src/project_import_cbs.c,
	src/project_import_gui.c,
	src/registers.c,
	src/resources.c,
	src/resources.h,
	src/sharedlib.c,
	src/signals.c,
	src/signals_cbs.c,
	src/signals_gui.c,
	src/splash.c,
	src/src_paths_cbs.c,
	src/src_paths_gui.c,
	src/stack_trace.c,
	src/text_editor.c,
	src/text_editor_gui.c,
	src/text_editor_menu.c,
	src/toolbar.c,
	src/toolbar_callbacks.c,
	src/utilities.c,
	src/watch.c,
	src/watch_cbs.c,
	src/wizard_gui.c: GNOME porting.

2002-12-24 Naba Kumar <naba@gnome.org>

	* AUTHORS, ChangeLog, HACKING, Makefile.am,
	NEWS, README, SEARCH-REPLACE,
	THANKS, TODO, acinclude.m4, anjuta.prj, anjuta.spec.in, configure.in, 
	setup-gettext, data/*, doc/.cvsignore, global-tags/*,
	launcher/Makefile.am,
	launcher/anjuta_launcher.c, macros2/*, manuals/*/*/*/*,
	plugins/class-gen/clsGen.c, plugins/patch/patch-plugin.c,
	plugins/sample1/plugin-sample1.c, printing/print-doc.c,
	printing/print-util.c, printing/print.c, printing/print.h,
	scintilla/*/*, widgets/e-shell-about-box.c,
	src/*, tagmanager/*/*, widgets/Makefile.am,
	widgets/gnomefilelist.c:
	
	Merged with ANJUTA_1_0_0 branch (at tag MERGE_LEVEL_1) and ported many
	src/*.[c,h] files to gnome2 API.

	* src/anjuta_dialogs_strings.c: Added glade generated translatable
	strings table.

2002-10-23  Naba Kumar <naba@gnome.org>

	* autogen.sh: Prevented Users from building HEAD cvs.
	
2002-09-16  Stephane Demurget  <demurgets@free.fr>

	* src/anjuta.glade: added the compiler options dialog, hopefully
	HIG-1.0 compliant. Perhaps some accelerators are duplicated, though.

2002-09-15  Stephane Demurget  <demurgets@free.fr>

	* src/anjuta.glade: fixed a lot of small glitches.

	* src/commands.[ch]: more gnome 2 port. only instant apply is missing
	now.

	* src/breakpoints_cbs.c: polished a bit.

2002-09-15  Stephane Demurget  <demurgets@free.fr>

	* src/anjuta.glade: added the commands dialog fully HIG-1.0 compliant.

	* src/commands.c: partial gnome 2 port.

	* src/utilities.[ch]: changed some bits to be const.

2002-09-14  Stephane Demurget  <demurgets@free.fr>

	* src/Makefile.am: removed breakpoints_gui.c and added a check
	for gdk-pixbuf deprecated functions, but there shouldn't be much
	anyway.

	* src/breakpoints_gui.c: killed.

	* src/anjuta.glade: added two dialogs for the breakpoints management.

	* src/anjuta.h:
	* src/anjuta_cbs.c:
	* src/appwizard.c:
	* src/attach_process.c:

	* src/breakpoints*.[ch]: cleaned, simplified and polished up a lot of things,
	really huge changes and porting work.
	
	* src/breakpoints.[ch] (treeview_enabled_toggled): impl.
	(breakpoints_dbase_new): moved the UI init bits here.

	* src/breakpoints_cbs.[ch] (breakpoints_dbase_add_brkpnt): simplified
	a lot, not using any color anymore (not HIG compliant) and not using
	BrkPtItem thanks to libglade. 4 issues marked with #warning that have
	to be double checked.

	* src/build_file.c:
	* src/build_project.c: gnome 2 port.

2002-09-11  Stephane Demurget  <demurgets@free.fr>

	* src/anjuta.glade:
	* src/anjuta.h:
	* src/anjuta_cbs.c:
	* src/appwizard.c:
	* src/breakpoints.c:
	* src/breakpoints_cbs.c: cleaned up some bits.

2002-09-09  Stephane Demurget  <demurgets@free.fr>

	* src/Makefile.am:
	* src/messagebox.[ch]: killed. Not HIG compliant at all :/

	* src/an_symbol_view.[ch]:
	* src/attach_process_cbs.h: polished a bit.

	* src/breakpoints_cb.[ch]: partial gnome 2 port.

2002-09-02  Stephane Demurget  <demurgets@free.fr>

	* configure.in:
	* src/Makefile.am: added libglade-2 to the build.

	* src/anjuta.[ch]: added support for libglade.

	* src/anjuta.glade: added. There could be a file per top-level widget,
	as some other gnome projects, though.

	* src/attach_process_gui.c: removed.
	* src/attach_process.[ch]: gnome 2 port.
	(attach_process_new): Added the treeview init and the widget references
	here.

2002-08-31  Stephane Demurget  <demurgets@free.fr>

	* src/an_file_view.c: fixed some compilation issues.

	* src/an_symbol_view.c: gnome 2 port.

2002-08-26  Stephane Demurget  <demurgets@free.fr>

	* src/an_file_view.c: finished gnome 2 port.
	(on_file_view_row_expanded), (on_file_view_row_collapsed): change the
	directory pixmap depending on the event.

	* src/project_dbase.h: s/GtkTreeIter/GtkTreeRowReference/.
	(project_file_data_new): use a GtkTreePath.

2002-08-23  Stephane Demurget  <demurgets@free.fr>

	* src/Makefile.am: readded back an_*_view.[ch] because they are still
	driving me nuts but they need to be ported, heh ?

	* src/an_file_view.c: gnome 2 port, almost finished after some hard
	work since it's quite a total rewrite again.

2002-08-22  Stephane Demurget  <demurgets@free.fr>

	* src/an_file_view.c:
	* src/project_dbase.h: s/GtkTreePath/GtkTreeIter/.

2002-08-21  Stephane Demurget  <demurgets@free.fr>

	* src/anjuta_info.c:
	* src/utilities.h: gnome 2 port, featuring a total rewrite.

2002-08-20  Stephane Demurget  <demurgets@free.fr>

	* src/Makefile.am: removed an_*_view.[ch] because they're driving me
	nuts ATM.
       
	* src/an_file_view.c:
	* src/aneditor.cxx:
	* src/anjuta_cbs.c:
	* src/compiler_options.h:
	* src/messagebox.c:
	* src/messagebox.h:
	* src/pixmaps.h:
	* src/project_dbase.h:
	* src/resources.h: gnome 2 port.

2002-08-14  Stephane Demurget  <demurgets@free.fr>

	Added missing keywords reported by Lucca Bellonda <lbell@tsc4.com>.

	* data/properties/sql.properties: added the DATETIME data type.

	* data/properties/html.properties: added the foreach php keyword.

2002-08-08  Stephane Demurget  <demurgets@free.fr>

	* widgets/Makefile.am: removed blank line after the last backslash
	for avoiding a warning from automake.

	* configure.in:
	* src/Makefile.am: added the ORBit-2 dep.

2002-08-08  Stephane Demurget  <demurgets@free.fr>

	* AUTHORS: added Biswa, because I wonder why noone already have
	written his name in the Anjuta's hall of fame :)

2002-08-01  Naba Kumar <kh_naba@users.sourceforge.net>

	* widgets/Makefile.am, widgets/gnomefilelist.[c,h], widgets/gnomedirlist.[c,h],
	widgets/e-shell-about-box.c: Made to compile for gnome2.
	
2002-07-31  Naba Kumar <kh_naba@users.sourceforge.net>

	* scintilla/PlatGTK.cxx, scintilla/Scintilla.cxx,
	scintilla/include/ScintillaWidget.h: Made to compile for gtk2.
	
	* configure.in, printing/print.h, printing/print.c,
	printing/print-doc.c: Made to compile for gnome2.
	
2002-07-30  Naba Kumar <kh_naba@users.sourceforge.net>

	* configure.in, acconfig.h, Makefile.am, autogen.sh, launcher/Makefile.am,
	plugins/class-gen/Makefile.am, plugins/patch/Makefile.am, plugins/sample1/Makefile.am,
	printing/Makefile.am, src/Makefile.am, tagmanager/include/Makefile.am,
	widgets/Makefile.am:
	
	Upgraded the build system to gnome2 platform.
	
2002-12-19  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>
	* manuals/*: Added capability to generate PDF and PS.
	* src/debugger.c, data/gdb.init: Solaris GDB fixes.
	* TODO, TODO.biswa: Intergated TODO list.
	* src/project_dbase.c: Patch by TTimo (pref saving), bug #636542
	, bug #574470
	* src/dnd.c: Fix typo
	* src/an_[symbol|file]_view.c: Hide when updating (reduced flicker)
	* src/anjuta.c: Bug #568895, Bug #575419

2002-12-18  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>

	* tagmanager/tm_global_tags.c: Fixed compiler warning.
	* manuals/C/anjuta-faqs/anjuta-faqs.sgml: Updated FAQ.

2002-12-17  Naba Kumar <naba@gnome.org>

	* Makefile.am, src/Makefile.am, src/main.c: Fixed a couple of distcheck
	bugs.
	
2002-12-17  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>
	* manuals/C/anjuta-manual/*: Updated manual to include tool editor.
	* scintilla/LexCPP.cxx: Disable doxygen comment highliting.
	* anjuta.prj: Added tools.sgml
	* data/properties/cpp.properties: Bug # 646974

2002-12-16  Naba Kumar <naba@gnome.org>

	* src/goto_line.c: Ordered 'Ok' and 'Cancel' button in the right order.
	* src/configurer.c, src/anjuta_info.c, src/attac_process_gui.c,
	src/executer.c, src/launcherc, src/breakpoints_gui.c, src/help.c: Activates
	on 'Enter' and adds proper focus mechanism.
	* src/anjuta.c: Fixed a memory corruption bug.
	* src/anjuta-tools.c, anjuta.glade: Tools parameter dialog activates on
	'Enter' and can also be	Canceled. Sets proper default and focus policies
	for tools dialogs.
	* src/main_menubar_def.h: Fixed typos, added icons and added hot keys.
	* anjuta.glade, src/Makefile.am, src/anjuta_dialog_strings.c: Enabled
	translatable strings in dialogs and fixed some dialog properties.
	* src/anjuta-tools.c: Now uses xml format for loading and saving.
	* configure.in, anjuta.spec.in, anjuta.prj: Bumped version to 1.0.1
	* src/message_manager_private.cc: Fixed some debug messages.
	* src/print.c, src/print-doc.c, src/anjuta-tools.c, src/anjuta.c,
	widgets/gnomefilelist.c: Fixed a memory leaks.
	* src/toolbar.[ch], src/text_editor.[ch], src/find_text.[ch],
	src/toolbar_callbacks.[ch], src/mainmenu_callbacks.c,
	src/main_menubar_def.h: Implemented incremental search.
	* TODO: Updated.

2002-12-14  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>
	* tagmanager/*: Minor cleanups and warning fixes.
	* src/an_symbol_view.c, src/an_file_view.c: Do not freeze the
	GUI during long updates.
	* src/text_editor.c: Remove debug message.

2002-12-13  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>
	* tagmanager/tm_project.c: Fix a memory access problem.

2002-12-13  Naba Kumar <naba@gnome.org>

	* anjuta.glade, src/anjuta-tools.c: Added a new column in the
	tools list to show "Enabled" flag of the tool. Fixed a bug where
	tool list is not cleared when creating a new tool.
	
2002-12-13  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>
	* anjuta.glade, src/anjuta-tools.c: Added user params to tools.

2002-12-12  Naba Kumar <naba@gnome.org>

	* anjuta-tools.[h,c], commands.c: Used the tools help of
	anjuta variables list in commands editor and fixed a typos
	buy in anjuta-tools.c.
	
2002-12-12  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>
	* anjuta.glade, src/anjuta-tools.c, src/text_editor.[ch]
	, src/mainmenu_callbacks.c, controls.c: Tools editor stuff.
	* TODO.biswa: Added to help me track things better.

2002-12-11  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>

	* configure.in, anjuta.spec.in: Added libglade dependency.
	* Makefile.am: Added anjuta.glade file.
	* src/anjuta-tools.c, src/main.c, src/main_menubar_def.h
	, src/mainmenu_callbacks.[ch], src/message-manager.h
	, src/widget-registry.c: Tools editor GUI + other additions.

2002-12-09  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>

	* src/project_dbase.[ch], tagmanager/tm_project.c,
	tagmanager/include/tm_project.h, src/mainmenu_callbacks.c:
	Implement syncing tags image with the project database.
	* src/anjuta-tools.c: Implemented variable substitution and
	working directory in tools.

2002-12-09  Naba Kumar <naba@gnome.org>
	
	* data/properties/anjuta.properties, src/commands.[ch]: Reads the
	command configuration language list from properties.
	
	* data/properties/asm.properties, data/properties/ruby.properties:
	Fixed typos.

2002-12-04  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>

	* src/an_symbol_view.c: Remember current selected entry and select
	it automatically after refresh.

2002-11-26  Murray Cumming  <murrayc@usa.net>

	* src/project_type.c, src/project_dbase.c, src/stock_libs.anj,
	  src/compiler-options.c, src/wizard_gui.c: Renamed gtkmm 1.2
	and gnomemm 1.2 projects so that people know they are really
	glademm projects. The gtkmm 2 and gnomem 2 projects are OK though.
	But I did correct these to sue lowercase names.

2002-12-01  Naba Kumar <naba@gnome.org>

	* data/anjuta.properties: Fixed caching problem on 
	indicators.
	* src/preferences.c, src/preferences_gui.c: Implemented automatic
	indicators prefs.
	
2002-12-01  Naba Kumar <naba@gnome.org>

	* data/properies/anjuta.properties: Corrected "indicators.automatic"
	property name.
	* src/anjuta.c, src/preferences.h: Added MESSAGES_INDCATORS_AUTOMATIC
	property and uses it.
	* src/aneditor.cxx: Fixed a bug associated with selection a word at
	current cursor.
	
2002-11-30  Naba Kumar <naba@gnome.org>

	* src/debugger.c: Fixed a typo.
	* data/properties/*: Updated properties files and added
	new ones.
	* src/main_menubar_def.h, main_menubar.[hc], mainmenu_callbacks.[hc]:
	Added comment submenu and cleaned up ref and unref of menus.
	* src/aneditor.h: Added definition of comment commands.
	* src/aneditor.c: Upgrade from latest SciTE source code.
	* src/text_editor.[hc], src/text_editor_cbs.c, 
	src/message_manager_private.cc,	src/message_manager.[cc,h],
	src/anjuta.[c,h]: Added indicators support for errors/warnings
	highlight in the editor.
	* NEWS, TODO: Update.
	* scintilla/include/PropSet.h: Removed deprecrated function.
	
2002-11-29  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>

	* src/anjuta-tools.[ch]: Tools implementation (basic)
	* src/anjuta-plugins.[ch], src/anjuta.[ch], src/main_menubar.[ch]
	  , src/main_menubar_def.h: PLugins cleanup and segregation
	* src/widget-registry.[ch], src/main_menubar.[ch]: Start of a widget
	  registry
	* anjuta.prj: Added new files
	* manuals/C/anjuta-faqs/anjuta-faqs.sgml: New FAQ entry
	* plugins/class-gen/clsGen.c: Register menu under 'Project'
	* plugins/patch/patch-plugin.c: Register menu under 'Format'
	* plugins/sample1/plugin-sample1.c: Register menu under 'View'
	* src/Makefile.am: Added new files
	* src/message-manager.[cc/h]: Added standard output and error windows

2002-11-26  Johannes Schmid <clubfan@users.sourceforge.net>

	* project_type.c: Fixed Gnomemm2 project type

2002-11-25  Naba Kumar <naba@gnome.org>

	* printing/print.c: Fixed a compile warning.
	* scintilla/Autocomplete.cxx: Applied missing patch from Biswa
	* src/utilities.c: Fixed a compile warning in sparc, hides the
	terminal check error output from the user.
	* project_config.[ch], project_dbase.[ch], source.c: Added project
	version, exclude modules configuration and reordered other config
	properties. Changed some strings to more descriptive text.
	* src/compiler_opitions.c: Removed extra newlines from .prj file
	save.
	* anjuta.prj: Converted to new format (only reorganised properties
	and removed extra newlines ... nothing else).
	* NEWS: updated
	
2002-11-21  Naba Kumar <naba@gnome.org>

	* Editor.cxx, Editor.h, include/SciLexer.h, include/Scintilla.h,
	include/Scintilla.iface, KeyMap.cxx, KeyWords.cxx, LexCPP.cxx,
	LexFortran.cxx, LexHTML.cxx, LexMatlab.cxx, LexOthers.cxx,
	LineMarker.h, PropSet.cxx, RESearch.cxx, ScintillaBase.cxx:
	Updated to the CVS version.

2002-11-20  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>

	* scintilla/AutoComplete.[cxx,h], scintilla/PlatGTK.cxx
	  , scintilla/include/Platform.h, scintilla/ScintillaBase.cxx
	  , scintilla/include/Scintilla.h, src/aneditor.cxx: Implement
	  images in completion lists. 
	* src/resources.h: Make C++ friendly.
	* scintilla/PropSet.cxx: Fix memory leak.

2002-11-20  Naba Kumar <naba@gnome.org>

	* scintilla/*/*: Synced to latest scintilla 1.49
	* scintilla/LexAsm.cxx, scintilla/LexFortran.cxx, src/Makefile.am:
	New lexers added.

	* scintilla/RESearch.cxx: The automatic cvs log in the
	file really broke things trying to interprete the changelog
	entry incorrectly as end-of-comment. Removed the $cvs line
	and committed again.
	
2002-11-19  Naba Kumar <naba@gnome.org>

	Patch from Timothee Besset <ttimo@idsoftware.com>
	
	* src/message-manager-private.cc: Interpretes absolute
	file paths properly in zvt terminal.

2002-11-19  Naba Kumar <naba@gnome.org>

	Patch from Timothee Besset <ttimo@idsoftware.com>
	
	* src/preferences.c, src/preferences_gui.c, src/project_dbase.c,
	src/properties.cxx, src/properties.h, anjuta.prj: Saves some of the 
	(important) editor preferences in project (if there is one
	open).
	
	* TODO: Updated
	
2002-11-18  Naba Kumar <naba@gnome.org>
	
	Patch from: Jean-Noel Guiheneuf <jnoel@saudionline.com.sa>
	
	* src/debug_tree.c, src/find_in_files_gui.c,
	src/find_replace.c, src/find_text.c, 
	src/project_import.c, src/project_import_gui.c,
	src/wizard_gui.c: i18n Fixes.

2002-11-15  Naba Kumar <naba@gnome.org>

	* plugins/class-gen/clsGen.c: Fixed to use project function
	to import files. Create non-existent directories before the
	sources are written.
	
	* configure.in, src/Makefile.am, src/main.c, src/preferences_gui.c,
	src/preferences.c, src/CORBA-Server.c,src/CORBA-Server.h,
	src/glade_iface.c,
	src/glades.c: Excluded gladen files from build. This
	will fix the unnecessary dependency on libssl.
	
	* src/project_dbase.[c,h], src/project_dbase_gui.c: Refined
	file import funtion.
	
	* src/message_manager_private.cc: Fixed a compiler warning with
	DEBUG preprocessor macro.
	
	* src/text_editor_cbs.c, src/main_menu_callbacks.c: Fixed a bug where
	wrong (undocked) editor window was closed on clicking close on an
	undocked editor window.
	
	* src/debugger.c: Fixed a bad bug where debugger terminal won't
	start correctly if the executable was run before with 'F3'.
	
	* src/toolbar_callbacks.c: Wrap around find next.
	* src/toolbar.c: Disable combo activate.
	* src/find_text.c (on_find_text_ok_clicked): Swapped 'yes' and 'no'
	button positions to get	'yes' as default.

	* anjuta.spec.in: Updated.
	
	* src/anjuta_info.c, src/appwizard_gui.c,
	src/attach_process_gui.c, src/breakpoints_gui.c,
	src/commands.c, src/compiler_options_gui.c, src/configurer.c,
	src/cvs.c, src/cvs_gui.c, src/debugger.c, src/executer.c,
	src/find_in_files_gui.c, src/find_replace.c, src/find_text.c,
	src/help.c, src/launcher.c, src/main.c, src/mainmenu_callbacks.c,
	src/memory.c, src/message-manager-private.cc, src/message-manager.cc,
	src/preferences.c, src/preferences_gui.c, src/project_config.c,
	src/project_dbase.c, src/project_dbase.h, src/project_dbase_gui.c,
	src/project_import_gui.c, src/registers_gui.c, src/sharedlib_gui.c,
	src/signals_gui.c, src/source.c, src/src_paths_gui.c,
	src/stack_trace_gui.c, src/text_editor_cbs.c, src/text_editor_gui.c,
	src/toolbar.c, src/toolbar_callbacks.c, src/watch.h, 
	src/watch_cbs.c, src/watch_gui.c, plugins/class-gen/clsGen.c,
	plugins/patch/patch-plugin.c, printing/print-util.c:
	Set all windows and dialogs transient
	to their parents so that they remain floated above their parents.
	
2002-11-13  Naba Kumar <naba@gnome.org>

	* printing/print.c: Fixed a leak and bug #634819 (print/preview does not
	take default editor font).
	
	* widgets/e-shell-about-box.c, src/main_menubar_def.h:
	Corrected email address.
	
	* src/mainmenu_callbacks.c: Used spaces instead of tabs
	for changelog entry.

	* NEWS: Updated.
	
2002-11-06  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>
	* plugins/class-gen/clsGen.c: Refined the class generator a bit.

2002-11-06  Naba Kumar <naba@gnome.org>

	* README: Updated
	* anjuta.spec.in: Ships the .omf files with the
	documents instead of the base package.
	
2002-11-04  Naba Kumar <naba@gnome.org>

	* data/properties/latex.properties: Fixed a bug.
	* ChangeLog: Released 1.0.0 stable.

2002-11-04  Naba Kumar <naba@gnome.org>

	* src/commands.c: Added command with shell redirection capability.
	* data/properties/anjuta.properties: Changed default execution
	command.
	* src/project_dbase.c: Set project top dir in properties.
	* Makefile.am: Recurse scripts/ before data/ to fix a distcheck error.
	* data/Makefile.am: More diskcheck error fixes.
	
	* README, anjuta.spec.in, THANKS, AUTHORS,
	manuals/C/anjuta-faqs/anjuta-faqs.sgml,
	manuals/C/anjuta-manual/authers,sgml,
	manuals/C/anjuta-manual/anjuta-manual.sgml,
	manuals/C/anjuta-manual/anjuta-manual-C.omf,
	manuals/C/anjuta-manual/anjuta-manual-ja_JP.eucJP.omf
	: Changed anjuta home to
	new URL and my email address.
	
	* manuals/C/anjuta-manual/interfaces.sgml,
	manuals/C/anjuta-manual/prefereces.sgml,
	manuals/C/anjuta-faqs/anjuta-faqs.sgml: Fixed typos and updated.
	
	* src/main_menubar.[c,h], src/controls, src/toolbar_callbacks.c
	: removed reference to the help menu as the menu is modified
	when no help is found (which is very likely when we are
	shiping the documents separately).
	
2002-11-03  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>
	* anjuta.spec.in: Update specfile to make multiple RPMs.
	* data/Makefile.am: make dist fix.
	* src/text_editor_menu.c: Fix compile warnings (casts).

2002-11-02  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>
	* manuals/C/anjuta-faqs/anjuta-faqs.sgml: FAQ update.
	* tagmanager/general.h, src/launcher.c: FreeBSD fixes (RFE #628576)

2002-11-01  Naba Kumar <naba@gnome.org>

	* macros2/*, Makefile.am, configure.in, data/Makefile.am:
	Added gnome2 macros to be used by gnome2 project wizard.
	
	* data/autogen.sh.gnome2: Fixed to use our own macros instead of
	from gnome-common.
	
	* macros/Makefile.am: Removed INSIDE_GNOME_COMMAND macro
	as it was conflicting with generated projects and is not
	useful for us.
	
	* src/appwiz_page1.c, src/project_dbase.h, src/project_type.c,
	src/project_type.h, src/source.c, src/wizard_gui.c: Fixed gnome2
	project generation, removed qt project as it's not complete and
	added gnome2 bonobo wizard.

2002-10-29  Naba Kumar <naba@gnome.org>

	* po/POTFILES.in: Updated.
	* po/POTFILES.skip: Added.
	* preferences.h: Fixed print paper size property name.

2002-10-28  Naba Kumar <naba@gnome.org>
	
	* data/user.properties, data/Makefile.am: Added user properties file
	which will be copied in user's ~/.anjuta/user.properties.
	
	* data/anjuta.properties: Changed a comment.
	
	* macros/gnome-pilot.m4: Upgraged to the cvs head of gnome-macros.
	
	* src/main_menubar.c, src/main_menubar.h, src/main_menubar_def.h,
	src/mainmenu_callbacks.c, src/mainmenu_callbacks.h, src/preferences.c:
	Adde [Settings]->[Preferences]->[Edit user.properties file ...] menu
	item.

	* src/mainmenu_callbacks.c: Fixed a bug that loads system properties file
	instead of user properties file.
  
	* README, anjuta.prj, configure.in: Bumped anjuta version to 1.0.0
	* anjuta.spec.in: Added {prefix}/share/doc/anjuta for rpms.
	* Makefile.am: Install docs in share/doc/anjuta and not doc/anjuta.
	* README, TODO: Updated.
	
2002-10-28  Naba Kumar <naba@gnome.org>

    * manuals/C/anjuta-manual/figures/editor_guides.png,
    manuals/C/anjuta-manual/figures/editor_margins.png,
    manuals/C/anjuta-manual/figures/editor_markers.png,
    manuals/C/anjuta-manual/figures/local_variables.png,
    manuals/C/anjuta-manual/figures/open_file_multiple.png,
    manuals/C/anjuta-manual/figures/prefs_print.png,
    manuals/C/anjuta-manual/figures/print_dlg.png,
    manuals/C/anjuta-manual/figures/print_preview.png,
    manuals/C/anjuta-manual/figures/symbol_browser.png,
    manuals/C/anjuta-manual/figures/variable_tip.png: New png
    files for manual documentation.
    
    * manuals/sgmldocs.make,
    manuals/C/anjuta-manual/Makefile.am,
    manuals/C/anjuta-manual/authors.sgml,
    manuals/C/anjuta-manual/build.sgml,
    manuals/C/anjuta-manual/compileopts.sgml,
    manuals/C/anjuta-manual/debugger.sgml,
    manuals/C/anjuta-manual/execute.sgml,
    manuals/C/anjuta-manual/fileoperations.sgml,
    manuals/C/anjuta-manual/interface.sgml,
    manuals/C/anjuta-manual/preferences.sgml,
    manuals/C/anjuta-manual/projects.sgml,
    manuals/C/anjuta-manual/figures/arguments.png,
    manuals/C/anjuta-manual/figures/open_file.png,
    manuals/C/anjuta-manual/figures/other_opts.png,
    manuals/C/anjuta-manual/figures/scrshot.png,
    manuals/C/anjuta-manual/figures/toolbar_browser.png,
    manuals/C/anjuta-manual/figures/toolbar_tags.png:
    
    Updated anjuta manual documentation.

    
2002-10-27  Naba Kumar <naba@gnome.org>

    * utilities.[h,c], debugger.[h,c], commands.c: Added gnome-terminal
    check and modifies debugger terminal command accordingly
    to function properly.
    
2002-10-25  Naba Kumar <naba@gnome.org>

	* manuals/sgmldocs.make: Fixed a couple of bugs.
	* data/x-anjuta-project.desktop. data/Makefile.am: Mime handling link.

2002-10-24  Naba Kumar <naba@gnome.org>

	* src/debug_tree.c: Fixed a crash bug from Etay.

	* global_tags/create_global_tags: Added messages.
	Fixed infinite looping within files.
	
	* macro/autogen.sh: Removed debug and warning flags for defaults.
	
	Patch from Vadim Berezniker <vadim@berezniker.com>
	
	* tagmanager/tm_workspace.[h,c], global-tags/create_global_tags.sh,
	global-tags/tm_global_tags.c: Fixed infinite loop in system tags
	generation.

	* Makefile.am: XML merge is broken for .destop in RH 8.0, so
	temporarily just copy it

2002-10-24  Naba Kumar <naba@gnome.org>

	* manuals/sgmldocs.make, anuals/C/anjuta-faqs/anjuta-faqs.sgml,
	manuals/C/anjuta-manual/anjuta-manual.sgml, 
	manuals/C/anjuta-manual/compileopts.sgml,
	manuals/C/anjuta-manual/debugger.sgml,
	manuals/C/anjuta-manual/execute.sgml,
	manuals/C/anjuta-manual/fileoperations.sgml,
	manuals/C/anjuta-manual/interface.sgml,
	manuals/C/anjuta-manual/introduction.sgml,
	manuals/C/anjuta-manual/projects.sgml,
	manuals/C/anjuta-tutorial/anjuta-tutorial.sgml,
	manuals/ja/anjuta-faqs/anjuta-faqs.sgml,
	manuals/ja/anjuta-manual/anjuta-manual.sgml,
	manuals/ja/anjuta-manual/compileopts.sgml,
	manuals/ja/anjuta-manual/debugger.sgml,
	manuals/ja/anjuta-manual/execute.sgml,
	manuals/ja/anjuta-manual/fileoperations.sgml,
	manuals/ja/anjuta-manual/interface.sgml,
	manuals/ja/anjuta-manual/introduction.sgml,
	manuals/ja/anjuta-manual/projects.sgml: Upgraded to Docbook 4.0

2002-10-24  Naba Kumar <naba@gnome.org>

	* src/project_type.c: added autogen for qt projects.
	* src/debugger.c: enabled debugger debugging for DEBUG MODE.
	Fixed a bug that retrieves wrong terminal command.
	* src/commnads.c: Added more terminal commands.
	* configure.in: Checks for scrollkeeper version.
	
2002-10-22  Naba Kumar <naba@gnome.org>

	* configure.in, acinclude.m4, setup-gettext: Used AM_GNU_GETTEXT
	instead of AM_GNOME_GETTEXT.
	
	* src/source.c, data/autogen.sh.*, data/Makefile.am: Added support
	for setup-gettext for the wizard generated projects.

	* src/source.c: Fixed a bug where glade file wasn't generated.
	
	* src/gnome_project.c: Excluded project version from project dir
	name.
	
2002-10-22  Naba Kumar <naba@gnome.org>

	* acinclude.m4: New file with dummy funtion for gettext
	cross compatibility fix.
	
	* configure.in, setup-gettext: Fixed to use with AM_GNOME_GETTEXT.
	* configure.in: Fixed cflags to avoid useless warnings.
	* Makefile.am: EXTRA_DIST += setup-gettext.
	* src/toolbars.c: Added space paddings around tags label.

2002-10-21  Naba Kumar <naba@gnome.org>

	Patch from Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>
	
	* setup-gettext: New script to maintain gettext cross version
	compatibility.
	* configure.in, macros/autogen.sh: Fix for gettext cross version
	compatibility.
	
2002-10-21  Naba Kumar <naba@gnome.org>

	* debug_tree.c: Fixed incorrect use of debug assertion.
	
2002-10-18  Etay Meiri <etay-m@bezeqint.net>
	    Jean-Noel Guiheneuf <jnoel@saudionline.com.sa>
	* src/debug_tree.c, src/debug_tree.h, src/debugger.c,
	src/memory.c, src/memory.h, src/message-manager-private.cc:
	
	New parsing algorithm; adapted from kdevelop.
	Middle button menu for changing the value's display type

2002-10-07  Naba Kumar <naba@gnome.org>

	* src/main_menubar_def.h: Changed status bar message for Help->
	Browse info pages. Bug #603308

	* src/executer.c: Made "User terminal" default for creating
	projects (User can always disable it later). Bug #114222
	
2002-10-03  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>

	* macros/autogen.sh: Require gettext 0.10.x for autogen
	* src/text_editor.c: Fixes Bug #595303
	* src/source.c: Fixes Bug #595970
	* src/anjuta.c: Fixes Bug #598366
	* scingtilla/LexCPP.cxx: Bug #602296
	* src/main_menubar_def.h: Bug #604363
	* src/find_in_files.[h,c], src/find_in_files_gui.c: Buf #608679
	
2002-10-07  Jens Georg <mail@jensgeorg.de>

	Reviewed by: Naba Kumar <kh_naba@gnome.org>
	* gnomefilelist.c: This patch fixes the bug #611542
	
2002-09-20  Naba Kumar <kh_naba@gnome.org>

	* data/properties/Makefile.am: Added tcltk.properties file.
	
2002-09-20	Biswapesh Chattopadhyay	<biswapesh_chatterjee@tcscal.co.in>

	Reviewed by: Naba Kumar <kh_naba@gnome.org>
	
	* README: Updated README
	* plugins/class-gen/clsGen.c, src/message_manager.cc
	  , src/mainmeu_callbacks.c, src/memory.c
	  , src/project_dbase_gui.c, src/text_editor_gui.c
	  , widgets/gnomefilelist.c: Set window icons
	* configure.in, macros/*, */Makefile.am, anjuta.spec.in:
	  Enabled release build (stripped + optimized binaries, etc.)
	* data/properties/anjuta.properties, src/commands.c,
	  src/defaults.cFixed bug #595489 (stdin on executables)
	* src/appwizard.c, src/main.c, src/message-manager.cc
	  , src/project_dbase.c, src/toolbar.c, widgets/gnomefilelist.c
	  , src/debug_tree.c: Memory related (valgrind) fixes.
	* src/message-manager-private.[cc,h], src/pixpams.h
	  , src/preferences.[ch], src/preferences_gui.c: Terminal preferences
	* anjuta.prj: Added debug_tree.c to SOURCES
	* src/main_menubar_def.h, src/mainmenu_callbacks.[ch],
	  src/text_editor_menu.c, src/text_editor_gui.c, src/anjuta.c:
	  Compacted code and cleaned up unnecessary functions.
	* tagmanager/*.[ch]: Code fixes.
	
2002-08-30  Etay Meiri <etay-m@bezeqint.il>
	
	Reviewed by: Naba Kumar <kh_naba@gnome.org>
	
	* src/debug_tree.c, debug_tree.h, debugger.c, message-manager-private.cc:
	Debug tree now detects changes of displayed variables
	and changes their color to red

2002-09-20  Naba Kumar <kh_naba@gnome.org>

	Patch from: Jean-Noel Guiheneuf <jnoel@saudionline.com.sa>
	
	* mainmenu_callbacks.c: Set's the current file name in
	file save as dialog.
	
2002-09-20  Naba Kumar <kh_naba@gnome.org>

	Patch from: Vlastimil Holer <xholer@informatics.muni.cz>

	* data/properties/tcltk.properties: New file for tcl/tk
	properties.

2002-08-28	Naba Kumar	<kh_naba@users.sourceforge.net>

	* src/project_type.[c,h], src/source.c, data/Makefile.am:
	Fixed a fatal bug which doesn't let building gnome2 related
	projects. They use different autogen.sh script.	Defined new
	type field "gnome_macro_support".
	
	* data/autogen.sh.gnome2: New file.
	
	* src/utilities.c (anjuta_util_escape_quotes): Fixed a fatal
	bug with quotes escaping in quotes.
	
	* src/message-manager-private.cc: Used event box instead
	of frame for local message pane, so that the borders appear
	properly and nicely.
	
	* src/anjuta.c: Fixed bug #600221 -- anjuta crashes on exit
	if there is a project open and all the files are un-docked.

	* src/dnd.c: Possible fix for bug #512873 Drag And Drop problems.

2002-08-27	Andy Piper	<andy.piper@freeuk.com>

	* src/main_menubar_def.h: implement feature request #595356, patch #597161
	* THANKS: updated for new contributions
	* src/mainmenu_callbacks.c, src/mainmenu_callbacks.h: patch #597161

2002-08-27 Steven Knight  <steven.knight@unh.edu>

	* src/appwiz_page1.c, src/pixmaps.h, src/project_dbase.c,
	src/project_dbase.h, src/project_type.c, src/source.c, 
	src/wizard_gui.c: new Qt project type
	*** NB not fully tested, may need some work, icon required...

2002-08-27 Jean-Noel Guiheneuf <jnoel@saudionline.com.sa>

	* src/memory.c, src/memory.h: new memory patch

2002-08-27  Johannes Schmid <clubfan@users.sourceforge.net>

	* src/anjuta.c: Fixed bug #589646 CVS preferences visibility

2002-08-27	Naba Kumar	<kh_naba@users.sourceforge.net>

	* lancher/anjuta_launcher.c: Determine pty from function
	call instead of running 'tty' externally.
	
	* data/properties/cs.properties: Added compile/build commands.
	Fixed execution properties.
	
	* src/commands.c: Added c# options.

	(Patch from: Etay Meiri <etay-m@bezeqint.net>)
	
	* src/debug_tree.[c,h], src/debugger.[c,h],
	src/message_manager_private.[cc,h], message_manager.cc, stack_trace.[c,h]:
	
	The following problems, detected by Jean-Noel Guiheneuf, were fixed:
	1. Misaligned structs when they are members of other structs.
	2. '{' sometimes appears as a variable.
	3. Wrong processing of some arrays.
	I've also incorporated some code from a patch by Guiheneuf Jean-Noel
	that displays the tree in two columns (variable and value).

2002-08-14  Stephane Demurget  <demurgets@free.fr>

	Added missing keywords reported by Luca Bellonda <lbell@tsc4.com>.

	* data/properties/sql.properties: added the DATETIME data type.

	* data/properties/html.properties: added the foreach php keyword.

2002-08-09	Naba Kumar	<kh_naba@users.sourceforge.net>

	* NEWS: Updated with new features.
	
	* data/.cvsignore, doc/.cvsignore: Updated.
	
	Patch from: Etay Meiri <etay-m@bezeqint.net>
	
	* src/debug_tree.h, src/debug_tree.c: New files.
	
	* src/Makefile.am, src/message-manger-private.[h,cc],
	src/message-manger.cc: Added Tree view for debugger
	locals view.
	
2002-08-09	Naba Kumar	<kh_naba@users.sourceforge.net>

	Patch from Jean-Noel Guiheneuf <jnoel@saudionline.com.sa>
	
	* src/memory.c, src/memory.h: New files.
	
	* src/Makefile.am, src/appwizard.c, src/controls.c,
	src/main_menubar.c, src/main_menubar.h, src/main_menubar_def.h,
	src/mainmenu_callbacks.c, src/mainmenu_callbacks.h:
	
	Memory view implemetation that would enable viewing raw memory
	during debugging.

2002-08-08  Stephane Demurget  <demurgets@free.fr>

	* AUTHORS: added Biswa, because I wonder why noone already have
	written his name in the Anjuta's hall of fame :)

2002-08-07	Naba Kumar	<kh_naba@users.sourceforge.net>

	* src/appwizard_gui.c: Removed an ambiguous prototype.
	* src/appwizard_gui.c: Removed more ambiguous prototypes. This seem to
	fix a nasty PPC bug as reported by Todd Goyen <wettoad@knighthoodofbuh.org>.
	* THANKS: Updated M. Ali Vardar's email.
	
2002-08-01	Andy Piper	<andy.piper@freeuk.com>

	* src/anjuta_gui.c: implemented feature request to stop main and browser
	  toolbars having exclusive use of space

2002-08-01	Andy Piper	<andy.piper@freeuk.com>

	* NEWS: updated for 1.0-beta release
	* widgets/e-shell-about-box.c, manuals/C/anjuta-manual/authors.sgml, 
	  THANKS: credited new contributors

2002-07-24  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>

	* tm_project.c: Added *.i and *.pc to C code files.
	* data/Makefile.am, plugins/class-gen/Makefile.am: Build fixes.
	* src/project_dbase.c: Project dir realpath()ed.

2002-07-17  Stephane Demurget  <demurgets@free.fr>

	* */*/*.{c, cxx, h, py}:
	* scintilla/include/Scintilla.iface: UNIXified all sources thanks to a
	nifty script from Timothee Besset <ttimo@idsoftware.com>.

2002-07-15	Naba Kumar	<kh_naba@users.sourceforge.net>
	
	* NEWS: Updated.
	* scintilla/KeyWords.cxx: Fixed a compile bug.

2002-07-02	Naba Kumar	<kh_naba@users.sourceforge.net>

	* src/aneditor.cxx: Expression tip not shown when
	debugger not active or ready.
	
	* data/Makefile.am: Install anjuta.mime in $(prefix)/share/mime-info
	
2002-07-01	Naba Kumar	<kh_naba@users.sourceforge.net>

	* pixmaps/anjuta_splash.png: New splash from Misha.
	
	Patch from: Pierre Sarrazin <sarrazip@sympatico.ca>
	
	* src/breakpoints.h, src/debugger.h, src/project_dbase.h,
	src/text_editor.c, src/text_editor.h, src/text_editor_gui.c,
	src/toolbar.c, src/toolbar.h: C++ fixes so that these could work
	with c++ sources.
	
	* src/aneditor.cxx: Automatic expression tips during debugging
	session.
	
	* NEWS: Updated.
	
2002-06-28  patch from Jens Georg <mail@jensgeorg.de>

	* doc/Makefile.am, configure.in: Updated for new launcher manpage.
	* doc/anjuta_launcher.1.in: Added file.
	
2002-06-28	Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>

	* src/project_dbase.c: Fixed update of tagmanager.
	
2002-06-28	Johannes Schmid <clubfan@users.sourceforge.net>
	
	* src/cvs.c, src/cvs_gui.c: cvs remove -f is now used and
	a warning is printed in the dialog. (Bug #567983)

2002-06-28	Naba Kumar	<kh_naba@users.sourceforge.net>

	(Patch from: Kelly Bergougnoux <three3@users.sourceforge.net>)
	
	* src/appwiz_page1.c, src/pixmaps.h, src/project_dbase.c,
	src/project_dbase.h, src/project_import_cbs.c, src/project_type.c,
	src/source.c, src/wizard_gui.c: libglade2 wizard.
	
	Patch from Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>
	
	* scintilla/include/PropSet.h:
	see mail 13/06/2002 "Dollar is a valid function character"
	
2002-06-23	Naba Kumar	<kh_naba@users.sourceforge.net>

	* src/preferences_gui.c: Added pixmaps to the preferences tab labels
	
	* src/pixmaps.h, pixmaps/Makefile.am, pixmaps/prefs_*.xpm,
	anjuta.prj: Added xpm pixmap files and their entries.
	
	(Patch from Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>)
	
	* src/utilities.h, tagmanager/tm_project.c: Cleanups
	
	* src/project_dbase.c, src/project_dbase_gui.c: Fixed the
	file-path-corruption bug and the cannot-import-file-in-project
	bug and taken care of both generated and imported projects.
	
2002-06-13	Naba Kumar	<kh_naba@users.sourceforge.net>

	* Makefile.am: src module should be build last to complete
	the dependencies with the libraries.
	
	* plugins/class-gen/clsGen.c: Removed the gtk_widget_set_usize()
	calls to the various widgets to avoid clipping with large fonts.
	
2002-06-13	Dave Huseby <huseby@shockfusion.com>

	Reviewed by Naba Kumar <kh_naba@users.sourceforge.net>
	
	* plugins/class-gen/clsGen.c: Upgraded to new class generator.
	* plugins/class-gen/class_logo.xpm: cvs added file.
	
2002-06-12  Naba Kumar <kh_naba@users.sourceforge.net>

	* data/properties/anjuta.properties: Added anjuta.terminal property
	for older session file to work properly.
	
	* src/preferences_gui.c: Hidden unused option to make the
	preferences/general page less crowded. Shifted user info
	down in the vbox.
	
2002-06-12	Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>

	* src/an_file_view.[ch], src/cvs_gui.h: CVS integration.
	* src/an_symbol_view.[ch]: Usability and memory leak fixes.
	* src/anjuta.c, src/cvs_cbs.c, src/project_dbase.c: Fixed memory leaks.
	* src/project_dbase_gui.c: Usability: Show file name in error message.
	* widgets/gnomefilelist.c: Fixed memory leaks.

2002-06-12  Sébastien Côté <cots01@gel.usherb.ca>

	* printing/print.c, printing/print.h: Dynamically calculate
	the line number width in print.

2002-06-11  Johannes Schmid <clubfan@users.sourceforge.net>
	
	* src/cvs.c: FileView is automatically updated after a 
	cvs commit/update.

2002-06-11	Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>

	* anjuta.prj: Added source directories
	* configure.in, src/Makefile.am, widgets/Makefile.am: Consolidated
	gdk_pixbuf CFLAGS and LIBS.
	* global-tags/create_global_tags.sh: Pick up SDL tags.
	* src/anjuta.c, src/build_project.c, 
	src/message-manager-private.cc: Fix memory management bugs.
	* src/main_menubar.c, src/project_dbase_gui.c: Hide unimplemented
	features.
	* src/project_dbase.c: fix #566337

2002-06-11	Andy Piper	<andy.piper@freeuk.com>

	* src/preferences_gui.c: message strings reviewed
		
	* anjuta.prj, configure.in, doc/Makefile.am, data/welcome.txt.in, 
	doc/anjuta.1.in: install man page, update version numbers automatically
	(patch from Jens Georg <mail@jensgeorg.de>)
	* data/welcome.txt, doc/anjuta.1: files removed

2002-06-11  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/preferences.h, src/preferences.h, src/anjuta.c:
	Removed the reference of MESSAGE_WINDOW_VISIBLE. They are
	not required as per the discussions in the mailing list.
	
	* src/preferences_gui.c: Removed the "Misc",
	"User" and "Components" preference tab and shifted the
	preferences to other relevent pages.
	
	* src/debugger.c: Comment the debug flag.
	
2002-06-11  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/utilities.c (anjuta_util_escape_quotes): taken care
	to escape '\' too. Fixed crash bug when term could not be
	started. Corrected error message.

	* src/utilities.c, src/utilities.h: Added anjuta_util_kill()
	to use when the process runs in separate process group, where
	normally kill() would not respond. Added a funtion to parse
	a string and seperate out the args as a list.
	
	* src/debugger.c, src/debugger.h: Modified terminal envokation
	command to use execlp() intead of execvp(), so that terminal could
	be configured by the user. Removed the hard coded gnome-terminal
	use. Enabled stopping/restarting programs while it is executing.
	Added post execution flag to decide if the debugger should exit
	or restart the program after the program has terminated. Converted
	to parse the terminal command from properties and use directly
	with execvp().
	
	* src/an_file_view.c: Added col titles for file view, so that
	people could identify that the numbers on the right is the
	cvs revision numbers.
	
	* src/controls.c: Enabled restart program and stop program for
	debug while the program is executing.

2002-06-10	Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>

	* anjuta.spec.in, configure.in: Fixed gdk-pixbuf and gnome-print
	requirements.
	* src/an_file_view.c, src/an_symbol_view.c, src/debugger.c, 
	src/main_menubar_def.h, src/message-manager-private.h, 
	src/message-manager.cc, src/project_dbase.[ch], 
	src/project_dbase_gui.c, src/text_editor.c, 
	src/text_editor_menu.[ch]: Consistent dock/undock check menu items 
	for project, messages and editor windows.
	* data/stock_libs.anj: more library descriptions
	* src/controls.c: disable Format->Detach if notebook has no 
	children
	
	Patches reviewed by Andy Piper <andy.piper@freeuk.com>

2002-06-09	Andy Piper	<andy.piper@freeuk.com>

	* data/stock_libs.anj: added more library descriptions
	* anjuta.prj: added tutorial files

2002-06-09	Andy Piper	<andy.piper@freeuk.com>

	* src/main_menubar_def.h, src/mainmenu_callbacks.c: fixed
	the CVS keyword insert and improved help text

2002-06-09	Andy Piper	<andy.piper@freeuk.com>

	* data/stock_libs.anj: expanded library list and began to add 
	library descriptions
	
	* plugins/class-gen/clsGen.c: fixed message strings
	
	* po/en_GB.po: added file
	
	* configure.in: added en_GB
	
	* anjuta.prj: added new files
	
	* pixmaps/Makefile.am: install the MadeInAnjuta button file 
	so users can use it for their websites :-)
	
	* pixmaps/anjuta_splash.png: new splash screen from Misha
	
	* src/debugger.c: commented the define for ANJUTA_DEBUG_DEBUGGER
	left over from the previous work to fix bugs :-)
	
	* src/main_menubar_def.h, src/main_menubar.h, src/main_menubar.c, 
	src/controls.c, src/mainmenu_callbacks.h, 
	src/mainmenu_callbacks.c: Insert CVS keywords, message strings 
	reviewed
	
	* src/watch_gui.c, src/stack_trace_gui.c, src/app_wizard_gui.c, 
	src/project_import_gui.c, src/sharedlib_gui.c, 
	src/signals_gui.c: set window icon correctly
	
	* NEWS: more updates for the release
	
	* HACKING: updated for window icons and insert menu information
	
	* src/cvs_gui.c, src/build_project.c, 
	src/project_import_cbs.c: message strings reviewed
	
	* src/controls.c: context help button should be disabled if 
	DevHelp is not installed
	

2002-06-08  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/debugger.c: Fixed the signalling screw up because of string
	update in gdb used to report the child process PID. Also, no
	error dialog will be popped up for "no such file or directory"
	error (very annoying and useless error). This error will still
	be shown on the debug message window. Avoided terminating the
	program when the terminal is terminated -- doesn't hurt, otherwise
	we get crappy egg-and-hen problem.
	
	* src/sharedlib.c, src/signals.c: Fixed the incorrect default window
	dimensions loading.
	
	* src/anjuta.c: Limited the default size of main window to sane
	values.

	* src/preferences.c: Fixed some deadly memory corruption bugs in
	the recent patches. Return from getenv() should NEVER be freed,
	because they are static strings.
	
	* src/preferences_gui.c: Removed the fix for crash bug with font
	selection and applied the real fix.
	
2002-06-08	Andy Piper	<andy.piper@freeuk.com>

	* NEWS: updated for release

2002-06-08  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/launcher.c: Added a fix a memory leak and a possible
	fix for zvt-crash bug.
	
	* printing/.cvsignore, plugins/patch/.cvsignore: Added files.
	
	* data/properties/latex.properties,
	data/properties/ada.properties: Added file.is.source property.
	
	* src/an_file_view.c: Set auto column size of the file
	revision column.
	
	* src/mainmenu_callbacks.c, src/cvs.c: Fixed bug #542151.
	The user is now prompted to confirm the closing of the file
	if it is being used by CVS. If yes, the editor is closed and
	the CVS operation stops.
	
2002-06-07	Andy Piper	<andy.piper@freeuk.com>

	* anjuta.prj: bump project version for release
	* BUGS: removed unnecessary file

2002-06-07	Philip Van Hoof	<freax@pandora.be>

	* widgets/gnomefilelist.c: fix up issue with directory deleted 
	during the life of the file list widget
	* src/preferences_gui.c: sticking-plaster fix to font selection
	causes segfault bug

	Patches reviewed by Andy Piper <andy.piper@freeuk.com>

2002-06-07	Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>

	* data/properties/anjuta.properties, src/an_file_view.[ch], 
	src/an_symbol_view.[ch], src/defaults.c, src/preferences.[ch], 
	src/preferences_gui.c, src/project_dbase.c, src/project_dbase_gui.c: 
	added options for symbol and file browsers.
	* data/properties/cpp.properties: linker flags should come after
	the name of the file to compile.
	* scintilla/Editor.cxx: fixed gcc compilation warning.
	* src/Makefile.am, src/project_import.c: anjuta_import.sh should
	be executed from bindir only.
	* src/an_file_view.[ch], tagmanager/tm_file_entry.c, 
	tagmanager/include/tm_file_entry.h: CVS version information in file 
	browser.
	* src/anjuta.c, src/preferences.[ch]: remember visibility of messages 
	window.
	* src/controls.c, src/cvs.[ch], src/project_dbase.[ch]: CVS fixes.
	* src/launcher.c, src/project_import.c: (hopefully) fixed random ZVT
	crashes during file import.
	* src/project_import.c: disable project menu items during project 
	import.
	
	Patch reviewed by Andy Piper <andy.piper@freeuk.com>

2002-06-07  Jean-Noel Guiheneuf  <jnoel@saudionline.com.sa>

	* src/mainmenu_callbacks.c, src/mainmenu_callbacks.h, 
	src/preferences.c, src/main_menubar_def.h, src/main_menubar.c,
	src/main_menubar.h, src/controls.c:	fixed Insert ChangeLog, 
	modified Insert menu, added C functions template, header C 
	template, modified header_template HEADER_H ==> NAMEFILE_H
	
	Patch reviewed by Andy Piper <andy.piper@freeuk.com>

2002-06-05	Andy Piper	<andy.piper@freeuk.com>

	* data/properties/html.properties: changed some file 
	associations

2002-06-05 Philip Van Hoof <freax@pandora.be>

 	* widgets/gnomefilelist.c: Fixed #560759 and #561776
	
	Patch reviewed by Andy Piper <andy.piper@freeuk.com>

2002-06-05  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>

	* data/properties/anjuta.properties, src/defaults.c: Make windows
	docked by default, fix the big fonts bug.
	
	* src/an_file_view.c, src/main_menubar_def.h, 
	src/project_dbase_gui.c: sanitized the Edit/View mess.
	
	* src/main_menubar_def.h, src/main_menu_callbacks.c: Add an item
	for customizing shortcuts.
	
	* src/mainmenu_callbacks.c: Search for selected word if present.
	
	* src/text_editor_menu.c: Added context menu options for docking
	and undocking editor windows.
	
	* src/main_menubar.h, src/main_menubar.c: more support for the 
	shortcuts menu item.
	
	Patch reviewed by Andy Piper <andy.piper@freeuk.com>

2002-06-05	Andy Piper	<andy.piper@freeuk.com>

	* scintilla/RESearch.cxx: removed CVS Log keyword to prevent
	all commit messages being written to top of the file
	
	* src/main_menubar_def.h: message strings reviewed
	
	* src/project_import.c: message strings reviewed
	
	* src/source.c, src/glades.c: message strings reviewed. Fixed 
	some bugs around reading the project properties for creating 
	.glade and .desktop files in the Application Wizard. There were
	typos in the property names being retrieved
	
	* widgets/gnomefilelist.c: changed build_full_path to make 
	the file widget support ~
	Patch from Pierre Sarrazin <sarrazip@sympatico.ca>
	
	* THANKS, widgets/e-shell-about-box.c, 
	manuals/anjuta-manual/C/authors.sgml: updated for new
	patch

2002-06-05  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/project_dbase.c: Fixed the file-path-corruption bug
	and the cannot-import-file-in-project bug. (follow-up with
	the last commit from Stef).
	
	* src/anjuta_cbs.c: Fixed double-confirmation when exiting
	with unsaved-project.
	
2002-06-05  Stephane Demurget  <demurgets@free.fr>

	* src/project_dbase.c (project_dbase_add_file_to_module): fixed a
	misplaced g_free.

2002-06-04	Andy Piper	<andy.piper@freeuk.com>

	* data/properties/{xml,html,other}.properties: changed some file 
	associations
	
	* data/anjuta.mime: oops! cvs added
	
	* scintilla/RESearch.cxx: fixed up a problem with comments
	
	* global-tags/create_global_tags.sh: redirect errors to /dev/null
	to avoid messages about missing libs
	
	* NEWS: started the release notes

2002-06-04	Andy Piper	<andy.piper@freeuk.com>

	* HACKING: updated with new information on printing, patch naming
	
	* TODO: removed completed tasks
	
	* THANKS: updated a few contributions
	
	* anjuta.prj: updated the icon file
	
	* anjuta.desktop.in.in: updated to add Categories
	
	* data/anjuta.mime: created a mime type for Anjuta project files
	(NB needs to be added to the install in /usr/share/mime/)
	
	* pixmaps/madeinanjuta.xcf: finally added Nick Dowell's 
	"Coded in Anjuta" button in Gimp XCF format. It can be converted 
	to PNG for websites.
	
	* plugins/patch/patch-plugin.c: clarified some messages and 
	made it easier to see different patching sessions
	
	* src/toolbar.c: changed some message text for consistency
	
 	* src/preferences_gui.c, src/preferences.c, src/preferences.h, 
	src/defaults.c, src/anjuta.c, src/anjuta.h: enable/disable tooltips 
	in preferences. 
	Patch from Jean-Noel Guiheneuf <jnoel@saudionline.com.sa>
		 
 	* src/appwiz_page1.c, src/appwizard_cbs.c, src/pixmaps.h, 
	src/project_dbase.{c,h}, src/project_import_cbs.c, 
	src/project_type.c, src/source.{c,h}, src/wizard_gui.c:
	Added XLib Project and a Dockapp Project types.
	* pixmaps/Makefile.am: added line for new pixmap for new xlib
	projects
	* pixmaps/appwiz_xlib.png: pixmap for new xlib projects
	* src/source.c: Fixed memory leak in existing projects. 
	(filename was not freed)
	Patch from Todd Goyen <wettoad@knighthoodofbuh.org>

2002-06-04  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/anjuta.h, src/anjuta.c: Added error display funtions
	with parent windows.
	
	* src/appwizard_cbs.c: Changed error display function to use
	parented version.
	
2002-06-03  Naba Kumar <kh_naba@users.sourceforge.net>

	* printing/print.h, printing/printing.c: Taken care of document
	zoom factor and fixed a font loading bug. Dynamically calculated
	text widths to work with zooms properly. Re-organized code for
	dynamic text width calulations to work in general with utf8 chars.
	 Determined font height and width automatically from the font info.
	
	* src/anjuta.c, src/mainmenu_callbacks.c, *src/preferences.c:
	src/preferences.h, src/text_editor.c, src/preferences_gui.c:
	Converted text.zoom.factor property to use #defined value. Removed
	margin header and margin numbers preferences, as they  now
	calculated dynamically.
	
2002-06-02  Naba Kumar <kh_naba@users.sourceforge.net>

	* printing/print-doc.c, printing/print-doc.h, printing/print-util.c,
	printing/print-util.h, printing/print.c, printing/print.h:
	Rewritten printing support for style based printing. Syntax highlighted
	printing, monochromatic printing, setup using preferences etc.

	* src/aneditor.cxx, src/aneditor.h: Added two commands for working with
	printing. ANE_GETLANGUAGE and ANE_GETSTYLEDTEXT for geting the document
	language and the styled text buffer.
	
	* src/preferences.c, src/preferences.h, src/preferences_gui.c: Redesigned
	the print setup preferences page and added printer preferences. Added functions
	to retrieve preferences with default values.
	
	* src/text_editor_gui.c, src/main_menubar_def.h: Changed an #include for
	the printing.

	* data/properties/anjuta.properties: Added default printer preferences.

	* pixmaps/print_color.xpm, pixmaps/print_landscape.xpm,
	pixmaps/print_layout.xpm, pixmaps/print_nocolor.xpm,
	pixmaps/print_portrait.xpm: CVS added printer setup pixmap files.

	* pixmaps/Makefile.am, src/pixmaps.h, anjuta.prj: Added the new pixmaps references.
	
2002-06-01	Biswapesh Chattopadhyay	<biswapesh_chatterjee@tcscal.co.in>

	Reviewed by Naba Kumar <kh_naba@users.sourceforge.net>

	src/Makefile.am, src/aneditor.cxx, src/anjuta.c, src/anjuta.h
	src/defaults.c, src/message-manager-private.cc, src/project_dbase.c
	src/utilities.c, scintilla/PropSet.cxx: Fix memory leaks and other
	cleanups, remove dead code, GUI cleanupMemory leaks cleanups.

	printing/Makefile.am: Reduced compiler optimizations.

	tagmanager/include/tm_project.h, tagmanager/include/tm_work_object.h, 
	tagmanager/include/tm_workspace.h, tagmanager/tm_project.c, 
	tagmanager/tm_source_file.c, tagmanager/tm_work_object.c,
	tagmanager/tm_workspace.c: TagManager fixes.

2002-06-01  Naba Kumar <kh_naba@users.sourceforge.net>

	* printing/*: CVS added. :)
	
2002-05-31	Biswapesh Chattopadhyay	<biswapesh_chatterjee@tcscal.co.in>

	Reviewed by Naba Kumar <kh_naba@users.sourceforge.net>

	* printing*: CVS added.
	* printing/*.[ch], printing/Makefile.am, anjuta.spec.in, Makefile.am,
	  configure.in, src/Makefile.am, src/controls.c, src/main_menubar.[ch],
	  src/main_menubar_def.h: Gnome Print support
	* src/anjuta.c: Fixed a crash bug (NULL pointer check).
	* configure.in: Enable debugging flag option
	* src/preferences.c, src/preferences.h, src/preferences_gui.c, src/mainmenu_callbacks.c:
	  Print properties defined.
	* global-tags/create_global_tags.sh: More GNOME libraries added, cleanups
	
2002-05-31	Biswapesh Chattopadhyay	<biswapesh_chatterjee@tcscal.co.in>

	Reviewed by Naba Kumar <kh_naba@users.sourceforge.net>
	
	* src/an_file_view.c, src/an_symbol_view.c: Added Dock/Undock
	* src/controls.c, src/main_menubar.[ch], src/main_menubar_def.h,
	  src/anjuta.h, src/text_editor_menu.[ch]: More menu re-organization
	  and cleanups
	* src/text_editor.c: Minor cleanups.
	* anjuta.c: Tweaks to 'Goto File Line' functionality.
	* src/project_dbase.c: Fixes to add/remove files from project.
	* src/help.c: Fix minor memory leak.
	* src/project_dbase_gui.c: Remove debugging messages.
	* src/utilities.[ch]: Cleanups and minor fixes.
	* src/anjuta_gui.c, src/pixmaps.h: Application icon set correctly.

2002-05-30  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/anjuta.c [anjuta_apply_preferences()]:
	Fixed a crash bug when tab pos is not defined for the editors.
	
	* data/properties/cpp.properties: Set default identifier property to normal.
	This fixes the bug in which the fore color gets hidden with dark background.

2002-05-29  Naba Kumar <kh_naba@users.sourceforge.net>

	* scintilla/*, scintilla/include/*: Upgraded to the vanilla
	scintilla 1.46
	
	* src/aneditor.cxx, src/aneditor.h, src/main_menubar.h, src/main_menubar.h,
	src/mainmenu_callbacks.c, src/mainmenu_callbacks.h, main_menubar_def.h,
	src/anjuta.c, data/properties/anjuta.properties:
	Implemented line wrapping.
	
	* src/aneditor.cxx, src/aneditor.h:	Implemented Readonly file mode.
	
	* scintilla/LexCPP.cxx: Added the custom code (insidePreprocessor variable
	usage and SCE_C_WORD3 flagging) used by tagmanger for maintaing custom
	tags. Code was reviewed from GNOME Bonsai view.
	
	* scintilla/include/SCILexers.h: Added definition of SCE_C_WORD3 as
	it seems to have been removed by scintilla people.
	
	* data/properties/anjuta.properties: Set default line wrap to false, as
	is noticably slow with big files.
	
2002-05-27	Jean-Noel Guiheneuf	<jnoel@saudionline.com.sa>

	* src/project_import_gui.c: disallow the selection of files in
	  the browse dialog.
	* src/mainmenu_callbacks.c, src/preferences.c: cleanups to identity
	  preferences code.
        
2002-05-27	Biswapesh Chattopadhyay	<biswapesh_chatterjee@tcscal.co.in>

	* src/an_file_view.c, src/an_symbol_view.c, src/text_editor_menu.c,
	  src/main_menubar_def.h, src/pixmaps.h, :Added some icons to menu items.
	* src/controls.c, src/main_menubar.[ch]:Some menu organization cleanups.
	* src/project_dbase.[ch], src/project_dbase_gui.c: Adding files to projects
	  now works properly.
	* src/gnome_project.c, src/mainmenu_callbacks.[ch]: Minor API change.
	* scintilla/include/PropSet.h, tagmanager/read.c: Accept '$' in identifiers.
	* src/utilities.[ch]: Added some utility functions.
	* tagmanager/tm_project.c: Fix for bug in file removal from project.
	
	Patch reviewed by Andy Piper <andy.piper@freeuk.com>

2002-05-26	Andy Piper	<andy.piper@freeuk.com>

	* HACKING: info on FIXME statements and removed ccview references
	* Makefile.am: added rule to make RPM package

2002-05-26	Andy Piper	<andy.piper@freeuk.com>

	* THANKS, widgets/e-shell-about-box.c, 
	manuals/anjuta-manual/C/authors.sgml: updated for new
	patch
	* src/anjuta.c: removed unnecessary warning code since CVS 
	support is now implemented :-)
	* manuals/sgmldocs.make: implemented a fix for bug #553969
	* manuals/C/anjuta-tutorial/anjuta-tutorial.sgml: fixed some CRs
	* manuals/C/anjuta-tutorial/anjuta-turorial-C.omf, 
	manuals/C/anjuta-faqs-C.omf: modified the descriptions
	
2002-05-20 Jean-Noel Guiheneuf <jnoel@saudionline.com.sa>
	
	* src/main_menubar.c, src/main_menubar.h, src/controls.c,
	  src/mainmenu_callbacks.c, src/mainmenu_callbacks.h,
	  src/main_menubar_def.h, src/preferences_gui.c,
	  preferences.c, preferences.h: setup Username and Email 
	  preferences, Insert ChangeLog and Username editor functions
	  
	  Patch reviewed and modified by Andy Piper <andy.piper@freeuk.com>

2002-05-17  Jean-Noel Guiheneuf <jnoel@saudionline.com.sa>
	
	* src/commands.c, src/compiler_options_cb.c src/compiler_options_gui.c
	  src/src_paths_cbs.c, src/src_paths_gui.c
	  Fixed some minor bugs and replace gtk_entries by gnome_file_entries

	  Patch reviewed by Andy Piper <andy.piper@freeuk.com>

2002-05-14  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>

	* src/main_menubar.[ch], main_menubar_def.h: Added back/forward
	  and goto tag menu items to main menu.

2002-05-09  Andy Piper <andy.piper@freeuk.com>

	* THANKS, widgets/e-shell-about-box.c, 
	manuals/anjuta-manual/C/authors.sgml: added new contributors
	* HACKING: updated with info on files to change for credits

2002-05-09  Dan Elphick <dre00r@ecs.soton.ac.uk>

    * src/aneditor.cxx: extended extension list which fixes segfault
    on selecting lisp, ruby or matlab as highlight style.

2002-05-09  Andy Piper <andy.piper@freeuk.com>

	* src/main_menubar_def.h: fixed an array initialiser and fixed
	the lexer settings for the new entries on the Format menu

2002-05-07  Stephane Demurget  <demurgets@free.fr>

	* Synced with Scintilla 1.45

2002-05-06  Andy Piper <andy.piper@freeuk.com>

	* anjuta.prj: added another missing file
	* ChangeLog: fixed some incorrect change dates I caused by 
	sloppy cut-and-pasting :-/

2002-05-06  Andy Piper <andy.piper@freeuk.com>
	
	* src/mainmenu_callbacks.c: fixed title of new About box

2002-05-05  Andy Piper <andy.piper@freeuk.com>

	* src/pixmaps.h: added macros for OpenGL and SDL project icons

2002-05-05  Andy Piper <andy.piper@freeuk.com>

	* pixmaps/appwiz_opengl.png, pixmaps/appwiz_sdl.png: added new files
	* anjuta.prj: updated for new files

2002-05-05  Naba Kumar <kh_naba@users.sourceforge.net>

	* widgets/e-shell-about-box.c: Added version display.
	
2002-05-03  Andy Piper <andy.piper@freeuk.com>

	* launcher/anjuta_launcher.c, src/dnd.c, src/session.c, 
	widgets/scroll_menu.c: fixed up some compiler warnings (patch
	from Philip Van Hoof)

2002-05-03  Andy Piper <andy.piper@freeuk.com>

	* manuals/C/anjuta-tutorial/Makefile.am: removed a circular 
	dependency
	* manuals/ja/anjuta-manual/anjuta-manual.sgml, 
	manuals/ja/anjuta-manual/debugger.sgml: fixed some markup problems 
	that produced build errors (needs checking on a machine with the
	ja locale!)
	* data/properties/lisp.properties: updated to match format of other
	lexer property files supplied with Anjuta

2002-05-03  Andy Piper <andy.piper@freeuk.com>

	* anjuta.prj: added new files
	* HACKING: added information from the mailing list on 
	adding new project types to the wizard (thanks to Johannes)

2002-05-03  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>
 
 	* src/utilities.h, src/launcher.c, src/gnome_project.c,
 	  src/appwiz_page2.c: Fix for 547038.

2002-05-03  Naba Kumar <kh_naba@users.sourceforge.net>

    * attach_process.c, attach_process_cbs.c: Fixed a dialog
    hide bug.
    
    * about.h: cvs removed.
    
2002-05-03  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>

	Patch reviewed by Stephane Demurget <demurgets@free.fr>.

	Fix for #539574.

	* src/anjuta.c (anjuta_system_error): checks for the error number to
	know whether the error description is needed or not.

2002-05-03 Naba Kumar <kh_naba@users.sourceforge.net>

	* pixmaps/anjuta_logo.png: New about logo.
    
	* pixmaps/anjuta_icon.png: New icon from Misha. The
	old one had trouble with some gtk themes.
    
	* about.c: Removed. No longer needed.

	* mainmenu_callbacks.c: Removed reference of about.h
    
2002-05-03  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>

	Reviewed by Naba Kumar <kh_naba@users.sourceforge.net>

	* widgets/e-shell-about-box.[ch], configure.in, Makefile.am,
	  mainmenu_callbacks.c, widgets/Makefile.am: Implemented the new
	About Dialog (thanks to the Evolution team for the cool widget!)

2002-05-03 Naba Kumar <kh_naba@users.sourceforge.net>

	Patch from lbell <lbell@tsc4.com>
    
	* src/find_in_files.c, src/find_in_files.h,
	  src/anjuta.c: Added save_yourself, load_yourself routines.
    
	* src/find_in_files.{h,c}, src/find_in_files_gui.c:
	Added "Append messages" toggle button. This will enable
	the search results to be appended to the already existing
	results.
    
	* src/debugger.c: Fixed a typo.
    
	* src/find_text.c, src/breakpoints.c, src/project_dbase.c,
	  src/session.c, src/session.h: Improved session management.

2002-05-03  Naba Kumar <kh_naba@users.sourceforge.net>

	* THANKS, FUTURE, AUTHORS: Changed my email and
	avoided yahoo.com.

2002-05-02  Stephane Demurget  <demurgets@free.fr>

	Impl. feature request #525271 (add Lisp support).

	* data/properties/lisp.properties: added.

	* data/properties/Makefile.am, data/properties/anjuta.properties: added
	  the lisp properties.

	* src/main_menubar_def.h, src/lexer.h, src/aneditor.cxx,
	  src/utilities.[ch]: added support for the Lisp highlight style.

2002-05-02  Stephane Demurget  <demurgets@free.fr>

	* src/anjuta.[ch], src/anjuta_cbs.c, src/main_menubar.[ch],
	  src/main_menubar_def.h, src/mainmenu_callbacks.[ch],
	  src/text_editor_cbs.c: replaced the tabs ordering menuitem by a
	  option preferences to have a persistent setting. Plus it's not used
	  often, so it's better here than flooding the menus.

	* src/preferences.[ch], src/preferences_gui.c: ditto, plus made the
	  preferences pages a lot more consistent and sweeter: tabs direction
	  radiobuttons are directed against the meaning, all pages have an
	  outter frame, a lot of padding, removed all expand attributes for
	  vertical boxes, ...

	  That's not a total revamp, but it's really looking better now, even
	  if there's still work to be done.

2002-05-01  Andy Piper <andy.piper@freeuk.com>

	* src/main_menubar_def.h, src/cvs_gui.c: updates to strings
	* TODO: added task to be completed before next release (update all credits)

2002-05-01  Stephane Demurget  <demurgets@free.fr>

	* THANKS, src/about.c, manuals/anjuta-manual/C/authors.sgml: added
	Benke László.

2002-05-01  Benke László  <decike@freemail.hu>

	Patch reviewed by Stephane Demurget <demurgets@free.fr>.

 	* src/anjuta.[ch], src/anjuta_cbs.c, src/main_menubar.[ch],
	  src/main_menubar_def.h, src/mainmenu_callback.[ch],
	  src/text_editor_cbs.c: added an "automatic tab ordering" checkmenuitem
	  to the format menu in order to reorder the notebook tabs in
	  alphabetical order everytime a file is created/opened/saved.

2002-05-01  Philip Van Hoof <freax@pandora.be>

	* widgets/gnomefilelist.[ch] (history_combo_go),
	(history_combo_clicked): impl.

	(gnome_filelist_new_with_path): use this new impl.

2002-05-01  Stephane Demurget  <demurgets@free.fr>

	* src/project_dbase_gui.c (add_file): added the xpm file type.

2002-04-30  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>

	Patch reviewed by Stephane Demurget <demurgets@free.fr> except for the
	tag manager fixes.

	* src/anjuta.[ch]: Changed local tag list to use line numbers instead
	  of tag types.

	* src/an_symbol_view.[ch], src/mainmenu_callbacks.[ch],
	  src/text_editor_menu.c: Added context sensitive search in symbol
	  browser and editor.

	* configure.in: Changed version number to 0.1.9.99.

	* scripts/anjuta_import.sh.in, scripts/anjuta_project.template,
	  src/project_import.c: Minor changes to project import facility.

	* src/preferences.[ch], src/preferences_gui.c: Fix for bug #537273
	  (Forced to use specific brace format)

	* tagmanager/include/tm_tag.h, tagmanager/include/tm_workspace.h,
	  tagmanager/tm_tag.c, tagmanager/tm_work_object.c,
	  tagmanager/tm_workspace.c: Minor TagManager fixes and updates.

2002-04-30  Johannes Schmid  <clubfan@users.sourceforge.net>

	Patch reviewed by Stephane Demurget <demurgets@free.fr> who made
	replaced the spinbutton with an hscale, and made the UI less "blocky".

	* src/cvs_gui.c: When diffing a project you can choose date and
 	release now.

 	* src/project_dbase.c: Import_file activated again

 	* configure.in, plugins/Makefile.am: Added patch plugin

 	* plugins/patch/*: The new patch plugin

2002-04-28  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>

	Patch reviewed by Stephane Demurget <demurgets@free.fr>.

	* src/aneditor.cxx (StartAutoCompletedWord): the duplicates in the
	dropdown list shown by autocompletion are now removed.

2002-04-28  Philip Van Hoof <freax@pandora.be>

	Patch reviewed by Stephane Demurget  <demurgets@free.fr> who merged
	a bunch of filetypes from the older version.

	* src/project_dbase_gui.c (add_file): changed the import
	dialog's filetypes combo contents depending on the
	type of data to be imported.

2002-04-28  Stephane Demurget  <demurgets@free.fr>

	* src/fileselection.[ch] (fileselection_addtype_f): removed the use of
	the amount parameter as Philip stated and reformated to follow the
	Gnome convention.

	* src/project_dbase.c (project_dbase_make_default_filetype_list):
	changed accordingly.

2002-04-25  Stephane Demurget  <demurgets@free.fr>

	Fix for #531293.

	* src/main_menubar_def.h: replaced the shortcut for "Find next" to
	Shift-F6, to be more consistent with other Gnome apps.
	Moved the "Search next" entry under the "Search" one, and swapped the
	order of the "Find in files" and "Find and Replace" ones.

	Some additional fixes ands cleanups on the edit menu.

	* src/main_menubar.h: replaced all occurences of repeat_find by
	find_again for the code to be more consistent.

	* src/main_menubar.c (update_main_menubar): made the "Find next" entry
	sensitiveness depending on the existence of an active text buffer.

	* TODO: added some bits about improving the usability of the
	search/search again couple.

2002-04-25  Stephane Demurget  <demurgets@free.fr>

	* src/preferences_gui.c: made the tab labels text more consistent
	(s/misc/Misc/).

2002-04-25  Biswapesh Chattopadhyay  <biswapesh_chatterjee@tcscal.co.in>

	Patch reviewed and improved by Stephane Demurget  <demurgets@free.fr>

	* manuals/C/anjuta-tutorial/Makefila.am: fixed the glade picture
	filename.

	* src/main.c (main): simplified some code and cleanups.

	Fix a part of #499366:

	* src/commands.[ch] (sync_from_props), (command_editor_save),
	(on_apply_clicked), (create_command_editor_gui): added the gui
	corresponding to the command.terminal preference.

2002-04-25  Stephane Demurget  <demurgets@free.fr>

	Fix for #465180.

	* anjuta.spec.in: added build requirements for the source rpm.

2002-04-24 Johannes Schmid <clubfan@users.sourceforge.net>

	Reviewed by Naba Kumar <kh_naba@users.sourceforge.net>
	
	* src/appwiz_page1.c, src/appwizard_cbs.c, src/glades.c, 
	  src/pixmaps.h, src/project_dbase.[c,h], src/project_import_cbs.c, 
	  src/project_type.c, source.c, wizard_gui.c:
	  Added new GNOME 2 project types and changed glade behaviour to
	  produce GTK code if project type GTK was selected and GTKmm code
	  if project type GTKmm was selected (and not depending on the 
	  selected language. Disabled glade for GNOME 2 projects because
	  we will need glade2 there.
	  
	* src/project_dbase.c: Fixed a memory lack.
	
	* pixmaps/appwiz_*2.png: Added GNOME 2 icons from Misha
	
	* src/cvs.c: Added an error message if jobs are running

2002-04-23 Naba Kumar <kh_naba@users.sourceforge.net>

	* tagmanager/tm_work_object.c: Fixed a chrash
	bug which occurs when it tries to stat an empty
	file name.
	
2002-04-22 Naba Kumar <kh_naba@users.sourceforge.net>

	* src/controls.c: CVS menu items now becomes
	insensitive when the launcher is busy.
	
	* src/anjuta.c, cvs.h, cvs.c: Created a function
	to update the cvs preferences when preferences are
	applied in preferences dialog and called it from
	anjuta_update_preferences().
	
2002-04-19 Naba Kumar <kh_naba@users.sourceforge.net>

	* src/cvs.c: Added a space in the cvs command
	before the revision part. This fixes the cvs
	error we get when cvs-diffing with revisions.
	
	* src/cvs.c: Fixed a compiler warning.
	
	* src/find_replace.c: The dialog now remembers
	the settings including the "prompt on replace"
	which seems to have broken somewhere line the
	changes.
	
2002-04-18 Naba Kumar <kh_naba@users.sourceforge.net>

	* src/cvs.{h,c}, src/cvs_cbs.{h,c}, src/cvs_gui.{h,c}:
	Added a new property in cvs class to hold a boolean
	for enabling date in cvs diff. This fixed the bizzare
	diff output due to the date that goes with the cvs
	command. Also, set the default value of compression
	to 3 and unified diff option to 1.
	
2002-04-18 Naba Kumar <kh_naba@users.sourceforge.net>

	* src/cvs.c: The diff editor is set to hilite as
	diff syntax hiliting.
	
	* configure.in, manual/Makefile.am:
	Added a new manual module for ja language.
	
	* manual/ja/*/*/*: New module and files for the
	ja translation for the anjuta documentation
	from Takeshi AIHANA <aihana@jcom.home.ne.jp>
	
2002-04-17 Naba Kumar <kh_naba@users.sourceforge.net>

	* src/launcher.c: Made a very messy work around
	for the launcher authentication to work properly.
	
	* src/find_replace.c: Applied the missing patch
	from Dan Elphick <dre00r@ecs.soton.ac.uk>
	
2002-04-16 Andy Piper <andy.piper@freeuk.com>

	* src/cvs.c, src/main_menubar_def.h: made message strings
	consistent with existing standards from our own documentation 
	(such as uppercase P in Project, corrected spelling of 
	repository, etc.)

2002-04-16 Naba Kumar <kh_naba@users.sourceforge.net>

	* src/cvs_gui.c: Cleaned up gui and aligned various
	widgets to give a clean look.
	
2002-04-16 Naba Kumar <kh_naba@users.sourceforge.net>

	* src/launcher.c: Added work around to retrieve
	the child exit code. It works. :)
	
	* src/find_in_files.c, src/gnome_project.c,
	src/project_import.c, src/cvs.c, src/configure.c, src/compile.c,
	src/clean.c, src/clean_project.c, src/build_project.c,
	src/build_file.c: Modified to handle the new
	child exit code.
	
2002-04-15 Dan Elphick <dre00r@ecs.soton.ac.uk>
 
 	* src/find_replace.c: Changed signal to call
 	on_replace_text_close on from delete_event
 	to close => the replace history is now updated.
 
2002-04-15 Naba Kumar <kh_naba@users.sourceforge.net>

	* src/cvs.c: escaped the cvs import message before
	passing it to cvs.
	
2002-04-14 Johannes Schmid <clubfan@users.sourceforge.net>

	Reviewed by Naba Kumar <kh_naba@users.sourceforge.net>
	
	* src/cvs.[c/h], src/texteditor.[c/h]: Fixed bug #542151
	
	* src/cvs.[c/h], src/cvs_cbs.[c/h], src/cvs_gui.[c/h]:
	Added cvs import
	
	* src/preferences_gui.c: GUI improvements
	
	* src/project_dbase.c, src/controls.c: Fixed some menu stuff

2002-04-13 Naba Kumar <kh_naba@users.sourceforge.net>

	* tagmanager/include/tm_tag.h, tagmanager/tm_tag.c:
	Removed static qualifier from tm_tag_type_name() and
	availed it's prototype for use in outside code. also
	created reverse map function tm_tag_type_name();
	
	* src/anjuta.c: Implemented qualified tags names for
	the tag list (on the toolbar pulldown list) to avoid
	ambiguty in tags with similar names (like prototype
	and definition). Patch modified and improved.
	
	Patch from: Todd Goyen <wettoad@knighthoodofbuh.org>
	
2002-04-11 Naba Kumar <kh_naba@users.sourceforge.net>

	* src/utilities.[c,h]: Added a utility funtion
	that escapes the single and double quotes in a
	given string. Useful for passing command line
	args with quotes.
	
	* src/cvs.c: Escaped the cvs log message before
	passing it to cvs command line to avoid ambiguties
	with quotes in the message.
	
	* pixmaps/anjuta_icon.png: Changed to the new icon.
	from Todd Goyen <goyen@mbi-berlin.de>
	
	* src/message-manager-private.cc: Added regex to 
	recognize (underline hilite) the parsable outputs
	from the zvt terminal.
	
2002-04-11 Naba Kumar <kh_naba@users.sourceforge.net>

	Patch from: Tina Hirsch <tehirsch@arcor.de>
	
	* src/project_type.c:
	Fixed a bug in the wxproject type and modified the erroroutput when
	configure doesn't find wx-config
	
	Patch from: Timothee Besset <ttimo@idsoftware.com>
	
	* src/anjuta.c, src/message-manager-private.cc,
	  src/message-manager-private.h
	Catches double clicks in the zvt terminal, and calls goto_error_line
	to jump to the appropriate location in the source. This will recognize
	grep -n output
	
2002-04-10 Naba Kumar <kh_naba@users.sourceforge.net>
	
	* src/build_project.c: Taken care of memory leak
	  by freeing cmd variable properly.

	* src/main_menubar_def.h: Fixed wrong signal connection
	  for cvs project commit.
	  
	* src/cvs_cbs.c: Fixed non-functional "cancel" button.
	
	* src/preferences_gui.c: Added some border and adjusted
	  expandsion, filling in box adds to make the cvs preferences
	  more nicer.
	
2002-04-03 Johannes Schmid <clubfan@users.sourceforge.net>

	Reviewed by Naba Kumar <kh_naba@users.sourceforge.net>
	
	* src/cvs*, src/main_menubar*, src/preferences*: 
	Moved CVS settings to preferences, added a nice login dialog.
	
	* src/controls.c, src/project_dbase.c:
	CVS project options are only shown if a project is open
	
	* src/build_project.c:
	User is now asked if he wants to install as root 
	
	* src/launcher.c:
	Fixed a warning

	* anjuta.prj: Updated with cvs files
	
	* TODO: Remove task which are done
	
2002-03-31 Naba Kumar <kh_naba@users.sourceforge.net>

	* pixmaps/Makefile.am, src/compile.c, src/configurer.c,
	src/cvs.c, src/cvs_gui.c, src/gnome_project.c,
	src/launcher.c, src/main_menubar_def.h, src/pixmaps.h:

	Modified launcher to use controlling terminal to detect and
	take care of password authentications (for example, for cvs
	and root installs).
	
	* pixmaps/password.png: New file.
	
2002-03-28 Naba Kumar <kh_naba@users.sourceforge.net>

	Anjuta kick start tutorial wirtten by:
	  Ishan Chattopadhyaya <ichattopadhyaya@yahoo.com>

	* manuals/C/anjuta-tutorial, manuals/C/anjuta-tutorial/Makefile.am,
	  manuals/C/anjuta-tutorial/anjuta-tutorial.sgml,
	  manuals/C/anjuta-tutorial/anjuta-tutorial-C.omf,
	  manuals/C/anjuta-tutorial/figures/*.png:
	  
	  Added files
	
	* configure.in, manuals/C/Makefile.am, manuals/C/topic.dat
	  
	  Modified files.
	
2002-03-28 Roel Vanhout <roel@stack.be>

	Reviewed by Naba Kumar <kh_naba@users.sourceforge.net>

	* src/aneditor.cxx, src/preferences.c, src/preferences.h,
	  src/preferences_gui.c:
	Added option to wrap around to beginning/end of file when on last bookmark
	and next/previous bookmark is pressed
	
2002-03-28 Naba Kumar <kh_naba@users.sourceforge.net>

	Patch from Philip Van Hoof <freax@pandora.be>
	
	* src/gnomefilelist.c:
	Added gimp like feature that changes the file extension of
	the filename entered in the selections when the file
	filter is changed.
	
2002-03-28 Naba Kumar <kh_naba@users.sourceforge.net>
	
	Patch from Roy Wood <roy.wood@filogix.com>
	
	* src/controls.c, src/find_text.c, src/find_text.h,
	  src/main_menubar.c, src/main_menubar.h, src/main_menubar_def.h,
	  src/mainmenu_callbacks.c, src/mainmenu_callbacks.h:
	  
	  Menuitem for entering currently selected text as find target,
	  added key accel for "find next" and changed some key accels for
	  other key for consistency.
	  
	* src/utilities.c:
	  Cleaned up code.
	
2002-03-27 Naba Kumar <kh_naba@users.sourceforge.net>

	* src/watch.c, src/watch.h, src/watch_cbs.c,
	  src/watch_cbs.h, src/watch_gui.c:
	
	  Patch from Jeroen van der Vegt <A.J.vanderVegt@ITS.TUDelft.nl>
	
	  Added change watch entries feature
	  and Watch entries modify on double click fixed.

2002-03-27 Naba Kumar <kh_naba@users.sourceforge.net>

	* src/mainmenu_callbacks.c:
	
	  Project commit should not bypass dialog as
	  we need to get the cvs log from the user.
	  
2002-03-27 Naba Kumar <kh_naba@users.sourceforge.net>

	* src/project_dbase.c:
	
	  Patch from Roy Wood <roy.wood@filogix.com>
	  
	  Fixed docking bug with the new docking patch
	  to fix copy/paste bug.
	  
2002-03-27 Naba Kumar <kh_naba@users.sourceforge.net>

	* src/cvs.c, src/cvs.h, src/cvs_cbs.c, src/cvs_cbs.h
	  src/cvs_gui.c, src/cvs_gui.h, src/main_menubar.c,
	  src/main_menubar.h, src/main_menubar_def.h,
	  src/mainmenu_callbacks.c, src/mainmenu_callbacks.h:

	  Added cvs project support. Featured bypass cvs dialog for
	  cases where we don't need dialog (such as project and right
	  click selection from file browser). Cleaned up cvs code to
	  make them generic cvs operations instead of separate file
	  and project operations. Added cvs log action. Increased
	  file entry box width and enabled "unified diff" by default.
	  Used Editor buffer for status and log and set hilite for
	  these buffers including diff buffer (DIFF hilite).
	  
2002-03-23 Tina Hirsch <cevina@users.sourceforge.net>

	Reviewed by Naba Kumar <kh_naba@users.sourceforge.net>

	* data: Added file autogen.sh.wxwin 
	* data/Makefile.am: Added entry for autogen.sh.wxwin
	* pixmaps: Added project image appwiz_wxwin.png
	* pixmaps/Makefile.am: Added entry for appwiz_wxwin.png
	* src/appwizard_cbs
	  src/compiler_options.c
	  src/pixmaps.h
	  src/project_dbase.c
	  src/project_dbase.h
	  src/project_import_cbs.c
	  src/project_type.c
	  src/source.c
	  src/source.h
	  src/wizard_gui.c: Added everything necessary for new
	                    project type 'wxWindows (wxGTK)
	* src/project_dbase.c: Fixed a bug that caused every project
	                       to be a glade project in dialog
						   'Project information'.

2002-03-25 Naba Kumar <kh_naba@users.sourceforge.net>

	Patch submitted by Roy Wood <roy.wood@filogix.com>
	
	* src/anjuta_gui.c, src/message-manager-dock.c,
	  src/project_dbase.c:
	  
	  fixed the copy/paste bug by rewriting dock/undock
	  code.

2002-03-22  Johannes Schmid <clubfan@users.sourceforge.net>

	Reviewed by Naba Kumar <kh_naba@users.sourceforge.net>
	
	* src/cvs*, src/Makefile.am:
	  New file for CVS support. File operations currently work
	  cvs login needs to be done. Project support is not yet
	  started.

	* src/main_menubar*, src/mainmenu_callbacks,
	  src/anjuta.c, src/anjuta.h:
	  Added menus and functions for cvs commands.
	  
	* src/text_editor_menu.h: 
	  Added #include <gtk/gtk.h>
	  
	* src/gotoline.h:
	  Removed a warning (and this time it works ;-)

	* src/utilities.c, src/utilities.h:
	  Added a utility function to retrieve directory
	  name out of full path.

2002-03-11  Jeroen van der Vegt  <ajvdvegt@sourceforge.net>

	* src/executer.c: (create_executer_dialog): changed the default
	  focus on the entry.

2002-03-10 Naba Kumar <kh_naba@users.sourceforge.net>

	* widgets/gnomefilelist.c:
	Fixed duplicate history entries for the same directory.
	  
2002-03-10  Stephane Demurget  <demurgets@free.fr>

	Fix for #520092.

	* src/main_menubar_def.h: removed the Ctrl-L shortcut for Save All, as
	  it's already used by scintilla to delete the whole current line.

2002-03-10  Stephane Demurget  <demurgets@free.fr>

	Fix for #525107.

	* src/anjuta_cbs.c: (on_open_filesel_ok_clicked): removed unecessary
	  calls to fileselection_hide_widget,
	  (on_open_filesel_cancel_clicked): removed.

	* src/project_dbase.c: (on_open_prjfilesel_cancel_clicked),
	  (on_add_prjfilesel_cancel_clicked):

	* widgets/gnomefilelist.[ch]: (gnome_filelist_set_multiple_selection):
	  impl.

	* src/fileselection.c: Made some functions static.
	  (fileselection_hide_widget): rewritten using the new
	  gnome_filelist_set_multiple_selection function.

	* src/fileselection.c: (on_file_selection_delete_event): removed
	  unuseful widget hides. Some cleanups,
	  (on_file_selection_cancel_clicked): impl,
	  (create_fileselection_gui): changed the cancel button clicked's
	  callback to use this new function.

	* src/anjuta.c: (anjuta_new):
 	* src/project_dbase.c: (project_dbase_new): removed the use of cancel
	  callbacks, because this the gnome filelist widget's job.

	* widgets/gnomefilelist.c: (gnome_filelist_new_with_path): removed
	  clist selection mode duplicates set,
	  (gnome_filelist_key_press): use the new impl. function.

2002-03-10  Stephane Demurget  <demurgets@free.fr>

	Fix for #441233.

	* src/appwizard_cbs.c: (on_druidpagestandard2_next):
	  fixed some bogus code using an array cell out of
	  range, removed unecessary gettext usages.

	* src/appwiz_page2.c: (on_prj_name_entry_changed):
	  some cleanups and now transform minus characters to
	  underscores.

	* src/source.c:
	  (source_write_configure_in),
	  (source_write_toplevel_makefile_am),
	  (source_write_desktop_entry),
	  (source_write_glade_file):
	* src/project_dbase.c: (project_dbase_summon_glade),
	  (project_dbase_generate_source_code):
	* src/glades.c: (gladen_write_glade_write):
	  replaced some occurences of the target name by the
	  project filename, using project_dbase_get_proj_name,
	  to fix the name of some files.
	  Fixed a lot of mem leaks.
	  Various code cleanups.

2002-03-06  Stephane Demurget  <demurgets@free.fr>

	Merged with latest (1.44) scintilla.

	Added: - The calltip.<lexer>.end.definition property to display help
	         text on a second line of calltip.
	       - The calltip.<lexer>.word.characters property to correctly find
		 calltips for functions that include characters like '$' which
		 is not normally considered a word character.
	       - The use.monospaced property to determine initial state of
		 Use Monospaced Font setting.

	Bugs fixed: Too many to mention; please see :
	            http://www.scintilla.org/ScintillaHistory.html for the
		    full changes list.

	* scintilla/*/*: updated nearly all files.

	* TODO: removed the need of a scintilla merge.

	Merged with latest (1.44) SciTE properties.

	* data/properties/anjuta.properties: added the wrap, use.monospaced
	  properties.

	* data/properties/html.properties: added a missing php extension, and
	  updated php keywords to the latest reference.

	* data/properties/pascal.properties: added commands to compile, build
	  and execute pascal applications.

	* data/properties/lua.properties: added styles for statements.

	* data/properties/bash.properties: added the declare keyword.

	Fixed distchecking.

	* global-tags/Makefile.am,
	  global-tags/create-global-tags.sh: used some kind of ugly hack to
	  make distchek work, since noone has proposed some better way.

	* src/main_menubar_def.h: Ctrl-W is now associated to close file,
	  and Ctrl-N replace Alt-N for new file according to the Gnome design
	  reference.

2002-03-06 Naba Kumar <kh_naba@users.sourceforge.net>

	* widgets/gnomedirlist.c
	widgets/gnomedirlist.h
	widgets/gnomefilelist.c
	widgets/gnomefilelist.h:

	Added GPL headings in the file.

2002-03-06 Naba Kumar <kh_naba@users.sourceforge.net>

	* src/attach_process.c
	src/attach_process_cbs.c
	src/attach_process_cbs.h
	src/attach_process_gui.c
	src/breakpoints.c
	src/breakpoints_cbs.c
	src/breakpoints_cbs.h
	src/breakpoints_gui.c
	src/commands.c
	src/compiler_options.c
	src/compiler_options_cbs.c
	src/compiler_options_cbs.h
	src/compiler_options_gui.c
	src/find_in_files.c
	src/find_in_files_cbs.c
	src/find_in_files_cbs.h
	src/find_in_files_gui.c
	src/find_replace.c
	src/find_text.c
	src/help.c
	src/preferences.c
	src/preferences_gui.c
	src/project_config.c
	src/src_paths.c
	src/src_paths_cbs.c
	src/src_paths_cbs.h
	src/src_paths_gui.c:
	
	Bugs #521629 and #522427 fixed. The problem was, that the
	escape-key was not catched and the dialog was hidden, but
	the flag was not set correctly.

	Changed the callbacks for delete_event to close, using gnome_dialog_close(),
	using the gnome_dialog_close_hides()-setting present in most dialogs.
	Instead of _hide() in the button-callbacks, calling gnome_dialog_close(), which
	emits "close" and set the flag in the close-callback.

	Patch from: Jens Georg <mail@jensgeorg.de>

2002-03-06  Stephane Demurget  <demurgets@free.fr>

	* src/*.{c,cpp}: s/string_free/g_free/

	* src/utilities.[ch]: (string_free): removed.

2002-03-06	Dan Elphick <dre00r@ecs.soton.ac.uk>

	Reviewed by Naba Kumar <kh_naba@users.sourceforge.net>

	* src/controls.c, src/main_menubar.[ch], src/main_menubar_def.h,
	src/mainmenu_callbacks.[ch]:
	Removed Project menu options: README, TODO, ChangeLog and NEWS
	Moved Save Build Messages to Build menu and only highlight it
	when there are build messages.
	Corrected a spelling: "mojority" -> "majority"
	Fixed initialisation of edit.edit_app_gui so now Edit menu
	can be shown when no project is loaded.

	* src/project_dbase.h: Removed prototype for static function

2002-03-06  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/text_editor.c: Editor is marked changed after
	autoformat. 
	
	Patch from: Jens Georg <mail@jensgeorg.de>

2002-03-04 Roel Vanhout <roel@stack.be>

	Reviewed by Naba Kumar <kh_naba@users.sourceforge.net>

	* src/find_in_files.c, src/find_in_files.h, src/find_in_files_gui.c
	Added option to ignore binary files on 'Find in files' (grep -I option)

2002-03-03  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/main.c:
	session restoration and commandline load in 
	gtk idle loop.
	
	* src/anjuta.[h,c], src/anjuta_cbs.c:
	Removed "clear windows menu" and prevented runtime 
	warnings.
	
	* src/compile.c, src/build_file.c, src/build_project.c,
	src/clean.c:
	Takes into account the preference setting for 
	show dialog when job completes. Dialogs are
	shown when it is enabled otherwise not.
	
2002-03-03 Roel Vanhout <roel@stack.be>

	Reviewed by Naba Kumar <kh_naba@users.sourceforge.net>
	
	* src/find_text.c
	Store 'Find...' search string on search so that 'Find Next' will search for
	that string, even if the dialog hasn't been closed yet.

2002-03-03  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/anjuta.[h,c], src/anjuta_gui.c, src/anjuta_cbs.c,
	src/controls.c,	src/main_menubar.h,	src/main_menubar.[h,c],
	src/main_menubar_def.h:
	
	Organized menus, removed "Windows" and "Utilities" menus from the
	menubar [they are no longer needed]. Also removed some extragenous
	separators.
	  
2002-03-03  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/message-manager-private.cc:
	Set message clist selection mode to BROWSE.
	
	* src/message-manager.cc, src/an_symbol_view.c,
	src/an_file_view.c:
	Added Key navigation for the CTree and CList. Arrow left for
	node collapse, right for node expand, space (or enter) for
	activation (same as double click).
	
2002-03-03 Roel Vanhout <roel@stack.be>
	
	Reviewed by Naba Kumar <kh_naba@users.sourceforge.net>
	
	* plugins/class-gen/clsGen.c
	Added functionality to semi-intelligently prefill filename
	boxes with names deduced from class name

2002-02-26 lbell <lbell@tsc4.com>

	Reviewed by Naba Kumar <kh_naba@users.sourceforge.net>
	* src/preferences_gui.c:
	Removed an incorrect use of gtk_misc_set_alignment().
	
	* src/anjuta.c, src/anjuta.h, src/controls.c, src/main.c,
	src/main_menubar.c, src/mainmenu_callbacks.c, src/preferences.c,
	src/preferences.h, src/preferences_gui.c:
	
	Added the option to reload last open project at the startup.
	Added the possibility to open a new project without close
	an existing one
	
	* src/properties.cxx:
	Corrected a spelling mistake in message string.
	
	* src/session.c:
	Updated session functions.
	   
2002-02-26  Naba Kumar <kh_naba@users.sourceforge.net>

	* widgets/gnomefilelist.c: Bug fixes.
	
	Patch from Philip Van Hoof <freax@pandora.be>
	
2002-02-25  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/an_file_view.c:
	anjuta was unable to open some files becuase they were not being
	recognized as "text/*" mime type (example files *.rej, *.in, etc.).
	Removed mime checking when opening with anjuta, becuase it doesn't
	hurt to open binary files in anjuta (some even may want to do so).
	
	Added a warning when mime type is not set when "view with default
	viewer" is activated.
	
	* src/an_file_view.c, an_symbol_view.c:
	Converted N_() to _() where ever appropriate in the strings.
	
2002-02-25  Johannes Schmid <clubfan@users.sourceforge.net>
	
	* src/appwizard_gui.c, src/appwizard_cbs.c
	  src/wizard_gui.c/h, src/appwiz_page3.c,
	  src/project_import_gui.c:
	  
	Moved target type radiobuttons to appwiz. page 2
	
	* src/message-manager-private.cc
	Fixed a bug which caused a crash if next message function was used

	Reviewed by Naba Kumar <kh_naba@users.sourceforge.net>.

2002-02-25  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/anjuta.h, anjuta.c, anjuta_cbs.c:
	Modifies the behaviour of Alt-TAB in Anjuta. This
	brings a behaviour similar to VC6 Alt-TAB, by maintaining the recently
	edited files in the first items of the notebook.

	Patch from: Timothee Besset <timo@qeradiant.com>
	
2002-02-24  Philip Van Hoof <freax@pandora.be>

	* widgets/gnomefilelist.c, gnomefilelist.h:
	  Added filecompletion
	  
	Reviewed by Naba Kumar <kh_naba@users.sourceforge.net>.

2002-02-21  Stanislav Visnovsky  <visnovsky@nenya.ms.mff.cuni.cz>

	* configure.in: Added "sk" to ALL_LINGUAS.

2002-02-20  Johannes Schmid <clubfan@users.sourceforge.net>
  
	* src/appwiz_page3.c, src/appwizard.c, src/appwizard_cbs.c, 
	  src/appwizard_gui.c, src/project_dbase.c, src/source.c,
	  src/wizard_gui.c: Added support for static and dynamic libs
	
2002-02-20  Dan Elphick <dre00r@ecs.soton.ac.uk>

	* widgets/gnomefilelist.c:
	  Fixed gnome_filelist_get_lastfilename so it no longer returns
	  a corrupted path.

2002-02-20  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/resources.h, resources.c:
	Added url handler.

	* src/main_menubar_def.h, mainmenu_callbacks.c:
	Changed to use gnome configed url handler.

2002-02-19  Philip Van Hoof <freax@pandora.be>

	* widgets/gnomefilelist.c
	Added PHP filetype.

2002-02-19  Naba Kumar <kh_naba@users.sourceforge.net>

	* plugins/class-gen/clsGen.c:
	Added c++ support.
	
	* widgets/gnomefilelist.c:
	Gives the maximum space to the files section of the open file dialog.
	
	Patches from: lbell <lbell@tsc4.com>
	
2002-02-18  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/anjuta.c, main.c:
	Used tm_get_real_path in anjuta_get_full_filename();
	
2002-02-18  Andy Piper <andyp@users.sourceforge.net>
	
	* anjuta.prj: update version

2002-02-17  Stephane Demurget  <demurgets@free.fr>

	* widgets/gnomefilelist.[ch]: (gnome_filelisttype_addtype_f):
	  removed the amount arg and replaced with a NULL-ending list.
	  (gnome_filelisttype_makedefaultlist): use the new prototype.

2002-02-17  Andy Piper <andyp@users.sourceforge.net>

	* src/about.c, THANKS: updated for new contributors
	
	* anjuta.prj: added new files
	
	* README: corrected some documentation, ctags no longer needed,
	  pkgconfig now required
	  
	* data/properties/others.properties: add .cvsdiff extension
	
	* src/project_dbase_gui.c, src/utilities.c, src/utilities.h: 
	  patch from Vadim Berezniker <vadim@berezniker.com> to improve 
	  file import
	  
	* doc/anjuta.1: added initial man page thanks to 
	  Rob Bradford <rob@debianplanet.org> (NB build and install 
	  needs work)
	
2002-02-17  Johannes Schmid <clubfan@users.sourceforge.net>

	* src/Makefile.am: Cleaned handling of compiler flags by moving them
	  to CFLAGS and CXXFLAGS. Anjuta is now compiled with -g -O2 and many
	  warning flags. 
  
	* configure.in: Changed version to 0.1.10-pre
  
2002-02-17  Stephane Demurget  <demurgets@free.fr>

	* src/fileselection.c: (create_fileselection_gui): always display
	  the directory creation button as we cannot rely on the dialog
	  titlebar.

	* widgets/gnomefilelist.[ch]: fixed includes.

	* pixmaps/new_folder.xpm: resized, added a + sign.

2002-02-17  Stephane Demurget  <demurgets@free.fr>

	* widgets/gnomefilelist.c: (gnome_filelisttype_makedefaultlist):
	  changed all extensions to begin with a dot.

2002-02-16  Philip Van Hoof  <freax@pandora.be>

	Patch reviewed by Stephane Demurget <demurgets@free.fr>.

	* THANKS: added Philip.

	* pixmaps/Makefile.am, pixmaps/new_folder.xpm: added.

	* src/project_dbase.c: (project_dbase_make_default_filetype_list),
	* src/file_selection.[ch],
	* widgets/gnomefilelist.[ch]: added a filetype
	  combobox to the Anjuta file dialog widget.

2002-02-14  Andy Piper  <andy.piper@freeuk.com>

	* anjuta.spec.in: eep! the import script was not being installed by
	  RPM - fixed for the release.

2002-02-13  Stephane Demurget  <demurgets@free.fr>

	Various cleanups and fixes for the next release to be able to make
	distcheck.

	* plugins/*/*.c: added missing prototypes causing gcc to speak to
	  much and make some tweaks plus cleanups.

	* widgets/scroll-menu.c: made compare_menu_items use gconstpointers
	  args to remove some warnings.

	* global-tags/Makefile.am,
	  data/Makefile.am,
	  src/Makefile.am: link against Anjuta static libs using the
	  $(top_builddir) dir, not anymore on $(top_srcdir) to make
	  distcheck happy.

	* src/Makefile.am: ditto with all the Anjuta static libs.

	* src/main_menubar.c: removed the widgets/ dir from the scroll-menu.c
	  include, as we already include the whole directory for the build.

	* src/text_editor_cbs.c: included dnd.h for scintilla_uri_dropped ().
	  
2002-02-13	Andy Piper	<andy.piper@freeuk.com>

	* pixmaps/Makefile.am: icon for libglade project now installed
	* NEWS, README, TODO, configure.in, anjuta.prj: revised for release
	* manuals/C/Makefile.am: removed ChangeLog reference which was 
	  breaking some build stuff
	* global-tags/Makefile.am, tagmanager/Makefile.am: fixed some
	  include reference problems that showed up on make distcheck
	* tagmanager/tm_workspace.c: fixed crash bug spotted by Biswa

2002-02-13  Johannes Schmid <clubfan@users.sourceforge.net>
	
	* src/aneditor.cxx: Fixed bug #509977 (CallTips)

2002-02-12  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/message-manager-private.cc:
	  The horizontal scrollbar now shows properly on demand.
	
2002-02-08  Johannes Schmid <clubfan@users.sourceforge.net>

	* src/dnd.c fixed some warnings
	* src/message-manager-private.cc: Horizontal scrollbar is now shown 
	  and works. It is shown always at the moment but before it was
	  shown on demand and did never work. 

2002-02-07  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/anjuta.c: Fixed a crash bug.
	  patch from: Jens Georg <mail@jensgeorg.de>

2002-02-04	Andy Piper	<andy.piper@freeuk.com>

	* manuals/C/anjuta-manual/*.sgml: fixed so that jade no longer
	  reports a problem with missing end tags on <graphic>

2002-02-03	Andy Piper	<andy.piper@freeuk.com>

	* manuals/C/ChangeLog: removed since it was never used
	* manuals/C/anjuta-manual/*: more updates, new screenshots
	* anjuta.prj: updated for new manuals/ structure

2002-02-03  Johannes Schmid <clubfan@users.sourceforge.net>

	* source.c, compiler_options.[c/h]:
	  Fixed bug #460321 "Problem with optimization options" 
	  by separating INCLUDE and C(XX)FLAGS in Makefile.am creation
	
2002-02-03	Andy Piper	<andy.piper@freeuk.com>

	* NEWS: prepared for release, need to fill in date
	* data/welcome.txt: version number updated

2002-02-03	Andy Piper	<andy.piper@freeuk.com>

	* src/text_editor_menu.c, src/an_file_view.c, 
	  src/an_symbol_view.c: marked strings for translation
	
	* src/defaults.c, data/properties/xml.properties:
	  *.omf and *.xsl files should use XML highlighting
	  
	* manuals/C/anjuta-manual/*:
	  - restructured so that files have more meaningful names
	    and are easier to edit (see anjuta-manual.sgml for the
		ordering)
	  - updated some screenshots
	  - continued rewrite

2002-02-02  Naba Kumar <kh_naba@users.sourceforge.net>

	* main.c: Made a workaround to remove the old
	anjuta gnome config file (older than 9 Feb 2002). This
	will fix the bug which never lets the brower toolbar shown.
	
	* main.c: In fact, the above solution wouldn't work in all
	cases. Therefore, here is the better fix, which works by
	detecting the version of the old config file and deleting
	~/.gnome/Anjuta if it is lesser than 0.1.9.
	
2002-02-01  Andy Piper <andy.piper@freeuk.com>

	* HACKING: added info on submitting patches

2002-01-31  Johannes Schmid <clubfan@users.sourceforge.net>

	* src/project_import_gui.c, src/project_import.c:
	  - If Project Import Wizard is canceled everything is 
		cleaned up now.
	  - Back button is now insensitive on page 3 (some problems: 
		see TODO in project_import_qui.c:284
	  - Menu frame is insensitive if project type != GNOME(mm)

2002-01-31  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/main.c: Fixed bug #  (Unable to open files on
	double click in project window from second trial onwards when
	the project is opened from command line).
	
	* po/POTFILES.in: Removed tags_manager.[h,c]
	
2002-01-31  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/preferences.c:
	  A quick hack to fix the 'invisible' browser toolbar when
	  upgrading from 0.1.8 to 0.1.9
	  
	* src/anjuta.c:
	  Fixed toolbar names which were causing confusions in the toolbar
	  show/hide.
	  
	* src/main.c:
	  Substituted "anjuta" with PACKAGE
	  
	* src/project_import_gui.c: 
	  Consistensy: wm_class should be set with "Anjuta" and not "anjuta"
	  
	* anjuta.prj, src/tags_manager.h, src/tags_manger.c:
	  Added new files and removed obsolete ones.
	  
2002-01-30  Andy Piper <andy.piper@freeuk.com>

	* src/appwizard_cbs.c, project_import_cbs.c, 
	  main_menubar_def.h, project_import_gui.c: 
	  updates to message strings and layout for the 
	  import wizard.
	  
	* text_editor_cbs.c: fix for the tab menu entries for 
	  redocked windows (Dan Elphick <dre00r@ecs.soton.ac.uk>)

2002-01-30  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/toolbars.c,
	  src/toolbars.h,
	  src/anjuta_gui.c,
	  src/controls.c:
	  
	  Tag dropdown exclusive (takes
	  all space in the toolbar) and never vertical and
	  increased the width of the tag combo to 256 pixs.
	  Toolbar separator before the combo and button.
	  Added tags label before the tag button.
	  Reorganized the dock bands for the toolbars.
	  
	* src/project_import_gui.c
	  src/project_import.c:
	  Fixed an error and removed an unused variable.
	  
	* data/properties/anjuta.properties:
	  Removed the property for the old toolbar and set
	  browser toolbar show to default.
	  
	* src/project_dbase.c: excluded modules were not
	  loaded. Fixed.
	  
	* src/source.c:
	  No build files will be written if the project is blocked.
	  
	* src/project_import.c,
	  src/project_import_cbs.c,
	  src/project_gui.c,
	  src/wizard_gui.c:
	  
	  Manually applied Johannes patch to fix some memory
	  issues and gui clean up.
	  Patch from: Johannes Schmid <clubfan@users.sourceforge.net>
	
	* src/project_dbase.c, project_dbase.h, project_dbase_gui.h:
	  Fixed a bad bug with remove file from project because of
	  files were never removed properly from the project and
	  from the tagmanager.
	  
	* src/appwiz_page3.c: Disabled unused codes to clear
	  compiler warnings.
	  
2002-01-30  Naba Kumar <kh_naba@users.sourceforge.net>

	* tagmanager/*/*: Upgraded to 0.7.1 version from Biswa.
	
	* data/Makefile.am
	  pixmaps/Makefile.am
	  src/Makefile.am
	  src/an_file_view.c
	  src/an_symbol_view.c
	  src/anjuta.c
	  src/anjuta.h
	  src/anjuta_cbs.c
	  src/anjuta_gui.c
	  src/controls.c
	  src/main_menubar.c
	  src/main_menubar.h
	  src/main_menubar_def.h
	  src/mainmenu_callbacks.c
	  src/mainmenu_callbacks.h
	  src/pixmaps.h
	  src/project_dbase.c
	  src/project_dbase.h
	  src/text_editor.c
	  src/text_editor_menu.c
	  src/text_editor_menu.h
	  src/toolbar.c
	  src/toolbar.h
	  src/toolbar_callbacks.c
	  src/toolbar_callbacks.h :
	  
	  Patch submitted by:
	  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>
	  
	  Removes the Tags toolbar and substituted it with
	  tags combo dropdown list. Fixes a couple of bugs.
	  
	  Moved the tag combo to browser toolbar because
	  main toolbar was becoming too long.
	  Made a new icon of tag toolbar.
	  
	* po/zh_TW.po: Fixed bug.
	  
	* pixmaps/an_tag.xpm: Added new file.

2002-01-30  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/project_import_gui.c: Reorganized project
	import gui page 2.
	
2002-01-29  Andy Piper <andy.piper@freeuk.com>

	* HACKING: added info on creating windows and dialogs

2002-01-29  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/tm_file_view.c:

	  Sorts the file list at the end instead of doing sort-insert
	  to improve performance.
	  Patch from: Dan Elphick <dre00r@ecs.soton.ac.uk>

	* src/project_dbase.c: Resolved a conflict from
	  Johannes's patch.
	  
	* src/project_import.c:
	
	  Fixed to use anjuta_import.sh for the bin dir and
	  not from the data dir.
	
	  Used anjuta_is_installed() function to verify a the command's
	  executability.
	
	  Fixed import command to use sh (which is more general and is
	  gauranteed to be found in any unix system :-)). Also, added
	  double quotes around the import directory.
	
	  Changed some strings for better translations (like avoiding
	  duplicates).
	  
	  Fixed the reading of wrong target type.
	  
	* src/control.c: Insensitive "import project" when there is
	  a project open.
	  
	* src/project_import_cbs.c:
	  
	  Fixed strcmp() [== 0 was left out]. Languages now selected properly.
	  Fixed selection of gettext checkbox.
	  Sets the menu entries.
	  
2002-01-28  Johannes Schmid <clubfan@users.sourceforge.net>
	
	* src/appwiz_page[1-4].c
	* src/appwiz_gui.c
	* src/appwizard.[c/h]: Moved some code to wizard_gui.[c/h]
	be able to reuse it.
	
	* src/mainmenubar.[c/h]
	* src/mainmenubar_def.h
	* src/mainmenu_callbacks.[c/h]: Code to create "Import Project" 
	menu item
	
	* src/message-manager.c: Fixed bug 509192
	* src/message-manager-dock.c: Added accel_group if window is undocked
	
	* src/project_dbase.[c/h]: Splitted opening code to be able
	to use it without an open file dialog
	(Maybe I broke Naba's changes, please take a look)
			
	* src/project_import.[c/h]
	* src/project_import_gui.c: New Files, Code for Project Import Wizard
	
	* src/wizard_gui.[c/h]: New Files, shared code between appwizard and 
	import wizard

2002-01-28  Andy Piper <andy.piper@freeuk.com>

	* src/main_menubar_def.h, tagmanager/tm_project.c: more
	  string cleanups
	  
	* manuals/C/anjuta_manual/*: started rewrite of the 
	  manual, updated some screenshots

2002-01-28  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/gnomefilelist.h, src/gnomefilelist.c:
	
	  Fixed multiple selection bug (#497085). The OK button is
	  sensitive when in multiple mode, if the no. of
	  selection is one or more.
	  
	  Toggle between single and multiple selection mode
	  and multiple mode display.
	  
	  Fixed strings to translable strings.
	  
	  Fixed some compiler warnings by commenting out
	  unused functions.
	  
2002-01-28  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/project_dbase.c: App status bar now updates
	  with the project name when the project is loaded.
	
	* src/an_file_view.c, tagmanager/tm_file_entry.c:
	  
	  Puts the directories at the top. They're also sorted now.
	  Patch from: Dan Elphick <dre00r@ecs.soton.ac.uk>
	
2002-01-28  Naba Kumar <kh_naba@users.sourceforge.net>

	* scripts/anjuta_import.sh.in: Added file.
	* scripts/anjuta_import.sh: Removed file.

	* .cvsignore, po/.cvsignore, scripts/.cvsignore:
	  Updated files.
	  
	* src/main_menubar_def.h:
	
	  Changed shortcut for Find/Replace to CTRL+SHIFT+F (to
	  reflect the opposite of Find (CTRL+F) and also to leave
	  CTRL+R or Redo.
	  
	  Changed Glade summon with ALT+G, which frees the ATL+E
	  for poping up the edit menu.
	  
	* src/Makefile.am: Debugging link flags by Biswa, removed.

2002-01-28	Andy Piper	<andy.piper@freeuk.com>

	* HACKING: added information on best practices for writing
	  application messages and GUI labels
	  
	* src/CORBA-Server.c, src/about.c, src/anjuta.c, 
	  src/breakpoints.c, src/build_file.c, src/build_project.c, 
	  src/clean_project.c, src/compile.c, 
	  src/compiler_options_cbs.c, src/compiler_options_gui.c, 
	  src/configurer.c, src/debugger.c, src/executer.c, 
	  src/find_in_files.c, src/find_in_files_cbs.c, 
	  src/find_replace.c, src/find_text.c, src/glades.c, 
	  src/gnome_project.c, src/goto_line.c, src/main.c, 
	  src/main_menubar.c, src/main_menubar_def.h, 
	  src/mainmenu_callbacks.c, src/preferences_gui.c, 
	  src/project_config.c, src/project_dbase.c, 
	  src/project_dbase_gui.c, src/resources.c, src/source.c, 
	  src/support.c, src/tags_manager.c, src/text_editor.c, 
	  src/text_editor_gui.c, src/text_editor_menu.c, 
	  src/toolbar_callbacks.c, src/utilities.c: 
	  lots of minor message updates to make them more user-friendly 
	  and consistent

2002-01-28  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/executer.c:
	
	  Because of the spaces escaping, the command could not be
	  executed when run without terminal. Now fixed.
	  
	* anjuta.prj, Makefile.am:
	
	  Added anjuta project file.
	
2002-01-27  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/message-manager-private.h, message-manager-private.cc,
	  message-manger.cc:
	  
	  Added freeze() and thaw() for the message window class to
	  speed up the message manager update.
	
	* src/project_config.h, project_config.c,
	  src/project_dbase.h, project_dbase.h
	  scripts/anjuta_project.template:
	  
	  Added two new prject attributes: project.config.blocked and
	  project.excluded.modules. The former will make sure that users
	  are not given any previlidge in enabling the 'overwrite build
	  files' flags and the later issues a list of modules in the project
	  to be skipped for symbol browsing and project listing.
	
	* configure.in, scripts/anjuta_import.sh, scripts/Makefile.am:
	
	  Modified script to read the template from the anjuta data dir
	  rather than from the directory in which the script exist. Otherwise,
	  Being transfered to the bin dir, the script will not be able to
	  find the template when it is run.
	  
	  The script is also create with configure.in to set in the anjuta
	  data dir path inside the script.
	  
2002-01-26  Stephane Demurget  <demurgets@free.fr>

	* po/fr.po: updated to the latest sources.

2002-01-26  Naba Kumar <kh_naba@users.sourceforge.net>

	* scripts/Makefile.am:
	  anjuta_import.sh goes with distribution.
	  
	* po/*.po: They seem to have updated (merged with
	  anjuta.pot) automatically when I did "make dist".
	  
2002-01-26  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/compiler_options_cbs.c, compiler_options.h, compiler_options_gui.c,
	  Fixed Bug #499807, ie crash on removing libs, includes, defines from
	  the compiler options dialog.
	
	* ChangeLog:
	  Correct todays date. :)
	  
	* scripts/Makefile.am:
	  Installs anjuta_import.sh in $(prefix)/bin dir and
	  is treated as an executable.
	  
2002-01-26  Naba Kumar <kh_naba@users.sourceforge.net>

	* Fix for bug #499373
	
	* data/properties/anjuta.properties, ada.properties, cpp.properties,
	  java, properties, latex.properties, lua.properties, others.properties,
	  perl.properties:
	  
	  Added double-quotes around file arguments so that
	  filenames with spaces could also work.

	* launcher/anjuta-launcher.c, executer.c:
	  Escaped quotes in the cammand and it's arguments before executing
	  so that args with spaces can also work.
	  
	  Commented #DEBUG switch.
	  
2002-01-26  Naba Kumar <kh_naba@users.sourceforge.net>

	* scripts/*: Added files which I forgot previously.
	
	* src/aneditor.h: Lined up commands definition for better look.
	
	* src/mainmenu_callbacks.c. main_menu_def.h, main_menubar.c,
	  main_menubar.h, control.c:
	  Added three more convert EOL chars submenu items in transform.
	  Reformatted some some.
	
	* data/anjuta.properties:
	  Reformatted a line.
	
	* src/aneditor.h, aneditor.c:
	  Added three commands (with definitions) for EOL conversions.
	  
	* src/text_editor.c:
	  Editor detects file mode from the file content and
	  set the editing mode to CR/LF/CRLF automatically.
	  Refined Dos mode extrageneous chars filter
	  This will make sure that filter works only in Dos mode and not
	  in other modes.
	  
	* src/anjuta.c: Editor mode display in status bar.
	
	* src/preferences_gui.c: Changed the string for dos mode
	  filter to more sensible string.
	
	* src/aneditor.c: Default editor mode sets during widget creation
	  and not everty time the properties are loaded. This makes sure
	  that the auto-detected mode is not overridden by the default mode.
	  
	* src/text_editor.c, aneditor.c: Disabled #DEBUG flag.
	
	* src/anjuta.c: Fixed bug #476028.
	  Now anjuta also searches for file relative to top project dir,
	  when the project is open.
	
	* src/anjuta_cbs.c: Fixed bug #499536.
	  File is not closed if it is not able to save the file properly.
	  
	* src/mainmenu_callbacks.c: Fixed bug #499536.
	  Newfiles (which are not modified) are also closed on "close all files".
	
2002-01-25  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/an_symbol_view.c: Added MAX_STRING_LENGTH
	
	* tagmanager/tm_source_file.c, regex.c, parse.c:
	  defined and delimited g_messages within #debug.
	  
	* src/preferences.c, data/anjuta.properties:
	  saved/defied message-manager tag position in string.
	  Message tag possition is saved between sessions. And
	  and tag position bottom as default.
	  
2002-01-25  Naba Kumar <kh_naba@users.sourceforge.net>

	Patch submitted by:
	Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>

	* Makefile.am
	  configure.in
	  data/Makefile.am
	  data/properties/Makefile.am
	  global-tags/Makefile.am
	  pixmaps/Makefile.am
	  src/Makefile.am
	  src/an_file_view.c
	  src/an_file_view.h
	  src/an_symbol_view.c
	  src/an_symbol_view.h
	  src/anjuta.c
	  src/anjuta_cbs.c
	  src/file_history.c
	  src/file_history.h
	  src/message-manager-private.cc
	  src/pixmaps.h
	  src/project_dbase.c
	  src/project_dbase_gui.c
	  src/tags_manager.c
	  src/text_editor.c
	  src/utilities.c
	  src/utilities.h
	  src/watch_gui.c:
	
	  Modified files.
	
	* scripts/*
	  pixmaps/sv_class.xpm
	  pixmaps/sv_function.xpm
	  pixmaps/sv_macro.xpm
	  pixmaps/sv_private_fun.xpm
	  pixmaps/sv_private_var.xpm
	  pixmaps/sv_protected_fun.xpm
	  pixmaps/sv_protected_var.xpm
	  pixmaps/sv_public_fun.xpm
	  pixmaps/sv_public_var.xpm
	  pixmaps/sv_static_fun.xpm
	  pixmaps/sv_static_var.xpm
	  pixmaps/sv_struct.xpm
	  pixmaps/sv_unknown.xpm
	  pixmaps/sv_variable.xpm
	  pixmaps/fv_core.xpm
	  pixmaps/fv_text.xpm
	  pixmaps/filestoremove.txt:
	
	  New files.
	
	* pixmaps/class.xpm
	  pixmaps/function.xpm
	  pixmaps/fv_autofile.xpm
	  pixmaps/fv_doc.xpm
	  pixmaps/fv_i18n.xpm
	  pixmaps/fv_source.xpm
	  pixmaps/private_func.xpm
	  pixmaps/private_var.xpm
	  pixmaps/protected_func.xpm
	  pixmaps/protected_var.xpm
	  pixmaps/public_func.xpm
	  pixmaps/public_var.xpm
	  pixmaps/struct.xpm
	  pixmaps/variable.xpm
	
	  Removed files.
	
	* tagmanager/*/*:
	
	  Upgraded to tagmanager-0.7

2002-01-24	Johannes Schmid <clubfan@users.sourceforge.net>
	* src/anjuta_cbs.c: Fixed bug #506441
	* src/watch_gui.c: Changed layout of eval dialog so that
	it fits on a 800x600 desktop with German translation. 

2002-01-23	Andy Piper <andy.piper@freeuk.com>

	* src/project_dbase.c: completed string updates for GTKmm and GNOMEmm
	* pixmaps/appwiz_libglade.png, src/pixmaps.h, pixmaps/Makefile.am: new 
	  icon for new project type (thanks to Misha)
	* configure.in: build and install Danish translation
	* src/about.c, THANKS, manuals/C/anjuta-manual/authors.sgml: updated 
	  credits to cover new patches and translations

2002-01-23  Johannes Schmid <clubfan@users.sourceforge.net>
	
	* src/preferences.c, src/message-manager.cc, src/project_type.c,
	  src/appwiz_page1.c:
	
      - Font preferences are restored properly now (\n was missing)
	  - Dock menu label of message-manager is "Dock/Undock" instead
	  of "Dock|Undock" to match with the rest of anjuta.
	  - Name of GTK-- and GNOME-- have changed to GTKmm and GNOMEmm, so I
	  changed it in anjuta, too 

2002-01-21  Naba Kumar <kh_naba@users.sourceforge.net>

	* tagmanager/tm_source_file.c,
	  tagmanager/parse.c,
	  tagmanager/tm_project.c,
	  src/an_symbol_view.c,
	  src/anjuta.c:
	  
	  Disabled debug warnings.

2002-01-21  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/appwiz_page1.c
	  src/compiler_options.c
	  src/project_dbase.c
	  src/project_dbase.h
	  src/project_type.c
	  src/source.c
	  src/source.h:
	  
	  New project type named LibGlade.
	  
	  Patch submitted by:
	  Dick Knol <dknol@gmx.net>

	* src/gnome_prj.c:
	  Commented out unused pixmap creation. May be it
	  will fix the crash in project creation.
	  
2002-01-21  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/registers.c
	  src/registers.h
	  src/registers_cbs.c
	  src/registers_cbs.h
	  src/registers_gui.c
	  src/sharedlib.c
	  src/sharedlib.h
	  src/sharedlib_cbs.c
	  src/sharedlib_cbs.h
	  src/sharedlib_gui.c
	  src/signals.c
	  src/signals.h
	  src/signals_cbs.c
	  src/signals_cbs.h
	  src/signals_gui.c
	  src/stack_trace.c
	  src/stack_trace.h
	  src/stack_trace_cbs.c
	  src/stack_trace_cbs.h
	  src/stack_trace_gui.c
	  src/text_editor.c
	  src/watch.c
	  src/watch.h
	  src/watch_cbs.c
	  src/watch_cbs.h
	  src/watch_gui.c
	  
	  Fixed bug #496290: Attach/detach removed from these
	  windows as they are never implemented.
	  
	  Patch submitted by:
	  Johannes Schmid <johannes.schmid@gmx.de>
	  
2002-01-18	Naba Kumar <kh_naba@users.sourceforge.net>

	* src/anjuta.c,
	  src/anjuta_cbs.c:
	  
	  Fixed bug:
	  when you right click on the tabs, a list of filenames are given
	  out, but now it gives a list of "page 1", "page 2", etc...
	  
	  Patch submitted by: 
	  Jens Georg <mail@jensgeorg.de>

	* anjuta.in.in: Removed c|c++ because, it was not necessary
	  and was causing translation problem.
	  
	* plugins/class-gen/clsGen.c:
	  removed "'" for the same reason.
	  
attached the fix for the menu


2002-01-17	Naba Kumar <kh_naba@users.sourceforge.net>

	* src/preferences.h,
	  src/preferences.c,
	  src/preferences_gui.c:
	  
	  Adds the functionality to Anjuta to auto save your unsaved
	  files before you build a project.

	  Patch submitted by: 
	  jason <jason_williams@suth.com>
	  
	* src/anjuta.[h,c]:
	  Added function for save all files.
	
	* src/mainmenu_callbacks.c:
	  Modified to use the above function.
	
	* src/build_project.c:
	  Save all files before build if it is set in the
	  preferences.

2002-01-17	Naba Kumar <kh_naba@users.sourceforge.net>

	* src/message-manager-private.cc
	  src/message-manager-private.h
	  src/message-manager.cc:
	  
	  Message-manager now restores the tabs which were shown on startup.
	  The terminal is now created on demand (as requested by Biswa)
	  and I have removed some debug messages.
	  
	  Patch submitted by: 
	  Johannes Schmid <johannes.schmid@gmx.de>

2002-01-13  Stephane Demurget  <demurgets@free.fr>

	* src/anjuta_cbs.c: fixed the global shortcut handling to have a
	  proper tabs keyboard navigation.

	* src/an_symbol_view.c,
	  src/anjuta_cbs.c,
	  src/gnome_project.c,
	  src/project_dbase.c,
	  src/tags_manager.c: removed some debugging display.

2002-01-09	Naba Kumar <kh_naba@users.sourceforge.net>

	* src/message-manager-dock.c
	  src/message-manager-private.cc
	  src/message-manager-private.h
	  src/message-manager.cc
	  src/preferences.c
	  src/preferences.h
	  src/preferences_gui.c:
	  
	  Patch submitted by: 
	  Johannes Schmid <johannes.schmid@gmx.de>
	  
	  This patch adds a tab to the notebook of the preferences-dialog
	  where you can change the colors, the tab position of the new
	  message manager. Also the truncate messages stuff has moved
	  from misc tab to messages tab.

	  Also improved the remembering position stuff of message manager.
	  
	* data/internal.properties,
	  Added definitions for messages colors and tag position.
	  
	* src/message_manager.cc:
	  Fixed a bug that never lets the messages panes to get cleared.
	  Added wmclass setting for the message window. Fixed a bug in
	  which the message window was not being shown.
	
	* src/tag_manager.c: Fixed printing of (NULL) in the debug
	  output and disabled it.

	* src/anjuta.c: Preferences created and loaded before anything else.
	  anjuta now recognizes messages colors on startup and initializes
	  them.
	
2002-01-09	Andy Piper	<andy.piper@freeuk.com>

	* src/project_dbase.c: fix bug #497923 (thanks to Johannes Schmid)

2002-01-09  Stephane Demurget  <demurgets@free.fr>

	* pixmaps/file_c.xpm,
	  pixmaps/file_cpp.xpm,
	  pixmaps/file_file.xpm,
	  pixmaps/file_h.xpm,
	  pixmaps/file_html.xpm,
	  pixmaps/file_i18n.xpm,
	  pixmaps/file_icon.xpm,
	  pixmaps/file_pix.xpm,
	  pixmaps/fv_doc.xpm,
	  pixmaps/fv_i18n.xpm,
	  pixmaps/fv_image.xpm,
	  pixmaps/fv_source.xpm,
	  pixmaps/fv_unknown.xpm: made these icons transparent.

2002-01-08	Andy Piper	<andy.piper@freeuk.com>

	* launcher/anjuta_launcher.c: updated message strings
	* src/message-manager-dock.c: added newline at end to avoid compile warning
	* src/project_dbase.c: corrected spelling of include (noted by Biswa)
	* src/controls.c, src/main_menubar.c, src/main_menubar.h, src/main_menubar_def.h,
	  src/mainmenu_callbacks.c, src/mainmenu_callbacks.h: added some new Insert menu
	  entries for username and Python-style GPL notice
	* HACKING: added info on files to change to update Insert menu

2002-01-08  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/project_dbase.c,
	  src/an_file_view.c,
	  src/an_symbol_view.c:
	  Changed the CTree expander style to square and
	  line style to Dotted line.
	  
	* po/POTFILES.in: Removed and Added translable files.

2002-01-08  Naba Kumar <kh_naba@users.sourceforge.net>

	* ccview/.cvsignore: Removed.
	
2002-01-08  Naba Kumar <kh_naba@users.sourceforge.net>

	* ccview/
		cccmd.cc, ccview_main.h, func_dialog.cc, struct.xpm,
		cccmd.h, cfolder.xpm, func_dialog.h, ofolder.xpm, support.c,
		cccproj.cc, ChangeLog, gtk_help.cc, panes.cc, support.h,
		cccproj.hh, class.xpm, gtk_help.h, private.xpm, tree_coll.h,
		ccview.cc, cregex.hh, hash_str.h, protected.xpm,
		ccview.h, public.xpm, ccview_main.cc, file.xpm, Makefile.am, scanner.xpm:
	
	Removed ccview module because it is no longer needed.

2002-01-08  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/project_dbase.c:
	  Shifted structure initialization in project_dbase_new()
	  before anything else, otherwise it was crashing due to
	  uninitialized values.
	
	* src/an_symbol_view.c:
	  Disabled high volume debug output.

2002-01-08  Naba Kumar <kh_naba@users.sourceforge.net>
	
	Applied a very heavy patch from:
	Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>

	* Makefile.am
	configure.in
	pixmaps/Makefile.am
	src/Makefile.am
	src/aneditor.cxx
	src/aneditor.h
	src/anjuta.c
	src/anjuta.h
	src/commands.c
	src/commands.h
	src/compile.c
	src/compile.h
	src/controls.c
	src/defaults.c
	src/fileselection.c
	src/main_menubar.c
	src/main_menubar.h
	src/main_menubar_def.h
	src/mainmenu_callbacks.c
	src/mainmenu_callbacks.h
	src/project_dbase.c
	src/project_dbase.h
	src/project_dbase_gui.c
	src/tags_manager.c
	src/text_editor_menu.c
	src/toolbar_callbacks.c
	tagmanager/Makefile.am
	tagmanager/ctags.c
	tagmanager/include/Makefile.am
	tagmanager/include/tm_project.h
	tagmanager/include/tm_symbol.h
	tagmanager/include/tm_tag.h
	tagmanager/include/tm_tagmanager.h
	tagmanager/include/tm_workspace.h
	tagmanager/tm_project.c
	tagmanager/tm_source_file.c
	tagmanager/tm_symbol.c
	tagmanager/tm_tag.c
	tagmanager/tm_workspace.c
	widgets/Makefile.am: Modified.
	
	* src/an_file_view.[c,h],
	  src/an_symbol_view.[c,h],
	  src/file_history.[c,h],
	  src/support.[c,h],
	  widgets/scroll-menu.[c,h],
	  tagmanager/tm_file_entry.c
	  tagmanager/include/tm_file_entry.h: Added new files.
	  
	* pixmaps/cfolder.xpm, fv_doc.xpm, fv_source.xpm,
	private_func.xpm, public_func.xpm,
	class.xpm, fv_exec.xpm, fv_unknown.xpm,
	private_var.xpm, public_var.xpm,
	function.xpm, fv_i18n.xpm, macro.xpm,
	protected_func.xpm, struct.xpm,
	fv_autofile.xpm, fv_image.xpm,
	ofolder.xpm, protected_var.xpm, variable.xpm:
	  Updated and Added pixmap files.

	Features:
	---------
	a) Removes CCView dependency.
	b) Improves the terminal.
	c) Adds tag navigation context menus.
	d) Upgrades tagmanager to latest version.
	e) Miscellaneous small additions.

2002-01-07  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/project_dbase_gui.c: Fixed crash of anjuta
	when project first created.
	
	* src/gnome_project.c: It now updates the tags manager
	when new projects are created.
	
2002-01-07  Naba Kumar <kh_naba@users.sourceforge.net>

	* Thanks Johannes Schmid <johannes.schmid@gmx.de>
	  for this big patch.
	
	* src/messages.[c,h]: Removed files.

	* src/message-manager.[cc,h],
	  src/message-manager-dock.[c,h],
	  src/message-manager-private.[cc,h]
	  New files.

	* src/anjuta.c, src/anjuta.h, src/anjuta_cbs.c, src/build_file.c
	  src/build_project.c, src/clean_project.c, src/compile.c
	  src/configurer.c, src/debugger.c, src/find_in_files.c
	  src/mainmenu_callbacks.c, src/preferences.h
	  src/preferences_gui.c, src/properties.h
	  src/utilities.c, src/utilities.h:
	  The new messages widget.
	  New features:
	    - Use of GtkNotebook instead of ToggleButtons
	      and show/hide
	    - Popupmenu to show and hide message types and
	      to dock/undock in detach mode

	  All other things should work as they did with the
	  old message window. Currently the keyboard short-cuts
	  do not work in detached mode.
	  
	  Some functions in utitlities.[c,h] changed.
	  so that they take const arguments where this is possible
	  
	* src/Makefile.am, po/POTFILES.in:
	  Removed messages.[c,h] and
	  added message-manager.[cc,h], message-manager-dock.[c,h],
	  message-manager-private.[cc,h]
	  
	* src/message-manager.h: Removed "include <bonobo.h>"
	  and added a newline at the end of the file.
	  
	* src/message-manager-private.cc:
	  Set clist's width setting to Automatic.
	  Set scroll window's scroll bars to Automatic.
	  
2002-01-05  Naba Kumar <kh_naba@users.sourceforge.net>

	* text_editor_menu.c:
	  Fixed misalignment of the function sub menu
	  in the text editor pop up menu.
	  
2002-01-04  Naba Kumar <kh_naba@users.sourceforge.net>
	
	* src/text_editor.c: Fixed a compiler warning.
	
2002-01-04  Andy Piper <andy.piper@freeuk.com>

	* THANKS, manuals/*/authors.sgml: updated for new translations
	* plugins/class-gen/clsGen.c: converted messages to English
	* src/about.c, src/main_menubar_def.h: string updates

2002-01-04  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/anjuta.c
	  src/anjuta_cbs.c
	  src/text_editor.c
	  src/mainmenu_callbacks.c
	  src/text_editor.h
	  src/text_editor.c
	  src/text_editor_cbs.c
	  src/text_editor-gui.c:
	  
	  Earlier code for adding 'cross' button
	  for closing pages were too error prone and unorganized.
	  Cleaned up the code and shifted the 'extra' widgets
	  creation (eg. close button, close_pixmap and lable)
	  from anjuta to text_editor. This takes care of proper
	  widgets creation and destruction. Otherwise, anjuta
	  was crashing at too many points, especially related
	  to docking and undocking.
	  
2002-01-04  Stephane Demurget  <demurgets@free.fr>

	* src/aneditor.cxx: removed debugging code.

	* data/properties/.cvsignore: added swap files.

2002-01-03  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/anjuta.c
	  src/anjuta_cbs.c:
	  Fixed Crashing of anjuta when a new file is saved as
	  different file.
	  
2002-01-03  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/aneditor.c: Some debug codes around.
	
	* data/internal.properties, data/anjuta.properties: Removed.
	  data/properties/Makefile.am:
	  data/properties/ada
	  data/properties/cs
	  data/properties/make
	  data/properties/rc
	  data/properties/html
	  data/properties/ruby
	  data/properties/baan
	  data/properties/idl
	  data/properties/pascal
	  data/properties/sample
	  data/properties/bash
	  data/properties/java
	  data/properties/perl
	  data/properties/sql
	  data/properties/conf
	  data/properties/latex
	  data/properties/props
	  data/properties/vb
	  data/properties/cpp
	  data/properties/lua
	  data/properties/python
	  data/properties/xml
	  data/properties/others
	  data/properties/.cvsignore:
	    Added files. Properties now splitted into small files
	    for each language.

	* data/Makefile.am
	  configure.in: Update the removal and added properties module.

	* src/preferences.c: preferences_new(): Updated to reflect the
	  new properties files organization.
	  
	* src/Makefile.am: Added Baan Lexer.

2002-01-01  Stephane Demurget  <demurgets@free.fr>

	* src/aneditor.cxx: readded the baan lexer. 

	* src/preferences.c: fixed translated messages and a typo.

	* desktop.in.in: changed the name to Anjuta C|C++ IDE, since the / was
	  confusing the regexp usage in xml-i18-merge.

2002-01-01	Andy Piper	<andy.piper@freeuk.com>

	* src/project_dbase.c: tidied some messages, and spotted a typo in
	  the reading of properties which prevented the project version from
	  ever being reported in the Project Information window - fixed :)

	* po/POTFILES.in: removed syntax.h

2001-12-31  Stephane Demurget  <demurgets@free.fr>

	* data/internal.properties: fixed baan properties.
	  Added all ada properties.

	* src/main_menubar_def.h,
	  src/lexer.h,
	  src/aneditor.cxx,
	  src/utilities.[ch]: added support for the Ada highlight style.

2001-12-31  Stephane Demurget  <demurgets@free.fr>

	* plugins/*/.cvsignore: updated.

2001-12-31  Stephane Demurget  <demurgets@free.fr>

	* src/syntax.h,
	  src/text_editor.c,
	  src/Makefile.am: removed the empty header syntax.h.

2001-12-31  Naba Kumar <kh_naba@users.sourceforge.net>

	* main_menubar.c:
	Stef's observation on the 'superfluous' hseparators in the recent
	files and projects is fully justified -- removed.
	
	* main_menubar_def.h:
	Changed "Plug Ins" to "Plugins" in the menu label.
	
	* configure.in, plugins/Makefile.am, plugins/class-gen/*:
	Added class-gen in the configure output and class-gen module.
	
	* data/internal.properties:
	Correct mis-spelled "jave" to "java".
	Added file.is.source for *.h, *.c, *.cpp properties.
	
	* global-tags/Makefile.am:
	"chmod +x create_global_tags.sh" before it is executed, because
	there is very high chance that it will be found "-x" and resulting
	in error

2001-12-31  Stephane Demurget  <demurgets@free.fr>

	Fixed a crash on Solaris reported by Holder Burde, thanks to him
	for the backtrace.

	* src/gnome_project.c: (create_new_project): if the user doesn't
	  select any icon, it doesn't have any extension and thus we can't
	  use it in printf on Solaris, since the %s modifier use strlen to
	  know the string length and then crash. On Linux, gcc checks the value
	  of the pointer to be NULL and write "(null)" if necessary. We can't
	  rely on that.

	* src/source.c: (source_write_desktop_entry): if there's no icon, we
	  don't need to have the directory icon but the generic one.

2001-12-30  Stephane Demurget  <demurgets@free.fr>

	Merged with latest (1.42) scintilla.

	Added: Support for the {load,save}.on.(de)activate properties.
	       The PHP lexer to match keywords case insensitively.
	       Baan lexer.
	       Experimental supports for changeable style attribute & line
	       wrapping.
	       
	Updated: Both the C++ and HTML lexers.
	         More shell keywords added.
		 Horizontal scrolling and diplay of long lines optimised.
	         Cursor setting optimised.

	Bugs fixed: Caret movement over folded lines.
	            Selection tracking in 2ndary views when doing modifications.

	* scintilla/CallTip.{cxx.h},
	  scintilla/ContractionState.{cxx,h},
	  scintilla/Document.{cxx,h},
	  scintilla/Editor.{cxx,h},
	  scintilla/KeyWords.cxx,
	  scintilla/LexHTML.cxx,
	  scintilla/PlatGTK.cxx,
	  scintilla/RESearch.cxx,
	  scintilla/ScintillaBase.cxx,
	  scintilla/ScintillaGTK.cxx,
	  scintilla/Style.{cxx,h},
	  scintilla/StyleContext.h,
	  scintilla/ViewStyle.cxx,
	  scintilla/include/*.h: updated.

	* scintilla/LexBaan.cxx, scintilla/Makefile.am: added Baan lexer.

	* scintilla/LexCPP.cxx: removed all references to noDocChars. This
	  should have been told to the scintilla team. We're lucky I read the
	  ChangeLog and the modifications of the lexer (thanks to the Gnome
	  bonsai for this ;)

	* data/internal.properties: added Baan definitions.
	  Fixed some issues for C such as *_cast directive, that are only
	  available with C++.
	  Updated C++, HTML and shell scripts definitions.
	  Updated Ada and Bullant, that have been forgotten.

	* src/main_menubar_def.h,
	  src/lexer.h,
	  src/aneditor.cxx,
	  src/utilities.[ch]: added support for the Baan highlight style.

2001-12-29  Stephane Demurget  <demurgets@free.fr>

	Polished the plugins menu behaviour and added a tearoff
	menuitem to the recent entries submenu.

	Note: The recent entries list seems to be too height
	      with all these superfluous hseparators.

	* src/main_menubar.c: Polished, making some
	  functions declarations static and cleaning some code.

	  (create_submenu_plugin): removed the extra
	  plugins entry and the horizontal separators.

	  (on_plugins_menu_realize): the plugins menu is only
	  shown if there's at least one available.

	  (create_submenu*): added a tearoff menuitem to have
	  a more homogeneous menu style. For now, it doesn't
	  take care of user settings (but it was even worse
	  before :).

2001-12-29  Stephane Demurget  <demurgets@free.fr>

	* configure.in: added the packageplugindir variable to avoid
	  installing the plugins in $(prefix). It's not the same path as
	  anjuta 2 to allow parallel installation.

2001-12-29  Stephane Demurget  <demurgets@free.fr>
	Fix a reopened part of bug #440676: keyboard navigation between the
	different text buffers.	Changed to a more global approch. 

	* src/notebook.[ch]: removed.

	* src/Makefile.am: removed notebook.[ch]

	* src/anjuta_{gui,cbs}.c, src/anjuta.h:
	  (on_anjuta_window_key_press_event): added to fulfill the global
	  shorcuts handling.

	* HACKING: updated according to the new global shortcuts handling.

2001-12-29 Naba Kumar <kh_naba@users.sourceforge.net>

	* src/main_menubar_def.h, main_menubar.h, main_menubar.c:
	  Shifted plugin menu from Edit submenu to main menu.
	
	* po/POTFILES.in:
	  Added plugins/sample1/plugin-sample1.c
	  
	* plugins/sample1/plugin-sample1.c:
	  Added localization and used anjuta_info, instead of anjuta_error.
	  
	* plugins/.cvsignore, plugins/sample1/.cvsignore:
	  Added cvs ignores.
	  
2001-12-28 Naba Kumar <kh_naba@users.sourceforge.net>

	* configure.in, acconfig.h: Added definition for PACKAGE_PLUGIN_DIR
	  for plugin dir.
	
	* Makefile.am: Added module plugins.
	
	* plugins, plugins/Makefile.am, plugins/sample1/*:
	  Created plugins modules.
	  
	* src/anjuta.h, src/anjuta.c: Removed app->szAddinDir and 
	  Defined PACKAGE_PLUGIN_DIR directly and properly. Fixed
	  to load plugins of *.so only and not *.so* (which results
	  in duplicates).
	
	* anjuta.spec.in: added %{prefix}/lib/anjuta to take care of 
	  plugins during packaging.

2001-12-27  Simos Xenitellis  <simos@hellug.gr>

	*  configure.in: Added Greek (el) to ALL_LINGUAS.

2001-12-27 Duarte Loreto <happyguy_pt@hotmail.com>

        * configure.in: Added portuguese to ALL_LINGUAS

2001-12-24  Naba Kumar <kh_naba@users.sourceforge.net>

	* global-tags/.cvsignore
	tagmanager/.cvsignore
	tagmanager/include/.cvsignore:
	Added cvs ignore files.

	* data/.cvsignore
	Updated cvs ignore file.
	
2001-12-23	Andy Piper	<andy.piper@freeuk.com>

	* src/debugger.c, src/text_editor.c, src/anjuta.c, 
	  data/anjuta.properties, data/internal.properties: clean up some 
	  message strings (me)

2001-12-23	Andy Piper	<andy.piper@freeuk.com>

	* src/about.c, THANKS: added Jens to the credits
	
2001-12-23	Andy Piper	<andy.piper@freeuk.com>

	* pixmaps/close_file_small.xpm, pixmaps/Makefile.am, src/anjuta.c,
	  src/text_editor.h, src/pixmaps.h, src/text_editor_cbs.c,
	  src/text_editor_cbs.h, src/text_editor_gui.c: patch from Jens
	  Georg <mail@jensgeorg.de> to add close button to file tabs.

2001-12-20	Andy Piper	<andy.piper@freeuk.com>

	* launcher/anjuta_launcher.c: patch from Stef to fix #490816
	  (debugger now catches correct signal from process)

2001-12-20	Andy Piper	<andy.piper@freeuk.com>

	* pixmaps/Makefile.am, pixmaps/appwiz_*.png: new images from Misha
	* src/pixmaps.h: switch appwizard project icons to new designs
	* pixmaps/appwid*xpm, pixmaps/gear.xpm: removed unused graphics

2001-12-20	Andy Piper	<andy.piper@freeuk.com>

	* pixmaps/Makefile.am: stop redundant images from being installed.
	  The next step will be to remove them completely.
	* src/appwiz*: further updates (more to come)
	* src/pixmaps.h: cleaned up, commented
	* src/splash.c: should use the pixmaps macro defined
	* HACKING: more on the graphics stuff and use of pixmaps.h

2001-12-19	Andy Piper	<andy.piper@freeuk.com>

	* src/defaults.c: fix bug #494864

2001-12-18	Andy Piper	<andy.piper@freeuk.com>

	* pixmaps/applogo.png, pixmaps/appwizard.png: added new wizard
	  graphics from Misha
	* pixmaps/interface.xpm, pixmaps/app_wizard.jpg: removed
	  redundant graphics, no longer used
	* src/appwiz*: revamped application wizard by Andy and Misha for
	  a more usable and professional look-and-feel
	* HACKING: updates to cover patching, graphics, and some additions
	  post-0.1.8
	* TODO: removed some implemented features

2001-12-17	Andy Piper	<andy.piper@freeuk.com>

	* data/anjuta.properties, data/internal.properties: cleanup
	* src/compiler_options_gui.c, src/mainmenu_callbacks.*, 
	  src/preferences_gui.c, src/text_editor_menu.c: patches from Biswa
	  to edit styles colors for keywords and add Goto Tag menu option
	  in the editor

2001-12-14 Naba Kumar <kh_naba@users.sourceforge.net>

	* src/anjuta.c, anjuta.h, text_editor.c, text_editor.h:
	
	Fixed bug #460335
	fixes the Forget of the cursor position when tab is brought active
	from project manager.
	
2001-12-13 Naba Kumar <kh_naba@users.sourceforge.net>

	* src/messages.c
	  Exported "TERM=xterm" to get a color terminal when
	  anjuta is not started from within a terminal.
	  
2001-12-13 Naba Kumar <kh_naba@users.sourceforge.net>

	* src/messages.c
	  src/messages.h
	  Added a frame around zvt terminal.
	  
	* src/preferences_gui.c
	  Modified to say "Use glade component (experimental)"
	  instead of "Use Component".
	  
2001-12-13 Naba Kumar <kh_naba@users.sourceforge.net>

	* Patch from 
	Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>
	
	* src/anjuta.c
	src/fileselection.c
	src/messages.c
	src/messages.h
	src/preferences.c
	src/preferences.h
	src/project_dbase.c

	a) Extra scrollbar in terminal no longer appears.
	b) Character set preference should be preserved (untested).
	c) File selection widget now remembers last directory.
	d) On creation of generic project, the glade 'file not found' error no
		longer occurs.
	e) First terminal window is created 'on demand', so it should always to
		the Right Thing (TM) as far as starting WD is concerned. Also, the
		environment is now passed to the terminal.
	f) Solaris compilation should be fixed (replaced get_current_dir_name()
		with getcwd()).
	g) Fixed some compilation warnings.

2001-12-10	Andy Piper	<andy.piper@freeuk.com>

	* configure.in, src/anjuta.c, src/messages.c, src/messages.h,
	  src/pixmaps.h: applied terminal and warnings patch (Biswa)
	* src/*: cleanups (me)
	* pixmaps/mini_term.xpm: added new file for terminal button
	  (me, based on existing artwork)

2001-12-07	Andy Piper	<andy.piper@freeuk.com>

	* configure.in: bumped version to 0.1.9-pre
	* THANKS, manuals/C/anjuta-manual/authors.sgml: updated for new 
	  translation
	* src/aneditor.cxx: patch from Biswa to re-enable autocompletion

2001-12-07  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* src/splash.c: removed a DOS end of line of a comment (so the *.po
	  files are free of that char)
	* configure.in: added "az" to ALL_LINGUAS

2001-11-29	Andy Piper	<andy.piper@freeuk.com>

	* tagmanager/tm_workspace.c, src/project_dbase.c: critical
	  crash bug fix from Biswa.
	* FUTURE: added Anjuta/gIDE merger information to provide 
	  details on future direction and status of 1.x stuff
	* NEWS: prepared for release
	* po/de.po: update from Jens Georg <mail@jensgeorg>

2001-11-28	Andy Piper	<andy.piper@freeuk.com>

	* multiple minor updates pre-0.1.8
	* patch from Biswa to fix syntax highlighting and packaging
	* po/fr.po: update from Stef

2001-11-26 Naba Kumar <kh_naba@users.sourceforge.net>

	* global-tags/Makefile.am
	global-tags/create_global_tags.sh
	global-tags/tm_global_tags.c
	scintilla/LexCPP.cxx
	scintilla/include/SciLexer.h
	src/aneditor.cxx
	src/project_dbase.c
	tagmanager/Makefile.am
	tagmanager/include/Makefile.am
	tagmanager/include/tm_project.h
	tagmanager/include/tm_tag.h
	tagmanager/include/tm_tagmanager.h
	tagmanager/tm_project.c
	tagmanager/tm_source_file.c
	tagmanager/tm_tag.c
	tagmanager/tm_workspace.c:
	
	Includes the syntax highliting patch to scintilla).
	and more stable code.
	
	*tagmanager/include/tm_symbol.h: New file.
	*tagmanager/tm_symbol.c: New file.
	
	Add symbol tree building functionality at project level
	
	Patch from:
	Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>
	
2001-11-22 Naba Kumar <kh_naba@users.sourceforge.net>

	* pixmaps/file_cpp.xpm,   pixmaps/file_html.xpm,  pixmaps/file_icon.xpm,
	  pixmaps/file_c.xpm,     pixmaps/file_h.xpm,     pixmaps/file_pix.xpm,
	  pixmaps/file_file.xpm,  pixmaps/file_i18n.xpm
	  : New and improved pixmaps from Misha <misha@phreaker.net>
	  Thanks to him.

2001-11-22 Naba Kumar <kh_naba@users.sourceforge.net>
	
	* Big patch submitted by
	  Biswapesh Chattopadhyay <biswapesh_chatterjee@tcscal.co.in>.
	  Many thanks to him.
	
	* src/Makefile.am, src/aneditor.cxx
	  src/anjuta.c, src/anjuta.h, src/project_dbase.c,
	  src/project_dbase.h, src/text_editor.c, src/text_editor.h:
	  Use of tagmanager lib for advanced calltips.

	* global-tags/*: Created new directory and added files to 
	  generate system.tags.

	* tagmanager/*: Created new directory and added tagmanager lib
	  files.

	* configure.in, acconfig.h, Makefile.am: Modified to reflect
	  the above additions.

	* data/Makefile.am: Modified to accomodate generated system.tags file.

2001-11-07	Andy Piper	<andy.piper@freeuk.com>

	* scintilla/: updated to 1.41
	* src/Makefile.am: added Ada and Bullant lexers from Scintilla
	* src/about.c: updated list of authors
	* src/aneditor.cxx: tidied to remove unused SciTE debug calls
	* HACKING: updated to cover Scintilla usage
	* THANKS, manuals/C/anjuta-manual/authors.sgml: updated for new 
	  translation

2001-11-07  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/aneditor.cxx: Fixed compilation errors with it.
	  by add include to gtk+ headers and typedefining a mysteriously
	  vanished class Colour.

2001-10-29  Naba Kumar <kh_naba@users.sourceforge.net>

	* configure.in: Added pt_BR in the languages.
	
2001-11-01	Andy Piper	<andy.piper@freeuk.com>

	* src/executer.c, mainmenu_callbacks.c: patch from Dan Elphick
	  (<dre00r@ecs.soton.ac.uk>) to correct a spelling mistake
	* THANKS: updated
	* manuals/C/anjuta-manual/*: new format to match
	  the rest of the GNOME docs chapter layout. Added the many
	  new contributors. Moved Authors and License information into new
	  chapters of their own - should make expansion easier too
	* src/compiler_options.c: changed the profiler option to -pg to 
	  work with GNU tools (gprof)
	* src/compiler_options_gui.c, main_menubar_def.h: tidied some messages 
	  and text labels
	
2001-10-29  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/compiler_options.h, compiler_options.c, compiler_options_cbs.c
	  compiler_options_gui.c:
	  Added a new entry for linker flags and renamed c_options to c_flags
	  and l_options to l_libs. Also, added a new function:
	  compiler_options_set_prjlflags_in_file();
	
	* src/source.c: projects/src/Makefile.am now have LDFLAGS set.
	
	* src/compiler_options_gui.c: Trimmed some UI for the 'others' page.
	  
2001-10-26	Andy Piper	<andy.piper@freeuk.com>

	* THANKS, src/about.c: corrections and additions following 
	Naba's big update
	* src/main_menubar.c: patch from Rikul to fix the problem with 
	menu accelerators not being loaded

2001-10-26  Naba Kumar <kh_naba@users.sourceforge.net>

	* THANKS: Added all contributors and translators names and emails.
	* AUTHORS: Updated
	* pixmap/anjuta_logo.png: Reduced the size of the logo.
	* pixmap/anjuta_splash.png, pixmaps/Makefile.am:
	      Added new file (earlier logo with border).
	* src/about.c: Added all contributors names and emails
	      and used macro definition for logo pixmap file.
	* src/pixmaps.h: Added entry for anjuta splash screen.

2001-10-24	Andy Piper	<andy.piper@freeuk.com>

	* pixmaps/anjuta_icon[.xpm|.png]: updated application icon
	to new PNG version (thanks to Misha) and removed the old
	pixmap.

2001-10-24  Abel Cheung  <maddog@linux.org.hk>

	* THANKS: added Conner Mo for simplified Chinese translation.
	* configure.in: added zh_CN in ALL_LINGUAS

2001-10-21  Abel Cheung  <maddog@linux.org.hk>

	* THANKS: added Joe Man for his traditional Chinese translation.
	* configure.in: added zh_TW in ALL_LINGUAS.

2001-10-19  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/main_menubar_def.h: Changed the link of lidn to
	http://lidn.sourceforge.net.
	
2001-10-18  Naba Kumar <kh_naba@users.sourceforge.net>

	* Applied patch from Rikul
	* Applied patch from Luca
	* Fixed a cvs conflict. :)

2001-10-17  Stephane Demurget  <demurgets@free.fr>

	* THANKS: added Marc Botermans for his Dutch translation.

	* configure.in: added nl in ALL_LINGUAS.

	* po/nl.po: added.

2001-10-17  Naba Kumar <kh_naba@users.sourceforge.net>

	* anjuta.c: Fixed luca's typo.
	* resources.c, resources.h: Changed gchar* return to void, to
		avoid a compiler warning.
	* scintilla/Makefile.am: Reorganized file entries.
	* src/Makefile.am: Added StyleContex.o module directly with the lexers.

2001-10-16  Naba Kumar <kh_naba@users.sourceforge.net>

	* Upgraded scintilla to 1.4.
	* Added 6 files:  LexCrontab.cxx LexEiffel.cxx LexRuby.cxx
		LexLisp.cxx StyleContext.cxx StyleContext.h
	* src/Makefile.am: Added 4 lexers and separated lexer objects
		from the main link variable.

2001-10-14  Stephane Demurget  <demurgets@free.fr>

	* THANKS: added Luca, even if it shouldn't be my role to write
	  this sort of thing :)

	* src/anjuta.c: (scan_AddIns_in_directory): some fixes and cleanups on
	  the latest Luca patch.

2001-10-14	Andy Piper	<andy.piper@freeuk.com>

	* added skeleton plugin functionality (lbell <lbell@tsc4.com>). 
	This is not documented yet; plugins to come later.
	* src/find*.c: find dialogs now persistent 
	(Rick <rikul@bellsouth.net>)
	* widgets/gnomefilelist.c: fixed multiple file open issue 
	(Rick <rikul@bellsouth.net>)
	* changes to recent file and project lists handling 
	(lbell <lbell@tsc4.com>)
	* more minor UI updates (me)

2001-10-11	Andy Piper	<andy.piper@freeuk.com>

	* src/Makefile.am: removed warnings for traditional C syntax
	* pixmaps: added new icons for mini_locals, mini_cvs and
	the splash screen - thanks to Misha <misha@phreaker.net>

2001-10-10	Andy Piper	<andy.piper@freeuk.com>

	* src/toolbar.c: fix typo in tooltip text
	* ccview/cccmd.cc: alter Func to Function in menu text

2001-10-09	Andy Piper	<andy.piper@freeuk.com>

	* src/find_text.c: applied patch from rikul <null@acm.org> to fix minor
	issue with find dialog reporting an error when Scintilla finds text
	* applied patch from Denis Boehme <boehme at syncio dot de> to support
	DOS files (i.e. CR/LF translation)

2001-10-03	Andy Piper	<andy.piper@freeuk.com>

	* src/notebook.c: applied patch from rikul <null@acm.org> to fix bug
	#452436
	* data/internal.properties: default fold style now set to 3 :-)
	* applied patch from rikul <null@acm.org> to turn notebook tab 
	headings red when file has been edited.

2001-10-02  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added "no" to ALL_LINGUAS.
	
2001-09-29  Naba Kumar <kh_naba@users.sourceforge.net>

    * Patch from lbell <lbell@tsc4.com>
    src/controls.c
    src/debugger.c
    src/main_menubar.c
    src/main_menubar.h
    src/main_menubar_def.h
    src/mainmenu_callbacks.c
    src/mainmenu_callbacks.h
    src/project_dbase.c
    src/project_dbase.h
    
    Implemented a check menu item to handle the 'show locals' flag
    for the current project.

    * data/internal.properties: Removed the redundant command
    for gnome-terminal.
    
2001-09-25  Naba Kumar <kh_naba@users.sourceforge.net>

	* Patch from lbell <lbell@tsc4.com> for fixing some compiler warnings.

2001-09-24  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "ta" to the languages list.

2001-09-21  Andy Piper <andy.piper@freeuk.com>

	* data/internal.properties:
	  added fold.symbols property to control appearance of folds
	  in the Scintilla editor (thanks to rikul <null@acm.org>)

2001-09-21  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/message.c:
	  one extra button for message win is being created -- Fixed.
	
	  The frame should be hidden and not only the pix_lab when
	  that message pane is hidden (aBts[nIndex].bVisible == FALSE)
	  -- Fixed.
	
	* pixmaps/mini_locals.xpm (new file), pixmaps/Makefile.am: 
	  for the time being it is same as mini_cvs.xpm.
	
2001-09-21  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/find_repace.c: Fixed the vanishing find/replace dialog box.

	Patch from rikul <null@acm.org>
	
	* CORBA-Server.c, debugger.c, debugger.h, glades.c,
	glades.h, messages.c, messages.h, pixmaps.h,
	project_dbase.c, project_dbase.h, session.c,
	session.h, watch_cbs.c, watch_cbs.h, watch_gui.c:
	
	inserted 'add to watch' option in inspect window, so you can add easily
	a variable in watch window .
	
	Added a new message pane for the gdb local variables inspection. Changed
	the code in messages.c to better account for future new panes insertion.
	Defined a new pixmap for the new tab button in pixmaps.h
	(ANJUTA_PIXMAP_MINI_LOCALS); someone must create it and add it to the
	install script.
	
	Changed the debugger module to have a single function for asking to gdb
	to send program info. The idea is to ask the debugger about only the
	info needed to open windows( watch, registers, etc ) to speedup the step
	command. I plan to ask informations to the debugger based on the user
	interface status.
	The request for local variables is enabled by default, but the
	projectDBase has a variable to control it, to allow disabling that
	feature,  there is also the code to save and to reload the state. If you
	want to have it disabled by dafult change SHOW_LOCALS_DEFAULT to FALSE
	in project_dbase.c

	This big patch is from:  lbell <lbell@tsc4.com>
	
2001-09-20  Stephane Demurget <demurgets@free.fr>

	Patch from rikul <null@acm.org> :

	* data/internal.properties, src/aneditor.cxx: fixed the fold margin
	  problem and added folding support for php/hmtl.

2001-09-19  Naba Kumar <kh_naba@users.sourceforge.net>

	* Fixed dnd of files within scintilla.
	patch from:  rikul <null@acm.org>
	
2001-09-18  Naba Kumar <kh_naba@users.sourceforge.net>

	* Applied patch from Luca.
	
	* src/source.c: source_write_build_files(): Fixed the project generation
	  failure. The fist return statement and the free_project_type were 
	  misplaced.

2001-09-14  Naba Kumar <kh_naba@users.sourceforge.net>
	
	* anjuta.c, anjuta.h, main.c, main_menubar.c, main_menubar_def.h,
	mainmenu_callbacks.c, mainmenu_callbacks.h, messages.c:
	
	1) Restore the error color to red (waiting for a configurable one )
	2) Saving projects settings if you exit anjuta without closing an open
	saved project
	3) New Menu 'repaeat search' to search with a keystroke without pressing
	the toolbar button
	4) some define in the menus to better handle menu item update
	
	Patch from: lbell <lbell@tsc4.com>
	
	* main_menubar_def.h, main_menubar.c: Change the position of
	"Repeat find" menu position.

2001-09-13  Naba Kumar <kh_naba@users.sourceforge.net>

	 project_type.h, project_type.c, source.c: Applied patch.
	 patch from Johannes Schmid <clubfan@users.sourceforge.net>
	 
2001-09-12  Naba Kumar <kh_naba@users.sourceforge.net>

	* configure.in, src/Makefile.am: Using macros for ORBit flags.
	
2001-09-07 Johannes Schmid <clubfan@users.sourceforge.net>
	
	* Fixed bug #445752
  
2001-9-06  Johannes Schmid <clubfan@users.sourceforge.net>
	
	* Fixed bugs in Gtk-- and Gnome-- project type

2001-09-12  Naba Kumar <kh_naba@users.sourceforge.net>

	* dnd.c: Support for multiple files drag-n-drop.
	
	  Patch from: rikul <null@acm.org>
	
	* anjuta.c, anjuta.h, anjuta_cbs.c, main_menubar_def.h,
	  mainmenu_callbacks.c, mainmenu_callbacks.h: Added message text
	  saving from menu.
	
	  Patch from: rikul <null@acm.org>

	* Applied patch for widgetizing goto dialog box.
	  Patch from: ???
	
	* Applied patch for having new project type handling.
	  Patch from: Johannes Schmid <clubfan@users.sourceforge.net>
	  
2001-09-12  Naba Kumar <kh_naba@users.sourceforge.net>

	* Makefile.am, aneditor.cxx, aneditor.h, anjuta.c, anjuta.h,
	  anjuta_cbs.c, anjuta_gui.c, breakpoints.c, breakpoints.h,
	  debugger.c, debugger.h, find_in_files.c, find_in_files.h,
	  find_replace.c, find_replace.h, find_text.c, find_text.h,
	  glade_iface.c, main.c, messages.c, messages.h, project_dbase.c,
	  project_dbase.h, source.c, text_editor.c, text_editor.h,
	  text_editor_cbs.c, utilities.c, utilities.h:
	
	  Applied a huge patch (after slight preview). I would like Luca
	  to have his feature additions mentioned here.
	
	  Patch from: lbell <lbell@tsc4.com>

2001-09-09  Stephane Demurget <demurgets@free.fr>

	* scintilla/Makefile.am: added to $(GTK_CFLAGS) INCLUDES.

	* po/fr.po: updated to the latest sources.


2001-09-07 Johannes Schmid <clubfan@users.sourceforge.net>
	
	* Fixed bug #445752
  
2001-08-07  Naba Kumar <kh_naba@users.sourceforge.net>

	* dnd.h, dnd.c: New files for drag n drop support.
		
	* anjuta.h, anjuta_gui.c, anjuta_cbs.c:
	   Added drag and drop support for opening files.
	
	Thanks to José Antonio Caminero Granja <JCamGra@alumnos.uva.es> and
	Archit Baweja <bighead@crosswinds.net> for this idea.
	
	* TODO: Added some more todos. :-(

2001-08-06  Naba Kumar <kh_naba@users.sourceforge.net>

	* Fixed the goto line activate bug.
	patch from: Martyn Bone <mbone@brightstar.u-net.com>

2001-9-06  Johannes Schmid <clubfan@users.sourceforge.net>
	
	* Fixed bugs in Gtk-- and Gnome-- project type

2001-08-5  Naba Kumar <kh_naba@users.sourceforge.net>

	* widgets/gonmefilelist.c, gnomefilelist.c:
	Modified multiple selection on pressing	control.
	  # Patch from: venugopal gummuluru <vgummuluru@yahoo.com>
	
	* src/project_dbase_gui.c, anjuta_cbs.c, fileselection.h, fileselection.h:
	Modified multiple selection on pressing control.
	  # Patch from: venugopal gummuluru <vgummuluru@yahoo.com>
	
2001-09-05  Abel Cheung  <maddog@linux.org.hk>

	* src/project_dbase_gui.c(*lang_data[]): Rename zh_TW.Big5 to zh_TW .
	  This is useless; but just in case...

2001-08-4  Naba Kumar <kh_naba@users.sourceforge.net>

	* data/internal.properties: modified a bit of perl properties.
	
2001-08-3  Naba Kumar <kh_naba@users.sourceforge.net>

	* ccview/cccproj.hh, ccview/hash_str.h, src/fileselection.c, src/fileselection.h
	  src/project_dbase_gui.c, widgets/gnomefilelist.c, widgets/gnomefilelist.h:
	  Added support for multiple file imports. Changed the standrd C++
	  convention of #include <file> to #include <file.h>, because I had given
	  some wrong options while compiling my gcc-3.0.1 compiler, so it does not
	  now support the #include <file> convention. That is something to be fixed :). 
	  # Patch from: venugopal gummuluru <vgummuluru@yahoo.com>

2001-08-1  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/anjuta.c: Added function static greetings_text(), to solve the non
		translation of the greetings text in the wizard.
		
2001-08-31  Andy Piper <andy.piper@freeuk.com>

	* src/find_in_files_gui.c: made order of buttons consistent with other Find
	  dialogs, with OK the default (fix bug #453482)

2001-08-31  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/anjuta.c: Fixed a bug that tries to printf 'NULL'
	
	* src/appwizard.c: added N_() for the inlcuding the welcome message translatable.
	
2001-08-29  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/aneditor.cxx
	  src/aneditor.h
	  src/anjuta_cbs.c
	  src/controls.c
	  src/main_menubar.c
	  src/main_menubar.h
	  src/main_menubar_def.h
	  src/mainmenu_callbacks.c
	  src/mainmenu_callbacks.h:
		Applied the patch that addes menu items which allow users to
		insert GPL notice and date time in current document.
		patch from: Rick Patel <rikul@shreve.net>	
		
	* src/main_menu.c: Fixed a compilation error.
	
	* src/anjuta.c: Fixed non-rememberence of editor tab position.
	
	* src/mainmenu_callbacks.c: Fixed gpl strings to avoid compiler warnings
	  about the unterminated strings.
	  
	* scintilla/*: Updated scintilla to 1.3.9 version.
	
2001-08-28  Naba Kumar <kh_naba@users.sourceforge.net>
	
	* widgets/gnomefileselection.c:
	  Applied the patch for fixing multiple selection of file open funcion,
	  which will deselect the files selected.
	  patch from: venugopal gummuluru <vgummuluru@yahoo.com>

2001-08-27  Naba Kumar <kh_naba@users.sourceforge.net>

	* widgets/gnomefileselection.h, widgets/gnomefileselection.c, src/fileselection.h,
	  src/fileselection.c, src/anjuta_cbs.c:
	  Applied the patch	for multiple selection of file open.
	  patch from: venugopal gummuluru <vgummuluru@yahoo.com>
	  
2001-08-27  Naba Kumar <kh_naba@users.sourceforge.net>

	* Removed "-f" option in call to devhelp, because devhelp no longer
	  supports that.
	
2001-08-26  Stephane Demurget <demurgets@free.fr>

	All these modifications have been pointed out by
	Gregory Schmitt <gregory.schmitt@free.fr>, so thanks to him.

	* data/internal.properties: two fixes for the PHP lexer.
	  this out.

	* fr.po: minor fixes.

	* TODO: added a couple of PHP suggestions from Gregory Schmitt.

2001-08-25  Naba Kumar <kh_naba@users.sourceforge.net>
	
	* main_menubar.c,
	  main_menubar.h,
	  main_menubar_def.h,
	  main_menubar_callbacks.c,
	  controls.c:
	  	Added new menu item for "close all fils".
		(Patch from Rikul <rikul@shreve.net>, after revision)
	
	* project_dbase.c: project_dbase_close_project(): remove unnecessary printf() statement.
	
	* find_text.c, find_replace.c: Fixed dialog wins not show up once close by 'Esc'.
		(Patch from Rikul <rikul@shreve.net>)
	
	* anjuta.c: Fixed to have the current dir in the fileopen dialog box.
		(Patch from Rikul <rikul@shreve.net>)

2001-08-22  Naba Kumar <kh_naba@users.sourceforge.net>
	
	* appwiz_page2.c: Applied patch for disabling auto-upper-casting of
	   project name in application widzard.
	   [Patch from: Yannick Koehler <yannick.koehler@colubris.com>	]

	* executer.c: hacked to change the behavior of the executer dialog. Now, instead
	  of the 'OK' button there is an 'Execute' one.
	  [ Patch from: Giovanni Corriga <valkadesh@libero.it>	]
	
	* executer.c: Changed cancel button to close button. That was more appropriate.
	  
2001-08-22  Naba Kumar <kh_naba@users.sourceforge.net>

	* HACKING: corrected >>>>>> Config management.
	
	* HACKING: Added many things.
	
	* src/launcher.h: Added some comments.

2001-08-21  Stephane Demurget <demurgets@free.fr>

	* configure.in, NEWS, README: bumped anjuta version to 0.1.7.

	* HACKING,
	  manuals/C/anjuta-faqs/anjuta-faqs.sgml,
	  src/appwizard_cbs.c,
	  src/appwizard_gui.c: Applied UI/docs cleanup patch from
	  Andy Piper <andy.piper@freeuk.com>

	* po/fr.po: updated to latest sources.

	* Makefile.am: removed anjuta.prj from EXTRA_DIST.


2001-08-18  Andy Piper <andy.piper@freeuk.com>

	* Fixed bugs #450280 and #448845

	* src/about.c: corrected Naba's e-mail address (.net, not .com)
	
	* src/goto_line.c, src/attach_process_gui.c, src/find_replace.c:
	  named dialogs
	
	* src/breakpoints_gui.c, src/commands.c, src/find_text.c,
	  src/find_in_files_gui.c, src/project_dbase_gui.c, src/help.c, 
	  src/watch_gui.c, src/stack_trace_gui.c: edited window and dialog 
	  names to remove "Anjuta: " prefix
	  
	* src/main_menubar_def.c: altered a message
	
	* launcher/anjuta_launcher.c: cleaned up some messages

	* src/debugger.c: edited messages to improve clarity
	
	* src/app_wiz*.c: tidied wizard interface


2001-08-15  Stephane Demurget <demurgets@free.fr>

	Synced Naba's fix and mine about the wizards not working and removed
	anjuta.prj to avoid a nasty checkin.

	* Makefile.am: removed the install-data-local rule.

	* data/Makefile.am: changed the list of files.

	* anjuta.prj: removed to avoid checkin of Anjuta temp files.

	* .cvsignore: added anjuta.prj for the same reason.


2001-08-15  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/source.c: Fixed a bug that fails new gnome projects to get
	  created.

	* src/project_manager.c: Fixed a bug that disables storing recent
	  project history.

	* Makefile.am: Added stuffs to install the macro files in the
	  anjuta share file.


2001-08-14  Stephane Demurget <demurgets@free.fr>

	* data/Makefile.am: added some rules to support the gnome/ macros
	  dir in order to make the wizards work again.

	* anjuta.spec.in: upped the release number.


2001-08-12  Zbigniew Chyla  <cyba@gnome.pl>

	* configure.in (ALL_LINGUAS): Added pl.


2001-08-09  Stephane Demurget <demurgets@free.fr>

	* anjuta.spec.in: fixed the doc files list.


2001-08-09  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/about.c: corrected my email address. :-)
	
	* TODO: Updated.
	
	* manuals/C/anjuta-manual/chapter15.sgml: Slight correction.
	 (patch from Andy Piper <squiggle@ukgateway.net>)

2001-08-08  Naba Kumar <kh_naba@users.sourceforge.net>

	* debugger.c: Fixed a bug associated with debugging threaded
	  application.
	
	* text_editor_menu.c: Fixed broken ui in text editor
	  pop up menu.
	  
	* text_editor_menu.c: Now the option sub menu in text editor pop up
	  works.
	
	* mainmenu_callbacks.c: Fixed "no-modified" bug with autoformat.
		(suggested by lord sibn <sibn@utspl.cjb.net> )
	
2001-08-07  Naba Kumar <kh_naba@users.sourceforge.net>

	* src/text_editor_menu.c: Added menu item for context help
	  (patch from Andy Piper <squiggle@ukgateway.net>)
	
2001-08-06  Stephane Demurget <demurgets@free.fr>

	* ccview/cccproj.cc: added missing i18n strings.

	* data/welcome.txt: bumped version to 0.1.6.

	* src/anjuta.c: fixed a compilation error due to devhelp integration.

2001-08-06  Naba Kumar <kh_naba@users.sourceforge.net>
	
	* help.c, help.h: Added support for DevHelp context sensitive help
		and gnome api browsing.
	* Fixed toolbars and editor views "not save" bug.
	* Updated sgmldocs.make and configure.in to handle rh 7.1 crap.
	  (patch from Andy Piper <squiggle@ukgateway.net>)
	* Updated THANKS and chapter15.sgml for uk and ru translators.

2001-08-05  Naba Kumar <kh_naba@users.sourceforge.net>

	* Transfered ru.po, uk.po and update.sh from gnome-i18n/extra-po/anjuta
	* Updated configure.in to include these changes
	
2001-08-03  Stephane Demurget <demurgets@free.fr>

	* src/project_dbase_gui.c: fixed bug #446963
	  (on_project_dbase_ccview_update_start),
	  (on_project_dbase_ccview_update_end): added.
	  These two respectively disable and enable close file/project
	  menu entries and toolbar items, while the ccview part updates
	  its tag database.  


2001-08-03  Stephane Demurget <demurgets@free.fr>

	* configure.in: added sv to the ALL_LINGUAS list.
	

2001-08-01  Fatih Demir <kabalak@gtranslator.org>

	* anjuta.desktop.(in(.in)), configure.in & Makefile.am: Get the desktop
		file to work: merge translations and distribute it.

	* .cvsignore & ABOUT-NLS: Erh, "ABOUT-NLS" shouldn't be in CVS.

	* NEWS, README, THANKS & TODO: Spelling fixes.

2001-08-01  Stephane Demurget <demurgets@free.fr>

	* README: updated requirements.

	* scintilla/Makefile.am,
	  src/Makefile.am: fixed includes using $(srcdir), as the distcheck
	  target can't be realized (custom build path).

	* Makefile.am: added xml-i18n-* and anjuta.spec.in as EXTRA_DIST.
	  Removed install-data-local.

	* src/compiler_options.c: changed the include paths of the pixmaps.
	  we hadn't any warning because of the include paths passed to the
	  compiler. Thanks to make distcheck for reporting this.


2001-07-31  Stephane Demurget <demurgets@free.fr>

	* NEWS, THANKS: updated.

	* src/anjuta.c: (anjuta_fatal_signal_handler), (anjuta_exit_signal_handler):
	  fixed to show the correct kernel signal number and its description.

	* widgets/gnomefilelist.c: fixed bug #445756
	  (goto_last): renamed to goto_prev and changed according to goto_next.
	  (goto_next): added.
	  (goto_directory): removed.
	  (check_list_for_entry): renamed (g_list_find_string_pos) and rewrote: the
	  returned value is now the position in the list.
	  (check_ok_button_cb): changed the back check and added one for next.
	  (gnome_filelist_set_dir): the check in history make it wouldn't be
	  a "true" history. polished the whole thing, using set_dir_internal.
	  (set_dir_internal): used in gnome_filelist_set_dir and back/next callbacks, so
	  there's no check in the history when using back or next.

	* manuals/*: added missing .cvsignore files.


2001-07-30  Stephane Demurget <demurgets@free.fr>

	* po/fr.po: updated to latest sources.

	* src/preferences_gui.c: (create_preferences_page6): fixed bug #445758
	  call on_trunc_mesg_check_clicked after the two spinbuttons are ref'ed,
	  to put off their sensitive attributes.

2001-07-29  Stephane Demurget <demurgets@free.fr>
	
	* po/fr.po: fixed some grammar things.
	  Thanks to Pierre Sarrazin <sarrazip@sympatico.ca> for having pointed
	  this out.
	
	* src/utilities.c: (file_is_link): use lstat instead of stat.

2001-07-27  Naba Kumar <kh_naba@123india.com>
	
	* Remove help dir from cvs, because it is no longer
	  needed.
	
	* Remove manuals/anjuta-manual dir from cvs, because it is no longer
	  needed.

2001-07-24  Naba Kumar <kh_naba@123india.com>

	* debugger.c: (debugger_update_prog_status): Fixed
		the bug with gdb version 5. Debugger starts, when
		step in/out/over etc are clicked.
	
	* debugger.c: All functions: added debugging codes.
	
	* breakpoints.c: (breakpoints_dbase_set_all_in_editor):
	* breakpoints.c: (breakpoints_dbase_add_brkpnt):
	  Modified to recognize non project files also.
	  
	* source.c: (source_write_configure_in):
	  Added source for 'prefix' counterparts for
	  no-prefix AC_SUBST.
	
2001-07-23  Naba Kumar <kh_naba@123india.com>
	
	* anjuta.c: added function anjuta_remove_text_editor();
	  and suitably modified anjuta_remove_current_text_editor().
	  
	* project_dbase.c: project_dbase_close(), Added code to
	  close all opened files that belong to the project when
	  the project is closed.
	 (patch from  "Maxim Blagai" <maximblagai@yahoo.com> and some my codes)
	
	* Updated the manuals/anjuta-manual subdir for GDP standards.
	   (patch from Andy Piper <squiggle@ukgateway.net>)
	
	* main_menubar.h, main_menubar.def: Added Menu items to handle
	  urls for library references, bugs, patches and feature request
	  submission.
	
2001-07-20  Naba Kumar <kh_naba@123india.com>
	
	* Set wmclass names in all windows.
	  (patch from Andy Piper <squiggle@ukgateway.net>)
	* New splash logo from "Misha" <misha@phreaker.net>);

2001-07-19  Naba Kumar <kh_naba@123india.com>
	
	* preferences.[h,c], preferences_gui.c: Added 4 properties to
	  set caret color, calltip back color and selection fore/back
	  color.

2001-07-18  Naba Kumar <kh_naba@123india.com>
	
	* project_dbase.c: Closes all files when project is closed.
	 (patch applied from  "Maxim Blagai" <maximblagai@yahoo.com>)
	 -- We still need to refine this as it closes all sort of files.
	
	* compiler_options.c: Fixed seg-fault bug when last item in
	  compiler option lists is removed.
	
	* Fixed missing newline warnings during compilation.
	  (patch from Andy Piper <squiggle@ukgateway.net>)

2001-07-17  Fatih Demir <kabalak@gtranslator.org>

	* xml-i18n-*: Blew away the xml-i18n-* files from CVS -- they're
		autogenerated no need to store'em in CVS.

	* ccview/.cvsignore: Addition of cvsignore.

2001-07-17  Naba Kumar <kh_naba@123india.com>
	
	*GUI fixes and spell corrections
	(patch from Andy Piper <squiggle@ukgateway.net>)

2001-07-15  Naba Kumar <kh_naba@123india.com>
	
	*Fixed double error message for file not found.
	
	*Put white backgrounds for png images.
	
	*Converted '-' to '_' in sgml files.

2001-07-14  Naba Kumar <kh_naba@123india.com>
	
	* project_dbase.c: Short-cut for expand/collasp project tree
	
	* project_dbase_gui.c:
	 (patch applied from  "Maxim Blagai" <maximblagai@yahoo.com>)

2001-07-13  Naba Kumar <kh_naba@123india.com>
	
	* notebook.[h,c]: Added
	 (patch applied from  "Maxim Blagai" <maximblagai@yahoo.com>)
	Project/message window now toggles on control and
	and notebook switch short-cut

2001-07-7  Naba Kumar <kh_naba@123india.com>
	
	* Changed a new icon set which looks more gnomish.
	
	* Changed a new anjuta splash logo.
	(Icons and splash logo created by "Misha" <misha@phreaker.net>)

2001-07-6  Naba Kumar <kh_naba@123india.com>
	
	* ccview/*: Integrated ccview for class view and file view
		in the project Manager.
	
	* widgets/gnomefilelist.[h,c]: Added show hidden files options.

2001-07-1  Naba Kumar <kh_naba@123india.com>
	
	* scintilla/*: Upgraded Scintilla to version 1.3.7
	
	* manuals/anjuta-manual/C/chapter[00-12].sgml: Added many more stuffs.
	
2001-06-28  Naba Kumar <kh_naba@123india.com>
	
	* src/debugger.c: Correct step-over and step-out swapping.
	
	* manuals/anjuta-manual/C/chapter[00-12].sgml: Splitted manual
	  chapters and added more stuffs.

2001-06-13  Naba Kumar <kh_naba@123india.com>
	
	* data/autogen.sh.gtkmm: Added
	
	* data/autogen.sh.gnomemm: Added
	
	* src/appwiz.c: Added two more application wizard templetes
	
	* src/project: for gtk-- and gnome-- and proper support
	
	* src/source.c: for c++ in the project configuration.
	
	* src/source.h:

2001-05-05  Naba Kumar <kh_naba@123india.com>

	* Merged my pre-cvs modifications with 
	  the current cvs copy.

	* (lot of files change).

	* Implemented session management.

	* Local installation possible by
	  manageing our own pixmaps paths
	  manupulations.
	
	* resources.h: Added.
	* resources.c: Added.

	* Fixed some bugs.
	
2001-05-05  Fatih Demir <kabalak@gtranslator.org>

	* manuals/.cvsignore & manuals/anjuta-manual/C/.cvsignore:
		Corrected/extended ignores.

2001-05-04  Naba Kumar <kh_naba@123india.com>

	* manuals/: dir tree added.
	  Sgml documentation started in this dir.
	  
	* omf-install/: dir tree added.
	
	* manuals/anjuta-manual/C/anjuta-manual.sgml:
	  Created initial document structure.
	  
	* configure.in: Added test for scrollkeeper.
	  Added some Makefile entries in AC_OUTPUT.
	
	* Makefile.am: Added subdir manuals/
	
	* HACKING: Wrote something stupid.

2001-05-02  Stéphane Démurget <demurgets@free.fr>

	* Makefile.am: Added ChangeLog in local data list, becaused it's
	  needed to create a new project.
	  
	* po/fr.po: minor fixes.

	* src/build_file.c, src/configurer.c, src/debugger.c,
	  src/executer.c, src/find_replace.c, src/gnome_project.c,
	  src/goto_line.c, src/launcher.c, src/messages.c, 
	  src/preferences.c src/project_dbase.c: functions declared static.
	  
	* widgets/gnomefilelist.c: Fixed a project creation bug,
	  introduced with latest changes.

2001-05-01  Stéphane Démurget <demurgets@free.fr>

	* widgets/gnomefilelist.c,
	  BUGS: Fixed an annoying bug preventing from loading files/project
	  given on the command line. Polished the whole gnome_filelist widget.

2001-04-27  Stéphane Démurget <demurgets@free.fr>

	* src/main.c,
	  src/anjuta.c,
	  src/anjuta.h: Polished the command line parsing.

	* BUGS: Need to clean that damn gnome_filelist widget.

2001-04-25  Stéphane Démurget <demurgets@free.fr>

	* src/registers.c,
	  src/sharedlib.c,
	  src/signals.c: Removed duplicated includes.

	* po/fr.po: minor fixes.

	* src/compiler_options_gui.c: Cleaned up a part of the GUI,
	  create_compiler_options_page? () declared static.
	* src/main.c,
	  src/anjuta.c: Put a command line option for disabling
	  the splashscreen.

	* src/preferences_gui.c: Fixed an internationalization issue,
	  other functions declared static.

	* src/gnome_project.c: Fixed some memory leaks,
	  new_prj_terminated () declared static. 

2001-04-24  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Sort ALL_LINGUAS alphabetically.

2001-04-22  Stéphane Démurget <demurgets@free.fr>

	* Emptied that ugly old Changelog.
